commit 6d73f4deb816518873be00145c6ecdfa29392eab
Author: Thura Hlaing <trhura@gmail.com>
Date:   2011-11-14

    [l10n]Added Burmese translation

M	po/LINGUAS
A	po/my.po

commit f4d56251bc71bbd908dbad08333c36ae7d865f2d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-12

    Revert "quickopen: set placeholder text"

    This reverts commit 7fbf0a32220c5ddccb727cb05cc352e742e224e4. It
    breaks
    the string freeze.

M	plugins/quickopen/quickopen/popup.py

commit e014ebd0c35469cbee3523a473d61ebdaddb9f99
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-12

    [l10n] Updated German doc translation

M	help/de/de.po

commit 0feb44b0c1b99d33ec608c3f2244cd90053973b8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-12

    [l10n] Updated German translation

M	po/de.po

commit d9e37ea7aced28f6d30026e097039e9bfb5cd106
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-12

    Fix crash when dropping file in gedit with snippets plugin active

M	plugins/snippets/snippets/document.py
M	plugins/snippets/snippets/helper.py
M	plugins/snippets/snippets/manager.py

commit 57c4fccc188e8db3a01f3012f86215a9cde05a90
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-10

    Add docs and annotations to the style scheme manager.

M	gedit/gedit-style-scheme-manager.c

commit 237ae42f06e7261ac185985a33f21642c40a7745
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-12

    Remove n-rows and n-cols properties which are not valid for GtkGrid

M	gedit/dialogs/gedit-replace-dialog.ui

commit 7fbf0a32220c5ddccb727cb05cc352e742e224e4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-01

    quickopen: set placeholder text

M	plugins/quickopen/quickopen/popup.py

commit 271ad3e3da91618435bf682becb6c246fbdabac0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-01

    Release 3.2.2

M	NEWS
M	README
M	configure.ac

commit d32a48ab0366c5dac4d486125f1db9ae260436f8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-10-30

    Updated Spanish translation

M	help/es/es.po

commit 22d1ed73a104d934aac5755d44b97283a5f7b68e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-30

    docs - wrote multi-edit plugin docs. started join-split lines docs

M	help/C/gedit-plugins-join-split-lines.page.stub
A	help/C/gedit-plugins-multi-edit.page
D	help/C/gedit-plugins-multi-edit.page.stub

commit b1e8c5b98fda04b4095fc4ccedfc50fc5df37ee8
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-29

    docs - completed the draw-spaces plugin documentation

A	help/C/gedit-plugins-draw-spaces.page
D	help/C/gedit-plugins-draw-spaces.page.stub

commit 0450b63e231799eff6c2cce4230cbe8d62272c3f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-29

    docs - updated the gedit screenshot image to reflect current theming

M	help/C/figures/gedit3-screenshot.png

commit fa56e6e50bfbf7a779bf46501d3563c41b440616
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-29

    docs - basic draft of commander-plugin

R092	help/C/gedit-plugins-commander.page.stub
help/C/gedit-plugins-commander.page

commit 3e67e239de5d5e4f0094f1718771c136db008eae
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-29

    docs - drafted docs for the color-picker plugin.

A	help/C/gedit-plugins-color-picker.page
D	help/C/gedit-plugins-color-picker.page.stub

commit 2dbf051af006de18bb0299a0a9b50e2f673b8619
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-10-25

    Updated French doc translation

A	help/fr/figures/gedit-side-pane3.png
M	help/fr/figures/gedit3-screenshot.png
M	help/fr/fr.po

commit d888ed42b53dc357653542a5b199d7282ac1ad9f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-24

    docs - wrote documentation for the Code Comment plugin

A	help/C/gedit-plugins-code-comment.page
D	help/C/gedit-plugins-code-comment.page.stub

commit 3759f788151577a695aaa5373c35c0b6dd4987df
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-24

    notebook: remove leftover

M	gedit/gedit-notebook.c

commit 8cea9681b45803a334b5414fc367e9d98a97254a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-24

    notebook: actually manage correctly the focus of the tabs.

    https://bugzilla.gnome.org/show_bug.cgi?id=662488

M	gedit/gedit-notebook.c

commit fd4e815194ecbff4744eb03c411537e2c905d956
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-19

    snippets: use iter.assign to place the completion popup.

M	plugins/snippets/snippets/completion.py

commit 034b7a65605377b4654f3c8f139e3918629c71e2
Author: Adam <the.potfur+bugzilla@gmail.com>
Date:	2011-10-19

    "Insert Date and Time" doesn't work correctly

    https://bugzilla.gnome.org/show_bug.cgi?id=662027

M	plugins/time/org.gnome.gedit.plugins.time.gschema.xml.in.in

commit e99745f380055e052139c36fad755de963535de6
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-19

    Updated Vietnamese translation

M	po/vi.po

commit 5403a41a7ae0de54ee2eaf8faa7e0829ede96f85
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-19

    po/vi: import from Damned Lies

M	po/vi.po

commit 6a1c5b0886dd7238b0874ddb7b3c5dac0f92b465
Author: Michael Terry <michael.terry@canonical.com>
Date:	2011-10-18

    Avoid crash by expecting correct return value from Gdk.color_parse

    https://bugzilla.gnome.org/show_bug.cgi?id=662114

M	plugins/pythonconsole/pythonconsole/config.py

commit 35cd98d074e1533149b21a1a76be38ebec1efa93
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-10-17

    Updated Polish translation

M	po/pl.po

commit a0a7f3a54de08e6edde6f3c6b9f5674e743254ea
Author: Sviatlana Liasovich <xelj.gjkz@bk.ru>
Date:	2011-10-17

    Updated Belarusian translation.

M	po/be.po

commit 064cad911f9bc7cd8ddde7163aa260d5b8b210b5
Author: Ivan Masár <helix84@centrum.sk>
Date:	2011-10-16

    Updated Slovak translation

M	po/sk.po

commit 5d8d57bafe3b33e46c4dde458ecff132d83f6a05
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-16

    Release 3.2.1

M	NEWS
M	README
M	configure.ac

commit 14af58293f2cc93bbe86ef7e399c1c9aa303cc8a
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-15

    Initial drafting of gedit-plugins-commander.page.stub

M	help/C/gedit-plugins-commander.page.stub

commit b9e2b5ae124c74b0d2f9be5c35c974f0f1722487
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-10-14

    Wrote the help file for the bookmarks plugin. Converted to page
    from stub.

A	help/C/gedit-plugins-bookmarks.page
D	help/C/gedit-plugins-bookmarks.page.stub

commit b18872b3e5833bd18cb27618d38caae6903397ac
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-13

    snippets: also update it for cpp lang

M	plugins/snippets/data/cpp.xml

commit 586cf736ff3635dd529bb865e05a5f395dc70cba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-13

    snippets: update fsf address

M	plugins/snippets/data/c.xml
M	plugins/snippets/data/chdr.xml

commit 9f6ea03608f6afc216bec243249d7fb170ff0b6d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-11

    snippets: let the default handler manage the position of the
    completion window.

    For some reason when we return the iter of the place of where
    the window
    should be placed we get a warning that the iter is invalid.
    pygobject bug? maybe the annotation should be inout?

M	plugins/snippets/snippets/completion.py

commit 6718dea9024b1c03c95eec905fb4e18001c1aba4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    snippets: add the iter property to the message bus.

    This was fixed in pygobject so we can add this feature back.

M	plugins/snippets/snippets/windowactivatable.py

commit 1932ad7233b997bd35eeba0fee5cb5555626e66a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    externaltools: fix help visualization

M	plugins/externaltools/tools/manager.py
M	plugins/externaltools/tools/tools.ui

commit d5ecf90337f40ffa3e1320e7c0c282ad8f0bd9e1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    externaltools: update menuitems when something changes in the manager.

M	plugins/externaltools/tools/manager.py
M	plugins/externaltools/tools/windowactivatable.py

commit 6c77932b4a62db6a7f8e1b6612bd7a0f28b707fb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    Fix python regex, usually it has a , at the end but it may not
    have it.

    https://bugzilla.gnome.org/show_bug.cgi?id=658000

M	plugins/externaltools/tools/linkparsing.py
M	plugins/externaltools/tools/linkparsing_test.py

commit 9f102d29b3cd57efe34d427e19651002c2cd962c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-09

    externaltools: Fix link parsing for gcc output.

    New gcc compilers add column information, if this is the case this
    info is taken into account and passed to the loaded file.
    Kudos to Paolo Borelli for helping on fixing this too.

M	plugins/externaltools/tools/linkparsing.py
M	plugins/externaltools/tools/linkparsing_test.py
M	plugins/externaltools/tools/outputpanel.py

commit 6833d5da67daa038c8455d67c3d1c7a236ebf25f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-09

    tools: connect the button-press-event signal manually.

    For some reason this signal is not getting emitted unless
    I change it to connect it manually.

M	plugins/externaltools/tools/outputpanel.py
M	plugins/externaltools/tools/outputpanel.ui

commit 18fa6dd3a8f03758bae1bb4748aecc5d0903342a
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-10-09

    Updated Esperanto translation

M	po/eo.po

commit 5ffa0457100c6135e4764d1fb6221543f6f4278d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-08

    Add gedit_utils_get_ui_objects_with_translation_domain.

    This is needed for C plugins that are not contained in the gedit
    module.

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit cb5829d81cd5a48e471ce526e3dd01842a80b703
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-07

    tab: restore the cursor and scroll in an idle.

    The reason for this is that after the doc is loaded the text view
    is still working relocating so we wait until the text view give
    us some priority to actually scroll.

M	gedit/gedit-tab.c

commit b6d8aa0a88be5e3c4eb4027c6db543e1859138da
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-04

    snippets: Add ids to mallard snippets

M	plugins/snippets/data/mallard.xml

commit 378f9c8b122a4f4059dfec4cd68399e07c26ffa5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-10-03

    Updated Latvian translation.

M	po/lv.po

commit 1979aa14803f91d320285b9186389ccfb874a038
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2011-10-01

    Update Danish translation of gedit

M	po/da.po

commit e19c39e72c67e4c737db15bd42d153b7e778d8ff
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-30

    Use GtkGrid in the replace dialog.

M	gedit/dialogs/gedit-replace-dialog.c
M	gedit/dialogs/gedit-replace-dialog.ui

commit 1ae30a3ba978ef30dcc119629b576089b0dd8192
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-30

    snippets: use the right property

M	plugins/snippets/snippets/windowactivatable.py

commit a11357f4d0a8a0e116d74f865ebb00c7f42e1c7e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-30

    bump pygobject to 3.0.0

M	configure.ac

commit f5b10094eff898432d1e36d27dd4b364b15a16ee
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-28

    Update smclient

M	gedit/smclient/eggsmclient-xsmp.c

commit 6e0505afa768a43e7d0cf16844b948ecdc5d7646
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-26

    Release 3.2.0

M	NEWS
M	README
M	configure.ac

commit 1e394fe3a34f3757b94310ece0ce68222140941c
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-09-26

    Updated Kannada Translation

M	po/kn.po

commit 1f344a586d5e507cee509b6e98c2594702ce9191
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-09-26

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 216479fe1f4cecd6acaf6938d6ecd16be0b6e49e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-09-26

    Updated Hungarian translation

M	help/hu/hu.po

commit 3ce75a092b9ac256e9db8820df94efe7d2ed3c1e
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-09-26

    Updated Kannada Translation

M	po/kn.po

commit 2334d3763a3ad3edc994e99cc8bf3c1710f9c92c
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2011-09-25

    Updated Irish translation

M	po/ga.po

commit 6fd1865402bc7f313ae46e1a1f81a9d433d152f3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-09-25

    Updated Spanish translation

M	help/es/es.po

commit 79d6065a0d2fd4c9d5473ce0b3b8ff1295e667ef
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2011-09-25

    Updated Japanese translation

M	po/ja.po

commit bfbebf40af392799a286cebb68709d7a66be0504
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-25

    Updated Japanese translation

M	po/ja.po

commit 85dd479ef097f53d0a8e65bb00553a38ae388a04
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-09-24

    [l10n] Updated German doc translation

M	help/de/de.po

commit 292ae4698552cf248b2ce4b60a6293ca9a7b690d
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-09-24

    Replace »click« by »press« in the help manual.
    Fixes Bug #660028

M	help/C/gedit-search.page

commit b9ebaed4b16abd5cf89e518ea67ae137a89a1aee
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-09-24

    Updated the search page, adding a few more details.

M	help/C/gedit-search.page

commit 1ad65deac0c92e77214018f63f341789f5ef3243
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2011-09-24

    [l10n] Updated German documentation translation

M	help/de/de.po

commit 1db09756006c6175b12e3109510f2d9220ad87ad
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-09-24

    Updated Galician translations

M	help/gl/gl.po

commit 8a7980a4fb93dbdcc918a50aaad44412d9c5417a
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-09-24

    Updated Galician translations

M	help/gl/gl.po

commit 49e62d0733e8d6bf8034ad5045f9535396e0878f
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2011-09-24

    Updated Assamese Translations:bugzilla#659595

M	po/as.po

commit e1cfe3a811d4d08036e065ff95fe5ffd56807568
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-24

    Updated Spanish translation

M	help/es/es.po

commit f9095c26db4c258420aab1bcb7bc8813d8b2db1e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-24

    Fixed three strings

M	help/C/gedit-search.page

commit 6495d2b55746911c4ea2bf369365bbe72af1fb2f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-24

    Updated Spanish translation

M	help/es/es.po

commit f4756046d3a3450c86bc3a41db822071945ce45f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-09-23

    updated search page. added page stub for word completion.

A	help/C/gedit-plugins-word-completion.page.stub
M	help/C/gedit-search.page

commit 8ec8cfb76a4d40ccd674607ec800faf1ce74ae2e
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2011-09-24

    Updated Japanese translation

M	po/ja.po

commit d1ad2ee92399dcc1d6b04f5a2d85db339cb34902
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-09-23

    Updated Basque language

M	po/eu.po

commit 886d177ccb40b0d9d8aceade8443641ba7cdbbe3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-09-23

    [l10n] Updated German doc translation

M	help/de/de.po

commit 38f18b04deb145a186eb8f05a0729ca6f00b792d
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-09-23

    Updated Gujarati Translations

M	po/gu.po

commit 3dca9e7b2f4e50bcb9fe04c022a826b42d332395
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-22

    Updated Spanish translation

M	help/es/es.po

commit 2908da491de7fa1bde94e5ca1630039b48051fbd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-22

    help: fix typo

M	help/C/gedit-plugins-doc-stats.page

commit 5262e5940815e20ef692e6087a825ca3d6aba279
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-09-23

    Updated Korean translation

M	po/ko.po

commit cd6fd9cade42c09b941c74468a5826df5c3b64fd
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-09-22

    Updated Telugu Translations

M	po/te.po

commit 483787e15db49758425df3f4786a52833459e348
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-09-21

    Updated Hungarian help translation

M	help/hu/hu.po

commit d65b0b81e77eb0d715f9409fd976b612f7d70293
Author: Hannie Dumoleyn <hannie@ubuntu.org>
Date:	2011-09-20

    [l10n] Updated Dutch translation

M	po/nl.po

commit 6cf3ea07c52137e9c48349c4c1a0e345601a5117
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-09-20

    Updated Hungarian translation

M	po/hu.po

commit 7f8c23d61a771558a16b55489839a02bceeaf7aa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-19

    Release 3.1.6

M	NEWS
M	README
M	configure.ac

commit e4c558aaffd81e3816659fd10fa78b3e4bcce155
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-09-19

    Updated Gujarati Translations

M	po/gu.po

commit 9618d64bad08af6ec83359a17745cc93f21686ae
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-09-19

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 683e51a0a2a1dc9e980a30f0eb92c60bb513eaf4
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2011-09-18

    Updated Lithuanian translation

M	po/lt.po

commit acfe615e851afc8bc6b89b997f00b197e88a907c
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-09-17

    [l10n]Updated Catalan translation

M	po/ca.po

commit 56d9c74c6efaa4048f83d188306bec17e0f8ab29
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-09-16

    Fix getting overrides dir for pygobject

    http://git.gnome.org/browse/pygobject/commit/?id=7e48fd6dfd86b7082c3fd35d25d9693c56c9665a

M	configure.ac

commit 33139ce1e008eca77df5900f547ae48fc40adcc4
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2011-09-16

    Updated Danish translation

M	po/da.po

commit dc08db8662d223dba8dc7a0c3eb214e5e767307e
Author: dmustieles <daniel.mustieles@gmail.com>
Date:	2011-09-14

    Updated Spanish translation

M	po/es.po

commit 6554aa5f9dbb1db958d4c86b034d0fe170ec482f
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-09-13

    updated Tamil translation

M	po/ta.po

commit 7e74349652d4daded6443feaaf56b5478f8cf0f2
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-09-11

    Updated galician translations for documentation

M	help/gl/gl.po

commit 14b704a40c788b16d91da88c9a6947a551a62db0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-11

    Kill completion from the search popup.

    As discussed in IRC this was more irritating than not having it
    so we just remove it. A firefox like completion would be cool though.
    Maybe have a look at integrating here the history-entry?

M	gedit/gedit-view-frame.c

commit a998006c82999ccc5c4aec060aeb66d78d535810
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-11

    Updated Spanish translation

M	po/es.po

commit 0ccfa091cbf05094a1a0345f6657d19cc184232d
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2011-09-11

    Update French translation

M	po/fr.po

commit bd4d7131423c16a61ce871714b6a3030799e8cbf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-10

    Update copyright

M	gedit/gedit-commands-help.c

commit 2c0e104ce090148d362dff0fbac23b471ecc4536
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-08

    modelines: actually apply the modeline when we activate the view
    extension.

    File may be already loaded or saved when we activate the extension.

M	plugins/modelines/gedit-modeline-plugin.c

commit 97ca83af1129afacbf2558767e1b3372e489c914
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-08

    Updated Polish translation

M	po/pl.po

commit 5bd8992d43ff070990a221f27f6162a698c2a4a6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-08

    configure: keep the maintainer mode but enabled by default

    We are checking for the maintainer mode and disabling the deprecations
    in case we are not using it.

M	configure.ac

commit cf8e3b42c11a00cf5ddf516611f8fb1168bcca06
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-08

    No more maintainer mode.

    See:
    http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/

M	configure.ac

commit eaf45e3edccea4ed10bf5256a58657debfc6caaa
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-09-08

    Updated British English translation

M	po/en_GB.po

commit 2771750dd5b6978e4883a7407c721e9fccde2a49
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-09-08

    removed legacy page stub for word-completion.page. Paul Weaver
    updated this page.

D	help/C/gedit-plugins-word-completion.page.stub

commit 220828b42a518d6eb9f0b71898afd0b6966fcfaf
Author: Paul Weaver <ch3pjw@bath.ac.uk>
Date:	2011-09-07

    Fix error in word completion content creation patch, actually
    add content

    This patch actually adds content for the word completion plugin
    documentation
    that should have been added in a previous patch.

    Signed-off-by: Jim Campbell <jwcampbell@gmail.com>

A	help/C/gedit-plugins-word-completion.page

commit 2273ba27e85588c10788039b66b083aba6b50660
Author: Curtis Hovey <sinzui.is@verizon.net>
Date:	2011-09-08

    Update the snippet info window to gtksourceview3.

M	plugins/snippets/snippets/completion.py

commit 6a5f3bb78045be059f7e155943f6c476a1300356
Author: Matěj Cepl <mcepl@redhat.com>
Date:	2011-09-08

    Support not only 'textwidth' vim keyword but 'tw' as its synonym
    as well.

    'tw' is quite a common abbreviation of textwidth, in my experience
    much
    more common actually than 'textwidth'.

M	plugins/modelines/modeline-parser.c

commit b5e0f370914b7d0dae4c60b89c6cee0539a6b827
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-09-08

    Updated Gujarati Translations

M	po/gu.po

commit 98dd24a7006dadd8d1bbe7e55ac1f7aedb58a79c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-09-07

    Updated Portuguese translation

M	po/pt.po

commit eb71966fa7d08637a9ec8dbaacddbde3b82497f0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    Release 3.1.5

M	NEWS
M	README
M	configure.ac

commit 488d16ad15bcb24fb1daa1a3ad7dbf979049785f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    utils: remove gedit_utils_text_iter_assign

    This has now landed gtk+ so no need for this hack anymore

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit ba15ee695c3f4c3f1f90ce8cba7807d656c65b36
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-05

    externaltools: point to the right help

M	plugins/externaltools/tools/manager.py

commit 23b752d73c1a8afc579022e3405aa6056bbb5182
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-05

    preferences-dialog: point to the right help

M	gedit/dialogs/gedit-preferences-dialog.c

commit aa74337db37d2bf51a9678f188759e3e794888ed
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-05

    Use symbolic icons for the search popup.

M	gedit/gedit-view-frame.c

commit 7f63fc6dbe30c1908f13318e6cd737ed3b5464da
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-09-04

    [l10n]Updated Turkish translation

M	po/tr.po

commit 5eb0187a0ac63233c63026a9e551ea09aacb415a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-09-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ea7d462a3fa571e51c583e7171a27deade86928c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-02

    snippets, tools: just remove the user data, not needed anymore
    with pygobject3

M	plugins/externaltools/tools/windowactivatable.py
M	plugins/snippets/snippets/windowactivatable.py

commit 3c8234fa2e9ae439cfa62e6c3003f7d485510cd9
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-09-02

    Update snippet for mallard

    * Made the suggested description for desc and figure compliant
      with style used for writing help docs.
    * Added options for properties to: link type, page type and
      listing style.  It gives more information to the writer where he
      or she can choose among a set of right possible values.
    * Added elink (external link) as 'http' alias
    * Added tag years (automatically filled with the current year)
    * Fixed type in note
    * Fixed positioning in item
    * Added pp por <p></p>. Leave p and / for opening and closing
      a paragraph separately.
    * Added shortcuts to embed selected text as link or item
      (Jeff Fortin <nekohay@gmail.com>

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	plugins/snippets/data/mallard.xml

commit d04602dfac2e422b3a67e3279e65337d86079c97
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-02

    quickopen: set spacing and borders more according with HIG

M	plugins/quickopen/quickopen/popup.py

commit ce08250ddaa426d09738fe18ab43791bb71bc4c8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-02

    quickopen: add icon to entry following other gtk widgets

M	plugins/quickopen/quickopen/popup.py

commit 28f5cf87a47491a7b3c6c3b8ecc1a9c3d8489b0d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-02

    snippets, tools: data=None just in case.

M	plugins/externaltools/tools/windowactivatable.py
M	plugins/snippets/snippets/windowactivatable.py

commit b5fb0277fd7f565014106980231260d91acded94
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-01

    Add myself to doap file

M	gedit.doap

commit 5c3ee94edb24cb315a6e3c28716828308d3259fe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-01

    quickopen: if the file do not exists do not print it.

M	plugins/quickopen/quickopen/virtualdirs.py

commit b4cc4cac155341638b39da81620d78e962089ded
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-08-31

    [l10n] Updated Italian translation

M	po/it.po

commit 73ba183d14f6e074f87d847f12e5d212a63c0b61
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-08-22

    Updated Persian translation

M	po/fa.po

commit d8cfecb207e686b54bd28ae4b4b56a64dca87c74
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-08-22

    Updated Persian translation

M	po/fa.po

commit 74b5b7b946bb8b5b795697f9acbf3e7a486649e5
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-08-22

    Updated Persian translation

M	po/fa.po

commit 8bae8a8327062c2aac728a36d05eadd0d6160f09
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-08-22

    Updated Persian translation

M	po/fa.po

commit ddb8fe9dc510c4b463b219e04c1ce29968b0b5cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-21

    Release 3.1.4

M	NEWS
M	README
M	configure.ac

commit da5c820e8c80926d4e9f67afebccb52736cff09e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-21

    message-bus: remove the identifier

M	gedit/gedit-message-bus.c

commit c948332f0f5aaeaf154f0a0d0ca3f981cb3813b0
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-08-21

    [l10n] Updated Italian translation

M	po/it.po

commit 8682d1da6bfc1d9928b61c283dc261158e71176c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-20

    Show the correct branch name

M	configure.ac

commit d109a2ec973aa1aa86a6d313b5a747fca241aac9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-20

    floating-slider: use the natural size

M	gedit/gedit-floating-slider.c

commit 717dd77105be6ca92e8c9cf8224b81eb61f3ba6c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-08-20

    Updated Spanish translation

M	help/es/es.po

commit 698755d04df44d43ddf8e84b3aeb6c4b10b5c91e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-08-19

    [l10n] Updated German doc translation

M	help/de/de.po

commit a3b806adde12ee2a5fcc725d6ff962d294df4109
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-18

    Use css for the search popup

M	gedit/Makefile.am
M	gedit/gedit-floating-slider.c
M	gedit/gedit-floating-slider.h
D	gedit/gedit-rounded-frame.c
D	gedit/gedit-rounded-frame.h
M	gedit/gedit-view-frame.c
M	tests/Makefile.am
M	tests/test-overlay.c
D	tests/test-rounded-frame.c

commit 5b0519c85aa10b07d87deffeea917e7ec5459629
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	2011-08-18

    Updated Dutch translation by Hannie Dumoleyn

M	po/nl.po

commit 355bd254b0cf510b72ebf688ef9f2ac6acb47973
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:	2011-08-14

    Disconnect from message bus before unregistering

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=654043

M	plugins/snippets/snippets/windowactivatable.py

commit c0b277b1f31c727bbc98ea986a2df29ccdb3cf10
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-08-18

    Updated Indonesian translation

M	po/id.po

commit 83899378d7685004b5ec482db15ab572ac3aad7c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-08-17

    modified plugin help to use the plugin name as the title element

M	help/C/gedit-plugins-bookmarks.page.stub
M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-plugins-change-case.page
M	help/C/gedit-plugins-code-comment.page.stub
M	help/C/gedit-plugins-color-picker.page.stub
M	help/C/gedit-plugins-commander.page.stub
M	help/C/gedit-plugins-doc-stats.page
M	help/C/gedit-plugins-draw-spaces.page.stub
M	help/C/gedit-plugins-external-tools.page
M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-insert-date-time.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-plugins-join-split-lines.page.stub
M	help/C/gedit-plugins-modelines.page
M	help/C/gedit-plugins-multi-edit.page.stub
M	help/C/gedit-plugins-pyconsole.page
M	help/C/gedit-plugins-quick-open
M	help/C/gedit-plugins-quick-open.page.stub
M	help/C/gedit-plugins-session-saver.page.stub
M	help/C/gedit-plugins-snippets.page
M	help/C/gedit-plugins-snippets.page.stub
M	help/C/gedit-plugins-sort.page
M	help/C/gedit-plugins-tag-list.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-plugins-word-completion.page.stub

commit ff0a36ee8d9055fb678ec7c3e02a839277971b2b
Author: A S Alam <aalam@users.sf.net>
Date:	2011-08-18

    update translation for Punjabi

M	po/pa.po

commit 5fb429e5536a82ab2499678d2bd25d6796f814ca
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-08-17

    Instead of crediting myself twice I credit myself once and paul once

M	help/C/gedit-plugins-character-map.page

commit a4069d3242673f6c77580ffbbfbb07367ed56d34
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-08-17

    Minor edits to the plugins-character-map.page file.

M	help/C/gedit-plugins-character-map.page

commit cc107bd82900a24d0d33a3ae33ffad43081edb71
Author: Paul Weaver <ch3pjw@bath.ac.uk>
Date:	2011-08-16

    Create contents for character map plugin documentation, remove stub

    This creates the contents for the character map plugin documentation
    (gedit-plugins-character-map.page), and removes the pre-existing
    stub file
    (gedit-plugins-character-map.page.stub).

    Signed-off-by: Jim Campbell <jwcampbell@gmail.com>

A	help/C/gedit-plugins-character-map.page
D	help/C/gedit-plugins-character-map.page.stub

commit a9fa65ed1b9abf10ec6fa301b06426b1e1f632fe
Author: Muhammet Kara <muhammetk@src.gnome.org>
Date:	2011-08-16

    [l10n]Updated Turkish translation

M	po/tr.po

commit 9d5cd427873809f91bbef305033b87246718fb43
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-15

    Bump version of pygobject to 3.0

M	configure.ac

commit 4cb4f2a27c42b2e65520538b4a8870ee88bd0155
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-15

    Use introspected GLib

M	plugins/externaltools/tools/library.py
M	plugins/snippets/snippets/appactivatable.py

commit c62135277228f1b6b2a7cf5852d5f4f086558819
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-08-15

    Remove gedit_notebook_remove_tab

    It's cleaner and faster to use gtk_container_remove

M	docs/reference/gedit-sections.txt
M	gedit/gedit-documents-panel.c
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-tab.c

commit f065913c98fdaa258b4a143c55af56f405c0e472
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-08-13

    Added documentation page stubs for several plugins

A	help/C/gedit-plugins-bookmarks.page.stub
A	help/C/gedit-plugins-character-map.page.stub
A	help/C/gedit-plugins-code-comment.page.stub
A	help/C/gedit-plugins-color-picker.page.stub
A	help/C/gedit-plugins-commander.page.stub
A	help/C/gedit-plugins-draw-spaces.page.stub
A	help/C/gedit-plugins-join-split-lines.page.stub
A	help/C/gedit-plugins-multi-edit.page.stub
A	help/C/gedit-plugins-quick-open.page.stub
A	help/C/gedit-plugins-session-saver.page.stub
A	help/C/gedit-plugins-snippets.page.stub
A	help/C/gedit-plugins-word-completion.page.stub

commit c8ba935c0f7e38ff844e69197f197a76b3c39742
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    snippets: add gboxed templates

M	plugins/snippets/data/c.xml
M	plugins/snippets/data/chdr.xml

commit 8a2a73fe8e80a39dcbade29a6411d3e2296abf49
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-08-11

    Updated Bulgarian translation

M	po/bg.po

commit aba71dfe2c008bd3f4084e94f5b2efdf2a2a5f60
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	2011-08-10

    Updated Thai translation.

M	po/th.po

commit d5855ef158714fb574183c29aa9af03d16ef2dc3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-04

    Revert "Add Unity quicklist to desktop file."

    This reverts commit 2529f991e628b22e2e43e8be8cf14f99ea0a08bb.

    Reverted as it is not validating

M	data/gedit.desktop.in.in

commit b1b50b380de0ceef617c3fe8839974fcf6e47c68
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-04

    Release 3.1.3

M	NEWS
M	README
M	configure.ac

commit c0507538248048c844d3fd0c33738cc190f367dd
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-08-03

    Updated Swedish translation

M	po/sv.po

commit 909f68779e41f6216086cac34c495677136cb7fe
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2011-08-02

    Don't convert deprecated gconf keys

    https://bugzilla.gnome.org/show_bug.cgi?id=655821

M	data/gedit.convert

commit caefe41dbd0335f60485251a294c5645a6af7c14
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:	2011-07-31

    Updated Russian translation

M	po/ru.po

commit 54294e41b9ffe747165501543a7d47dfb5d5b2a1
Author: Si-cong Zhao <lonely.ibm@gmail.com>
Date:	2011-07-31

    Updated Simplified Chinese help translation.

M	help/zh_CN/zh_CN.po

commit 3b877f8bd374142f8f2172b42e7e5faf87f77285
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-29

    tools, snippets: join toolbar with scrolledwindow

M	plugins/externaltools/tools/manager.py
M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/snippets.ui

commit b85ca0106208454572e002d31e10f241a51ca991
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-29

    window: do not leak the icon

M	gedit/gedit-window.c

commit 36eef75144209a835250968f8d5ebe6bb4401b3f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-29

    Show icons in the recent files menuitems always. Fixes bug #590661.

    https://bugzilla.gnome.org/show_bug.cgi?id=590661

M	gedit/gedit-window.c

commit bd806df3d85a2f18353f41d242c610de15b8c794
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-07-29

    Added Basque language

M	help/Makefile.am
A	help/eu/eu.po
A	help/eu/figures/gedit_window.png

commit f167eb694e9c98f76a19aad7480f571e92bd6603
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-28

    Use gtk_widget_set_[hv]align instead of gtk_misc_set_alignment

M	gedit/dialogs/gedit-close-confirmation-dialog.c
M	gedit/gedit-file-chooser-dialog.c
M	gedit/gedit-io-error-info-bar.c
M	gedit/gedit-panel.c
M	gedit/gedit-progress-info-bar.c
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-tab-label.c
M	plugins/checkupdate/gedit-check-update-plugin.c
M	plugins/quickopen/quickopen/popup.py
M	plugins/spell/gedit-automatic-spell-checker.c

commit ae1cf06f3a45f253e206a40e50514e831a448dab
Author: Thiago Branco Meurer <thiago@thiagopriest.net>
Date:	2011-07-28

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit bbe8671c0f1c7edc1bb95dd804eb3d7435bfb523
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-07-27

    [l10n] Updated German translation

M	po/de.po

commit 567d4ade2535400429bd838d96b1e59743caf2fa
Author: Colin Zhao <lonely.ibm@gmail.com>
Date:	2011-07-27

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 446d18998dadc321973ff0b56f80aedc11aff147
Author: Andreas Fackler <AndreasFackler@web.de>
Date:	2011-07-26

    externaltools: use commands_save_document instead of commands.save...

    https://bugzilla.gnome.org/show_bug.cgi?id=655359

M	plugins/externaltools/tools/functions.py

commit b19bb079b33c2c5537d3a62373b89c2fd1efe58e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-07-18

    Updated Norwegian bokmål translation

M	po/nb.po

commit fd55423436c398c910ad5a216b063eae99587f7a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-16

    gedit-panel: add gedit_panel_get_current_item

    Needed to for plugins that activate a specific panel item depending
    on the document.

M	gedit/gedit-panel.c
M	gedit/gedit-panel.h

commit dbe3d6f7f9eb2f7974f619fd1e4aa0ec17c20f77
Author: Marek Černocký <marek@manet.cz>
Date:	2011-07-15

    Updated Czech translation

M	po/cs.po

commit caf49feab4d9639774038d2012a9451ebf9028aa
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-07-15

    Updated Hebrew translation.

M	po/he.po

commit 131c0b2fa91ff1e0ab0cd19fe98d99e633384714
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-07-14

    Updated Slovenian translation

M	po/sl.po

commit 3ccb9534e5cb2a7d535f0b8ae9fc43b07ae1d42f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-07-13

    Updated Spanish translation

M	po/es.po

commit 2529f991e628b22e2e43e8be8cf14f99ea0a08bb
Author: Michael Terry <michael.terry@canonical.com>
Date:	2011-07-12

    Add Unity quicklist to desktop file.

    Patch committed on behalf of Bilal Akhtar, who doesn't have direct
    access.

    https://bugzilla.gnome.org/show_bug.cgi?id=653470

M	data/gedit.desktop.in.in

commit c087bbca1ce97f82bafec347e8c0f80f04f7905e
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-07-12

    Updated Latvian translation.

M	po/lv.po

commit 79bad4fe119cc22a48a7ffea46aca5ad36bd612e
Author: Mara Sdraka <sdr7922@hotmail.com>
Date:	2011-07-10

    l10n: Updated Greek translation for gedit help

M	help/el/el.po

commit ad514b9e2d56219689b926fa89a6a840be4ed3c2
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-07-05

    Updated Hungarian help translation

M	help/hu/hu.po

commit be456c2d8f633ac0d02709d4409aaba062a9320c
Author: lainme <lainme993@gmail.com>
Date:	2011-07-06

    update zh_CN translation

M	po/zh_CN.po

commit ad587fdd99422a289c235b5b8d04cff931108637
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-05

    Release 3.1.2

M	NEWS
M	README
M	configure.ac

commit 412b54b0568aa73c5beaa4080f011b3785507658
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-04

    Expand the view instead of the paned.

M	gedit/gedit-multi-notebook.c
M	gedit/gedit-view-frame.c

commit b12c50a738ee877d460d78baf98cd53409fb25ae
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-07-04

    Further fixes to get_iter_from_tab in the doc pane

M	gedit/gedit-documents-panel.c

commit dae312a1e86ec5bd5faa4589aa5b4d3dad831f32
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-07-04

    Remove bogus assertions in the doc sidepane.

M	gedit/gedit-documents-panel.c

commit 210a12b22c426df9ae46080ed99a0356c07b4f17
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-04

    view: deactivate the view activatable in unrealize

    Disabling the extensions in dispose was dealing to deactivate the
    extensions when they weren't activated yet.

M	gedit/gedit-view.c

commit 08417478b81dba632ab98eb70c676eb479a74941
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-04

    spell: attach the right view to the automatic spell checker

    We were attaching the active view of the window, this is wrong
    as if we load *.c we will endup loading the document and try to
    attach the wrong active view.

M	plugins/spell/gedit-spell-plugin.c

commit cd7185f1aab8b4ad2f32e1d4f414735dd46ecfc4
Author: Jean-Philippe Fleury <contact@jpfleury.net>
Date:	2011-07-03

    Add markdown snippets

    https://bugzilla.gnome.org/show_bug.cgi?id=650253

M	plugins/snippets/data/Makefile.am
A	plugins/snippets/data/markdown.xml

commit 8f3b24117ef83e53d52b792bca7b79a68d4758e9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-03

    quickopen: check that the filebrowser has registered the message bus

    This avoids a warning when trying to use quickopen without filebrowser

M	plugins/quickopen/quickopen/__init__.py

commit 17e3730a1a9319a70e9f73794c1bd05a64d02a14
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-07-02

    Updated Norwegian bokmål translation

M	po/nb.po

commit 689c8bff2c146ff5a9d742e2a8666987e79fa741
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-07-02

    Updated Hebrew translation.

M	po/he.po

commit d09a703e84f818dcadd7bd1c16c2091305a691c2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-30

    externaltools: fix event managing

M	plugins/externaltools/tools/manager.py

commit e43d482c6cdcdbc7d0cbac5d887267148aa3667a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-28

    snippets: use list_targets instead of direct access

M	plugins/snippets/snippets/document.py

commit c81394c7865288be42c02915da4a5b2fe12e877e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Popolate the doc sidepane with an idle.

M	gedit/gedit-documents-panel.c

commit 930db4181a1d112e16a5322140b94cf6b980a71d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Fix typo introduced with the doc menu idle.

M	gedit/gedit-window.c

commit 4a4c2cd56179df7b8cff52b1321fc17a72cc7fd9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Fix warning introduced with the idle doc menu.

    To be honest I do not like this fix much, but it seems the simplest
    way
    to avoid the runtime warning in the doc menu.

M	gedit/gedit-window.c

commit de24b2c5e2e1b42bd58d9611b4f5fd8856a926b1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Fix slowdown when closing all tabs

    We were O^2 stupid: for each tab we were getting its position,
    which in
    turns requires walking the list of children and then we were removing
    the tab, which in turns requires gtk to re-walk the list of tabs
    to find
    the one we want to remove. Besides removing tabs starting from
    the first
    is bad for gtknotebook since even/odd css of each tab is recalculated
    over and over: we can remove tabs in reverse order.

M	gedit/gedit-notebook.c

commit c46eeadd4bf64826ad2b4101f264f54a8ac25f00
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Populate the documents menu in an idle

    This will hopefully reduce the work done when adding many docs
    consecutively, e.g. when running gedit *.c

M	gedit/gedit-window-private.h
M	gedit/gedit-window.c

commit 775d6b20169dcb076e9531528e5ff94869bce9b2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-26

    Lazy init the search entry widget

M	gedit/gedit-view-frame.c

commit 977af0c489a6dcd6cbc4827b192ffa9b37a26bbc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-25

    externaltools: be sure to have a menu when updating the state

M	plugins/externaltools/tools/windowactivatable.py

commit f217221a5d3e084dd7a915cb681b445c4e0d698a
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:	2011-06-25

    [l10n] Updated German translation

M	po/de.po

commit 51db205e09f18dbf743d40596e33217538de43ec
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-06-23

    Update to libpeas 1.1 depreciations

M	configure.ac
M	gedit/gedit-app.c
M	gedit/gedit-view.c
M	gedit/gedit-window.c

commit ee7bb406a522f806f947f47712bdacad4d82ce4b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-06-24

    [l10n] Updated German doc translation

M	help/de/de.po

commit 7940fa033bf6e4666635056672c65d125b77ae6a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-06-21

    Updated Slovenian translation

M	po/sl.po

commit 00e1f7104bfa68db212a580ec003fcf642f3f5b0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-06-21

    Updated Galician translations

M	po/gl.po

commit 3bd028045cd3e5bb17b2244f419ea13bb6f74c9c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-06-20

    Updated Spanish translation

M	po/es.po

commit bbc5d5ce73e7fe12270b1257c83b13e0d8e9d23b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets, externaltools: change the toolbar icons size to 1

M	plugins/externaltools/tools/tools.ui
M	plugins/snippets/snippets/snippets.ui

commit 6c7c1440afe0423275ef4edff83c941c81d09d80
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets,externaltools: Change the title to Manage Blah

M	plugins/externaltools/tools/tools.ui
M	plugins/snippets/snippets/snippets.ui

commit 0ac7ea1d95a5887b5189efa4e78714ebd22ab980
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    externaltools: set the toolbar style as primary in the manager

M	plugins/externaltools/tools/tools.ui

commit 228bbdc624395c00a6618c0882811a975ea37632
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    externaltools: rework the buttons to use a toolbar and symbolic icons

M	plugins/externaltools/tools/manager.py
M	plugins/externaltools/tools/tools.ui

commit 9741c1895f91636ebefc0d387606938403078d48
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: set the toolbar style in the ui file

    seems that the style is supported in ui files

M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/snippets.ui

commit 2cf88735c2888fc42ab0c79544e0755eed53422f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: set the toolbar style as primary

M	plugins/snippets/snippets/manager.py

commit 2edcc3410e01b96dd2ffca3262b5eb1ad434c3ce
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: remove space between the treeview and the toolbar

M	plugins/snippets/snippets/snippets.ui

commit cf1432c9bcb5b3c5a8efa1b2002b00db92ff6a07
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: rework the buttons to use a toolbar and symbolic icons

M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/snippets.ui

commit 9ca5a6faab0395525a4ee3fd9d7303e2eae1b1f8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: use Gtk.MessageType.QUESTION intead of INFORMATION

M	plugins/snippets/snippets/manager.py

commit 6bdcfdb9f7fe146093e5ed9ac0f6575634d4d464
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-20

    snippets: set Snippets title in the manager

M	plugins/snippets/snippets/snippets.ui

commit 9cfe463fba7f8786ee9e74a820ac38ade4de8375
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-18

    Revert "filebrowser: set toolbar style as primary"

    This reverts commit a76e832ea66e26a93a603af29da389b07e41659c.
    It was a test to see how it looks, but having two primary toolbars
    near
    each other does not look very good.

M	plugins/filebrowser/gedit-file-browser-widget.c

commit 1ab52745d032e3e455b21380c43b88139ab71c43
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-18

    The user snippet dir may not exist yet

    Fixes bug #651938

M	plugins/snippets/snippets/importer.py

commit a76e832ea66e26a93a603af29da389b07e41659c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-18

    filebrowser: set toolbar style as primary

M	plugins/filebrowser/gedit-file-browser-widget.c

commit 0836fd05ac7887d9d437696b4162b536e8134778
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-06-17

    filebrowser: fix crash on open_terminal action.

    The callback for the action expects a FileBrowserPlugin pointer.

M	plugins/filebrowser/gedit-file-browser-plugin.c

commit 27c7ea4e6c6f7229627a55b2a59b7bbc5a242a92
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-16

    externaltools: use Gedit.App instead of Gedit.app...

M	plugins/externaltools/tools/filelookup.py

commit f08e9d2953fa213f77dce635127c3a0131fba02f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-16

    externaltools: use the right methods.

M	plugins/externaltools/tools/capture.py
M	plugins/externaltools/tools/filelookup.py

commit 09738cd6f5f24a37cb7dd85dfca7a5099529e5d2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-16

    externaltools: fix languages popup

M	plugins/externaltools/tools/manager.py

commit bd0a8b39291c3916c00b8970047be757e2831c0e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Release 3.1.1

M	NEWS
M	README
M	configure.ac

commit e8c228be022deb2b3c4373330b060a4bced09983
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    externaltools: readd the GeditView and fix expansion flag

M	plugins/externaltools/tools/manager.py
M	plugins/externaltools/tools/tools.ui

commit c2be408db78d2f679f2b582c0c0310ab98a86e22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    preferences dialog: fix expand problem

M	gedit/dialogs/gedit-preferences-dialog.ui

commit 7d0ee9b27843c2f40a453b00167b68f6847dadaf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    time: fix expansion flags in the ui file

M	plugins/time/gedit-time-dialog.ui
M	plugins/time/gedit-time-setup-dialog.ui

commit 4a06b52019e58fda3450f9563ef2ce889110534c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    theatrics: use foreach_remove instead of foreach and call remove
    inside

M	gedit/theatrics/gedit-theatrics-stage.c

commit c3a1bafc5a22a99be7d81f7df24e328a573e6f4d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Fix overlay tests

M	tests/test-overlay.c

commit 0b6d5723ffb0ebb4bda3cadc0341e0bfa9eb4466
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Use GtkBox instead of Gtk[HV]Box in ui files

M	gedit/dialogs/gedit-encodings-dialog.ui
M	gedit/dialogs/gedit-preferences-dialog.ui
M	gedit/dialogs/gedit-replace-dialog.ui
M	gedit/gedit-print-preferences.ui
M	plugins/docinfo/gedit-docinfo-plugin.ui
M	plugins/externaltools/tools/tools.ui
M	plugins/pythonconsole/pythonconsole/config.ui
M	plugins/snippets/snippets/snippets.ui
M	plugins/sort/gedit-sort-plugin.ui
M	plugins/spell/languages-dialog.ui
M	plugins/spell/spell-checker.ui
M	plugins/time/gedit-time-dialog.ui
M	plugins/time/gedit-time-setup-dialog.ui

commit 7965e85058e8f6947cc082c0732d67dcba8e098e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Inherit from GtkBin instead of GtkBox

M	gedit/gedit-panel.c
M	gedit/gedit-panel.h

commit 00731be257876e661bac9c3f17a8c6af855746ff
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Bump gtk+ version to 3.1.6

    Needed for GtkOverlay

M	configure.ac

commit caa8ca99570d344b7ec68801ab358b0a49cd5048
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Port gedit to GtkOverlay

M	gedit/Makefile.am
M	gedit/gedit-animatable.c
M	gedit/gedit-animated-overlay.c
M	gedit/gedit-animated-overlay.h
M	gedit/gedit-floating-slider.c
M	gedit/gedit-floating-slider.h
D	gedit/gedit-overlay-child.c
D	gedit/gedit-overlay-child.h
D	gedit/gedit-overlay.c
D	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c

commit 9834d9ceffa9c47189b8fe1823d9117c6e678143
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-06-12

    Fix tab groups so they expand properly

M	gedit/gedit-multi-notebook.c

commit 8033c19d2c89e1364861c42879d1aa300963aed7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-12

    panel: use the right property

M	gedit/gedit-panel.c

commit 18a62cc5d78b4fc0862578c4216bcab4dc20c3bd
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-06-12

    No longer use Gtk[HV]Box as it is deprecated

M	gedit/dialogs/gedit-close-confirmation-dialog.c
M	gedit/gedit-documents-panel.c
M	gedit/gedit-documents-panel.h
M	gedit/gedit-file-chooser-dialog.c
M	gedit/gedit-io-error-info-bar.c
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-panel.c
M	gedit/gedit-panel.h
M	gedit/gedit-print-preview.c
M	gedit/gedit-print-preview.h
M	gedit/gedit-progress-info-bar.c
M	gedit/gedit-statusbar.c
M	gedit/gedit-tab-label.c
M	gedit/gedit-tab-label.h
M	gedit/gedit-tab.c
M	gedit/gedit-tab.h
M	gedit/gedit-view-frame.c
M	gedit/gedit-view-frame.h
M	gedit/gedit-window.c
M	plugins/checkupdate/gedit-check-update-plugin.c
M	plugins/filebrowser/gedit-file-browser-widget.c
M	plugins/filebrowser/gedit-file-browser-widget.h
M	tests/test-overlay.c

commit 33fee945a6bbf88ba28316fbba842aab411d9ecf
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-06-07

    Updated French doc translation

A	help/fr/figures/gedit3-screenshot.png
D	help/fr/figures/gedit_recent_files_menu_icon.png
D	help/fr/figures/gedit_window.png
M	help/fr/fr.po

commit 4fdcac179cde63c3b73c78ba0568df8c268069ba
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-05

    Remove debugging leftover.

M	gedit/gedit-window.c

commit 2893a74c69c74c13230deae837cf1d59afb166a8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-05

    When a new window is created it should contain a tab

    Try to fix the logic with which we choose whether to create a new
    tab or
    not.

M	gedit/gedit-app.c
M	gedit/gedit-dbus.c

commit 45ef6ab1dfaf8424fecfc1d82d1178b190e0c236
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-04

    Add debug tracing for the dbus stuff.

M	gedit/gedit-app.c
M	gedit/gedit-dbus.c
M	gedit/gedit-debug.c
M	gedit/gedit-debug.h
M	gedit/gedit-window.c

commit 1edc621c9713c6c8843d950d36f6b0ed1001ac94
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-01

    LINGUAS: remove duplicated language

M	po/LINGUAS

commit e40b6a53f42ca02ff7f16a908d16ec970f46691f
Author: Kostas Papadimas <pkst@gnome.org>
Date:	2011-06-01

    Updated Greek translation

M	po/el.po

commit 7013303fd1806171cdc1744ed941d1a5e33988bb
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-05-29

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit ed6517948f12a853fbe55c792550b239646988a1
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2011-05-25

    Don't use both intltool and gettext rules since they conflict
    (#627789)

M	configure.ac

commit f8508ca201e7d16fa5e18a6130f456fdd3fc0c99
Author: Dan Williams <dcbw@redhat.com>
Date:	2011-05-25

    Fix use-after-free during incremental search

    Move the free right before the assignment to ensure that
    old_search_text is never left dangling and thus double-freed
    if init_search_entry() is called again.

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=651068

M	gedit/gedit-view-frame.c

commit ce9114eeb25f5a25e1008b1f5ad61f8aabac33cc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-25

    Release 3.0.3

M	NEWS
M	README
M	configure.ac

commit 5dae52b2d77258d5cce254bb6eb1133c69ddd497
Author: Olav Vitters <olav@vitters.nl>
Date:	2011-05-24

    Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

M	configure.ac

commit 1d2d33bec78e5b0f612221d876fec08bfd27e2a5
Author: Marek Černocký <marek@manet.cz>
Date:	2011-05-16

    Updated Czech translation

M	po/cs.po

commit 361135ec3c7fa7f27cebfa18f899818c0d5268c5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-05

    Use a css provider to set the error style in the entry popup.

M	gedit/gedit-view-frame.c
M	gedit/gedit-view-frame.h

commit c12ae30936a8965a6e7735e7e90c0ae9bbadb12c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-05-03

    Updated Spanish translation

M	help/es/es.po

commit e36ca5371856bed8f2dad74a3bac274d78b89c57
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-05-02

    Added UG translation

M	po/ug.po

commit c764362b39bdc205033beb4bf8f7d93a49243633
Author: Jiro Matsuzawa <matsuzawa.jr@gmail.com>
Date:	2011-05-03

    Updated Japanese translation

M	po/ja.po

commit 639fecbf72c4469f26ceb61d69d739b4e3847a42
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-05-02

    configure.ac: Use silent rules by default

    As we depend on automake 1.11 now

M	configure.ac

commit e92f08eff5f26a4d5d369bf4648c81faf17dfcce
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-05-02

    configure.ac: Generate xz tarballs instead bz2

    Also use pax tar format to avoid problems with large files

M	configure.ac

commit aad766b17795d8deb3ce736b871160b1bf32d6ee
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-05-01

    Added UG translation

M	po/ug.po

commit b27d8ea2369e549820cbf1651316a83d85bb27d2
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-04-30

    Updated gedit-search.page. Users can scroll through search results
    with up and down arrows.

M	help/C/gedit-search.page

commit 4af306939dff982ca90edbbf73dfca250773889f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-04-28

    Added galician translations for docs

M	help/Makefile.am
A	help/gl/gl.po

commit b67acf40df1f4d7b4fc96b59c49b5533a8e620f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-27

    Remove trailing spaces from snippets.

M	plugins/snippets/data/c.xml
M	plugins/snippets/data/chdr.xml
M	plugins/snippets/data/cpp.xml
M	plugins/snippets/data/fortran.xml
M	plugins/snippets/data/java.xml
M	plugins/snippets/data/mallard.xml
M	plugins/snippets/data/php.xml
M	plugins/snippets/data/ruby.xml

commit e96f8d690181fd2d750b4c1849a1fbf671fe825f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-27

    Do not let the bottom panel overlap the whole TextView.

    We were letting the bottom panel overlap the whole TextView,
    one thing is that at least the minimal size of the view should
    always be visible and the other issue to change this is that
    there is a bug in gtk+ that makes the textview overlap the paned
    when the paned reaches the minimum size of the view.

M	gedit/gedit-window.c

commit 5d279edef7ca4c91d7bfce25005649c300d0d09e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-27

    Override constructed instead of constructor.

    Also fixed some stylish issues.

M	gedit/gedit-panel.c

commit 59551916ab539043ee186ffeb42aea251869d059
Author: Ivan Masár <helix84@centrum.sk>
Date:	2011-04-27

    Updated Slovak translation

M	po/sk.po

commit 6a89f17a7d9f2d0dc5f08aafde4c33a201229a51
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-26

    Release 3.0.2

M	NEWS
M	README
M	configure.ac

commit ddf3d984503be4a52e390032b19d5ca3b8820e4d
Author: Ivan Masár <helix84@centrum.sk>
Date:	2011-04-25

    Updated Slovak translation

M	po/sk.po

commit de138c65f93dc35f0b328098e45fd3f2ff058d04
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-22

    [snippets] Make better use of new plugin architecture

M	plugins/snippets/snippets/Makefile.am
M	plugins/snippets/snippets/__init__.py
M	plugins/snippets/snippets/document.py
M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/shareddata.py
A	plugins/snippets/snippets/signals.py
M	plugins/snippets/snippets/windowactivatable.py

commit e8a05b7db1046aad701a6db898b144e02a4ab503
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-21

    Updated Hungarian help translation

M	help/hu/hu.po

commit 11fca8b4b7642a75890f3444c65aec4729586289
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-21

    Updated Spanish translation

M	help/es/es.po

commit 43e04a46271a936d609fb9ed0e2628eeeb2addd4
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-04-21

    Updated Spanish translation

M	help/es/es.po

commit c7fdb02da08d0a5229517b30aca1f6eb4240db25
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-21

    Revert "Use css stylesheet file instead of inline styles"

    This reverts commit c2fbbed25740d45426b9de17d9a2aeec6c350152.

M	data/Makefile.am
D	data/gedit.css
M	gedit/gedit-close-button.c
M	gedit/gedit-close-button.h
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-status-combo-box.h
M	gedit/gedit-window.c
M	gedit/gedit.c

commit e3d36ce46c795887fa449db7eba19b4cc949f714
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-20

    [filebrowser] implement interfaces dynamically

M	plugins/filebrowser/gedit-file-browser-store.c

commit 2b52ef5e90fbcf755cfc958e29dec3d3b140c146
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-04-19

    updates to docs to fix bug 648249

M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-undo-recent-action.page

commit 63b9f7ee336cb4afedfa0221c59cddd86cd2f663
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-19

    Update class diagram

M	docs/class-diagram.dia

commit 12d817be0ec4e8ebc4f4b131b4380c0e6af85a7d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-04-18

    [l10n] Updated German doc translation

M	help/de/de.po

commit fb93cdd329ebc9826acf17b6a0d0a4100b726d6e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-16

    Use GtkBin for managing the child.

M	gedit/gedit-overlay-child.c

commit b8a344cbd442303045602c88ed101bdb46286edd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-16

    [overlay] Remove composition.

    This was producing problems so we will postpone it for 3.2 release.

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay.c
M	gedit/gedit-view-frame.c

commit 2bcf057e30f8af1c7c4799d2011c4591227d57ae
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-15

    Disable composition.

    Scrolling is really slow with composition, so let's disable it
    until we find out what's the problem.
    See: https://bugzilla.gnome.org/show_bug.cgi?id=647802

M	gedit/gedit-view-frame.c

commit d1ca5029ba6a510210cfba9e0edad06ca7cbdd0f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-14

    Updated Vietnamese translation

M	po/vi.po

commit c5af42395abd7296fd196867aeea1ad8cafa6840
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-14

    po/vi.po: import from Damned Lies

M	po/vi.po

commit db38a3e06d0a0eff1c0deec7593675e620469b9e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-13

    Updated Spanish translation

M	help/es/es.po

commit df39d840b9768221f89a06ed48f5b5f9cc3ebf13
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-13

    Release 3.0.1

M	NEWS
M	README
M	configure.ac

commit 87389723355dd43f4759a0e80c754bfaf694a368
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-13

    Only activate ViewActivatable once

M	gedit/gedit-view.c

commit a4290fbed608dd604b71c922578b19d6dc773d78
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-13

    Initialize gtk for document-saver test

M	tests/document-saver.c

commit c2fbbed25740d45426b9de17d9a2aeec6c350152
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-12

    Use css stylesheet file instead of inline styles

M	data/Makefile.am
A	data/gedit.css
M	gedit/gedit-close-button.c
M	gedit/gedit-close-button.h
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-status-combo-box.h
M	gedit/gedit-window.c
M	gedit/gedit.c

commit 1d094b509ee6dd10a6b871aeb216cb9d4dee7bec
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-12

    Remove shadow from text view scrolled window

M	gedit/gedit-view-frame.c

commit 2991f60d5a299ba1e0f25ff216e85003150ed5d5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    [docs] Fix indentation

M	help/C/gedit-view-open-files-in-sidepane.page

commit 6d29e93151bda6f1b31d4ff6aae1f84b936305e0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    [docs] Fix typo

M	help/C/gedit-open-on-server.page

commit 78a90f3019b36b6e001a505dcc16a62769c92b9a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Select text in the search popup entry.

    Pressing control+f when the search popup is visible it selects the
    text in the entry.

M	gedit/gedit-view-frame.c

commit f0bd64c20328fca5339b9d40c67b566a039e3704
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-11

    Do not composite widgets not visible

M	gedit/gedit-overlay.c

commit 2ab3b119b634d97c73a59cb77e4fe2f64c068dba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-11

    Do not set it as app_paintable and remove the set_has_window

    By default it doesn't have a window anyway so it is safe to remove.

M	gedit/gedit-rounded-frame.c

commit 5d59a4cfe09ecb8e5bc1a511d3b1191bf1c7df8b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-10

    Cleanup in the GeditRoundedFrame widget.

    Fix a lot of size allocation problems and make it more similar to
    GtkFrame. Also make it take the settings from the GtkFrame style.

M	gedit/gedit-rounded-frame.c

commit 2ebeadc30a0a124bc886efa4345461b55e747df5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-10

    Sync smclient with latest libegg version.

M	gedit/smclient/eggdesktopfile.c
M	gedit/smclient/eggdesktopfile.h
M	gedit/smclient/eggsmclient-osx.c
M	gedit/smclient/eggsmclient-win32.c
M	gedit/smclient/eggsmclient-xsmp.c
M	gedit/smclient/eggsmclient.c
M	gedit/smclient/eggsmclient.h

commit 4029230e9166c3431652723c7b655acd47d07240
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-09

    Simpler GeditApp singleton implementation

M	gedit/gedit-app.c
M	gedit/gedit-app.h

commit fd3d8a3224a9cd323067c6e59f9d9ebf95756cea
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Leave some right padding on the statusbar

    Some changes in gtk3 seem to have affected how labels inside our
    statusbar are sized. With this change we at least leave some right
    padding so that INS does not end up at the screen edge when the window
    is maximized.

M	gedit/gedit-statusbar.c

commit cbde9d73dd00e25ca3851d33902d9535fb70a612
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Remove GeditStatus which is a leftover from the past.

M	docs/reference/gedit-sections.txt
M	gedit/gedit-statusbar.h

commit 5f1dcdd6df62918b465c3e3cf16b9df2cfccdc45
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Add missing new-line.

M	gedit/gedit-command-line.c

commit 597f1133c2bc6df83773f5a0dd97f63a19b7ae36
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Fix the parent in gedit-app class struct.

M	gedit/gedit-app.h

commit cf3eaa0c3475e223bde1fc807afe7f9b73c012b8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Revert "Simplify app and command-line singletons"

    This reverts commit 6868673dfc1236cf4d711ab7f3f9f38a56585f02.

M	gedit/gedit-app.c
M	gedit/gedit-app.h
M	gedit/gedit-command-line.c
M	gedit/gedit-command-line.h

commit 10c4486b620ce2d3b494738f8ac1bfc34e1c1e5c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Revert "Fix warning."

    This reverts commit afd80ac7d0b7a33aefbb7994ad960479eb97d345.

M	gedit/gedit-app.c

commit afd80ac7d0b7a33aefbb7994ad960479eb97d345
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-09

    Fix warning.

M	gedit/gedit-app.c

commit 6868673dfc1236cf4d711ab7f3f9f38a56585f02
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-08

    Simplify app and command-line singletons

    GeditApp had the wrong parent class in the class struct, but we may as
    well make it a normal gobject instead of an initially-unowned since we
    were ref-sinking it immediately.

M	gedit/gedit-app.c
M	gedit/gedit-app.h
M	gedit/gedit-command-line.c
M	gedit/gedit-command-line.h

commit ab64e914fb7e9cd198c30437b030eef440fd774e
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-09

    Fix removing widgets from overlay

    This also stores both a wrapped and the original widget if
    needed. This makes the
    code to look for and remove widgets easier. Also properly disconnect
    destroy handler
    when removing a wrapped widget and destroying the wrapper.

M	gedit/gedit-overlay.c

commit 63f13103ea314499aa6f753dccb83bede2c9f1e9
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-09

    Implement compositing support for GeditOverlay

    https://bugzilla.gnome.org/show_bug.cgi?id=642091

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-rounded-frame.c
M	gedit/gedit-view-frame.c

commit afdd4dece750c8b5c086b810a7c054c6cf516a9f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-06

    Manage the selection of text correctly.

M	gedit/gedit-view-frame.c

commit 9f358290fa28c6853073654d212fd29f3924850b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-07

    When searching get the right iter as first iter when there is
    a selection

M	gedit/gedit-view-frame.c

commit 91181738f08d2e52c2e344b28f4dab95bba0096b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-07

    Update the search when a search option has changed.

M	gedit/gedit-view-frame.c

commit 0df96d8ec7fbcaec441a990474f748ed7aace629
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-07

    Control+scroll to move between search occurrences instead of just
    scroll.

M	gedit/gedit-view-frame.c

commit dd9c0229be8a45d0f63e84fc07705596aeef92b6
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-04-06

    Updated Basque language

M	po/eu.po

commit 75b88406ae15c53b8f730133825ac86e34403380
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-04-06

    Updated Basque language

M	po/eu.po

commit a5bb22e94ef09fabd1391914e0e50fa4b2a86f1c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-04-06

    Updated Basque language

M	po/eu.po

commit 65f38face0b393c227b0077c03bd173dba4f4aed
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-06

    Avoid crash when removing the highlighted text.

    We must block the changed signal when setting "" in the entry
    to avoid an useless search and a crash as the text mark for the
    start of the text is deleted when the popup is hidden.

M	gedit/gedit-view-frame.c

commit db0a51785352892d1bb1abe4487d91d66f21f803
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-06

    Free the scheme string when it is the same as the old one.

M	gedit/gedit-settings.c

commit 611fe56ae2d75e3f4697ea9ea4f70dc3be12f7bf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-06

    Small cleanup I had locally on top of the recent ctrl+delete commit.

M	plugins/filebrowser/gedit-file-browser-widget.c

commit ccaf8ae4ead63e9a25773cff23ae9ae33f13ee34
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-29

    Fix up #include <config.h> to make translations work

M	gedit/gedit-command-line.c
M	gedit/gedit-panel.c
M	gedit/gedit-style-scheme-manager.c
M	gedit/gedit-ui.h
M	gedit/gedit-view-frame.c

commit 52f3675e9b4cc8770702f752c3473ece69443be4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-04

    Get the right file or dir for iso-codes depending on the OS.

M	plugins/spell/gedit-spell-checker-language.c

commit 3c289c092c00425cec4302f0025a7f974a47dc4f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-04

    Get the nautilus value as an enum instaed of a string and avoid
    a conversion.

M	plugins/filebrowser/gedit-file-browser-plugin.c
M	plugins/filebrowser/gedit-file-browser-view.h
M
plugins/filebrowser/org.gnome.gedit.plugins.filebrowser.gschema.xml.in.in

commit 9f30645e269cce029ceffaf13798ac72cc9a88c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-04

    Control+Delete to send files to the trash. Same as in nautilus.

M	plugins/filebrowser/gedit-file-browser-widget.c

commit 8d2c4b76b8834c801f0ee81fa239c2bc9b3cd329
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-04

    Release 3.0.0

M	NEWS
M	README
M	configure.ac

commit fea37271c5cacc36a6434f779874e7c754a1c608
Author: Benjamin Otte <otte@redhat.com>
Date:	2011-04-04

    Fix the size of the progress bar in the info bar. Fixes bug #643729

M	gedit/gedit-progress-info-bar.c

commit 580646f4967e6d8a87c8a48af98f5120f5b9eff0
Author: Baris Cicek <baris@teamforce.name.tr>
Date:	2011-04-04

    Updated Turkish translation

M	po/tr.po

commit f7ce607730d72af0f605a075153d623b96fbc858
Author: Jordi Serratosa <serratosa@gmail.com>
Date:	2011-04-03

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit 8b0e341106a2a08df404d21fffde955305b4374a
Author: Hendrik Richter <hendrikr@gnome.org>
Date:	2011-04-03

    Added German screenshot.

M	help/de/de.po

commit 5eebaab110b353c758b806f103919f67920df98a
Author: Hendrik Richter <hendrikr@gnome.org>
Date:	2011-04-03

    Added German screenshot.

A	help/de/figures/gedit3-screenshot.png

commit 7e75a9f650137df65d46611febaf02d8802e3106
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-03

    Updated Hungarian translation

M	po/hu.po

commit badfe1fcfee17e5991a1d2a2644d4244e9c5f887
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-03

    Updated Hungarian translation

M	help/hu/hu.po

commit 9a37723abe06d83dd2c6b86149799cca67cf9e4b
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-04-02

    Updated Tamil translation

M	po/ta.po

commit 4d34751b968b040816e77be7d2a5cc53d2209e71
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-04-02

    Updated Danish translation

M	po/da.po

commit 7226b4ae8327dfdf2a2259631c13981fec3a4fdc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-04-02

    Updated Spanish translation

M	help/es/es.po

commit 401871720f62f82cb291ed99b5c2ec2f71ae988c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-04-02

    Updated Spanish translation

M	help/es/es.po

commit 41ebab43b629479aa70fe01b4cbf05532d17ca9b
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-04-02

    Updated Danish translation

M	po/da.po

commit b3f6fd5c7ab9e433dd7698a25d9dc00867c04ad9
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-04-02

    Use Gio.file_new_for... instead of old Gio.File

M	plugins/snippets/snippets/document.py
M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/snippet.py

commit cb04f8f0b79ba64dd3ceea236e0c171575298102
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-02

    Updated Hungarian help translation

M	help/hu/hu.po

commit c5e7147138418d1acf7e0031242537ce4170fd31
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	2011-04-02

    Updated Thai translation.

M	po/th.po

commit dc3142aa80130d403a97a8eb56b5ff9db154d873
Author: Simos Xenitellis <simos@gnome.org>
Date:	2011-04-02

    l10n: Updated Greek translation for gedit docs

M	help/el/el.po

commit a5134f7ef7d4f7ef45162a06c6b5a94e7f3969a8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-02

    Updated Spanish translation

M	help/es/es.po

commit 97ac4e22357f31c87740cbe339597438a9ddc23e
Author: Friedel Wolff <friedel@translate.org.za>
Date:	2011-04-02

    Fix an accelerator in Afrikaans (af)

M	po/af.po

commit ef48c8fbcb9f0bc1e4a0e57021e51184a3e6f4cb
Author: Friedel Wolff <friedel@translate.org.za>
Date:	2011-04-02

    Update translation for Afrikaans (af)

M	po/af.po

commit 6882aad4eeb816aac015fa7248d64fcef69938f0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-01

    Updated Hungarian translation

M	po/hu.po

commit c3e6e122ce6e19c39d7da51c2a407a38d13148be
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-01

    Updated Hungarian translation

M	po/hu.po

commit fd9b7851e03c1ac4f94742e2fb5a5ce399c35db9
Author: Gabriel F. Vilar <cogumm@gmail.com>
Date:	2011-04-01

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 980f649fb07d19b748ebddbc67806f28b73e534a
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-04-01

    Updated Telugu Translations

M	po/te.po

commit f094584f1f208b4fd76d9714c8de446db457af83
Author: Ani Peter <apeter@redhat.com>
Date:	2011-04-01

    Updated Malayalam translation

M	po/ml.po

commit 98da1f133fa5d933639813f926240559fab7cab2
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-04-01

    Updated Gujarati Translations

M	po/gu.po

commit 5f2ddc2e18f75ab64e134ee9ab191b2ddeec03b8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-04-01

    [l10n] Updated German doc translation

M	help/de/de.po

commit aa04b47010632b0b08667276956a4492558a0517
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:	2011-03-31

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit fc1ed91ee1fbf744a15313e223b22eff350064aa
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-03-30

    Updated Danish translation

M	po/da.po

commit 85badb380a0068f69ec32c82fd34bf770a60e2d4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-03-30

    Updated Basque language

M	po/eu.po

commit cec25f6641c2b40a7f4d44923f7e80475986fe43
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-30

    Updated Spanish translation

M	help/es/es.po

commit a88235c28f1729c40e3865a56ae9dc49cbc5b4a1
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-03-29

    [l10n] Updated German translation

M	po/de.po

commit 98fa6c21ea8583857eb41bc0f912d60a2ccc89f3
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2011-03-30

    Updated Indonesian translation

M	po/id.po

commit 5376a0fcbea9ee604882a086bddb5d9c9c768c2c
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-29

    Updated Slovenian translation

M	help/sl/sl.po

commit 887db02ed203acbd9a6094df48fc3824208ea2c5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-28

    Updated Spanish translation

M	help/es/es.po

commit dfb381636270aa3ec0eab644d02bbc324c038e60
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2011-03-28

    Updated Marathi Translations

M	po/mr.po

commit a3541ed4bbead9c17ec73b868408557a06551659
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2011-03-28

    Updated Marathi Translations

M	po/mr.po

commit 1f85c4fe1538f90b2a8edfd587bc37d10501ad52
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2011-03-28

    Updated Marathi Translations

M	po/mr.po

commit d09098cefc28fd1cad2633a1d184bd4a588ad675
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-03-28

    Add missing space to user-visible UI string

    Also Updated all translations to not cause any trouble for
    translators.
    Additionally, fixed a technical issue in po/eu.po.

M	plugins/filebrowser/gedit-file-browser-store.c
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/be.po
M	po/bg.po
M	po/bn_IN.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cs.po
M	po/de.po
M	po/el.po
M	po/en@shaw.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nb.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/ro.po
M	po/ru.po
M	po/sl.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/ug.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 3a9d2506334a66fc0edde50f28a311c50fe7cb36
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-03-28

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit ebfab283c22fff7bc3b09d677cfffebd5490fa5c
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit ba9476d9230cd739e5e5db8cefff2f8ff4d6aa0b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-26

    Properly attach/detach the menu to the status-combo

M	gedit/gedit-status-combo-box.c

commit d5743b49e6355f895b010bb04f417c0fd955469b
Author: Steve Frécinaux <code@istique.net>
Date:	2011-03-26

    Add a description in the gedit DOAP.

M	gedit.doap

commit 4cb80e99b09f4a0ab5595ecbc08408de57de64f3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-03-26

    Updated Slovenian translation

M	po/sl.po

commit 5386e32716334eb652583f4db168ffa844ecf934
Author: A S Alam <aalam@users.sf.net>
Date:	2011-03-26

    update tranlation for Punjabi by A S Alam

M	po/pa.po

commit b3f60b1a92b09fc4380bacfb399a3db8fe9a1651
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-26

    2.91.11

M	NEWS
M	README
M	configure.ac

commit 1ceab43b6f0b512df96ffa0082f89224609b4f15
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-26

    Fix distcheck.

M	gedit/Makefile.am
M	plugins/filebrowser/Makefile.am

commit e729c516c09d414ecff3e0c2bce4836251090fd9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-26

    Remove useless writable-vfs-schemes scheme key and update the docs.

M	data/org.gnome.gedit.gschema.xml.in.in
M	gedit/gedit-settings.h
M	help/C/gedit-open-on-server.page

commit 1cb2245564cbd2f97a26d5f24dc75c66db8faba7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-26

    [docs] put the right scheme key path

M	help/C/gedit-open-on-server.page

commit da9bf084327726963468f87d2fd3f7e8b6708c5b
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    removed /help/notes folder. added files for printing. removed
    check-update page

D	help/C/gedit-plugins-check-update.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-plugins-snippets.page
A	help/C/gedit-printing-order.page
A	help/C/gedit-printing-select.page
M	help/C/gedit-printing.page
D	help/C/notes/gedit-wiki-notes

commit 3c3c34ee9f00ecfa4607404c2aa36d7a9cf5b68c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    removed the plugins-check-update page until we know that this works

M	help/Makefile.am

commit b621d36a67486c8f6f9ee6bd72a32ad899d04235
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-26

    Remove gedit-message-type from the gtk-doc stuff.

M	docs/reference/gedit.types

commit 01f7022e6c079ae67aaed254c350b1c6cc5cbd1f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-25

    Fix dialog border

M	plugins/snippets/snippets/snippets.ui

commit 9993924e6e406dbc0aefcc0428c8621cb900afba
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    updated all doc statuses. run checkstatus.sh > ~/status to view
    current status

M	help/C/gedit-change-color-scheme.page
M	help/C/gedit-close-file.page
M	help/C/gedit-files-basic.page
M	help/C/gedit-full-screen.page
M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-plugins-check-update.page
M	help/C/gedit-plugins-doc-stats.page
M	help/C/gedit-plugins-external-tools.page
M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-insert-date-time.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-plugins-sort.page
M	help/C/gedit-plugins-tag-list.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-printing.page
M	help/C/gedit-replace.page
M	help/C/gedit-search.page
M	help/C/gedit-spellcheck.page
M	help/C/gedit-syntax-highlighting.page
M	help/C/gedit-tabs-moving.page
M	help/C/gedit-tabs.page
M	help/C/gedit-undo-recent-action.page
M	help/C/gedit-view-open-files-in-sidepane.page

commit 2ab35c61bfe3b00160684694c37a5886d777f458
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    minor edits to files and marking files as candidates for
    release. added script to check doc status.

A	help/C/check_status.sh
M	help/C/gedit-close-file.page
M	help/C/gedit-create-new-file.page
M	help/C/gedit-edit-as-root.page
M	help/C/gedit-files-basic.page
M	help/C/gedit-open-files-from-sidepane.page
M	help/C/gedit-open-files.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-open-recent.page
M	help/C/gedit-plugins-change-case.page
M	help/C/gedit-plugins-modelines.page
M	help/C/gedit-plugins-pyconsole.page
M	help/C/gedit-plugins-snippets.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-quickstart.page
M	help/C/gedit-replace.page
M	help/C/gedit-save-file.page
M	help/C/gedit-search.page
M	help/C/gedit-shortcut-keys.page
M	help/C/gedit-tabs-moving.page
M	help/C/gedit-tabs.page
M	help/C/gedit-undo-recent-action.page
M	help/C/gedit-view-open-files-in-sidepane.page
M	help/C/index.page

commit 43a07e9effb39aeafc8453aa4debab2cd33a2bf8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-25

    Updated Spanish translation

M	help/es/es.po

commit 343f60d2ed3772d9d5fa02fb9dc26cd904fcb45f
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-25

    Updated Slovenian translation

M	help/sl/sl.po

commit fc3f59b4021ba3c9cf8676d615a79188a47f5082
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-25

    Removed new translation

M	plugins/snippets/snippets/snippets.ui

commit abdbb0c133edb8f1cb36af9046473baf39328a00
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-25

    Updated Polish translation

M	po/pl.po

commit 2dbe5e048766a94b2ba42346b5d197edc92cd03d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-25

    Fix various snippets pygi bugs

    This fixes the manager to be launched from the menu. Also various
    functions
    of the manager were not working (accelerators, saving libraries).
    Accelerators in general were broken and are now fixed.

M	plugins/snippets/snippets/Makefile.am
M	plugins/snippets/snippets/__init__.py
C077	plugins/snippets/snippets/__init__.py
plugins/snippets/snippets/appactivatable.py
M	plugins/snippets/snippets/library.py
M	plugins/snippets/snippets/manager.py
A	plugins/snippets/snippets/shareddata.py
A	plugins/snippets/snippets/singleton.py
M	plugins/snippets/snippets/snippets.ui
M	plugins/snippets/snippets/windowactivatable.py

commit 7cc3ad8632f9121e7df1c6cef2c8a426cddaef7f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-25

    Fix gedit dbus activation return type

M	gedit/gedit-dbus.c

commit 6cfce4297955e86efc662d9270368267bd9b4680
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-03-25

    Fix "Loaded" and "Saved" signal signatures to avoid py plugins
    from crashing.

M	gedit/gedit-document.c

commit bab2a1248471acc782ae7acde262b95d968e9999
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    updated docs Makefile.am

M	help/Makefile.am

commit b58357b3f4d78d5ba85fd2bf39e5cbbc89e3db6b
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-25

    simplified structure of basic file usage. added a tabs-moving
    page. simplified gedit-tabs.page

M	help/C/gedit-close-file.page
M	help/C/gedit-create-new-file.page
A	help/C/gedit-files-basic.page
M	help/C/gedit-open-files.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-open-recent.page
A	help/C/gedit-save-file.page
C053	help/C/gedit-tabs.page	help/C/gedit-tabs-moving.page
M	help/C/gedit-tabs.page
M	help/C/index.page

commit 04698e7100a73d510273863c6d0a931080588c31
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-23

    Implemented new bindable message bus

M	configure.ac
A	gedit/Gedit.py
M	gedit/Makefile.am
M	gedit/gedit-marshal.list
M	gedit/gedit-message-bus.c
M	gedit/gedit-message-bus.h
D	gedit/gedit-message-type.c
D	gedit/gedit-message-type.h
M	gedit/gedit-message.c
M	gedit/gedit-message.h
M	plugins/Makefile.am
M	plugins/filebrowser/Makefile.am
M	plugins/filebrowser/gedit-file-browser-messages.c
A	plugins/filebrowser/messages.xml
A
plugins/filebrowser/messages/gedit-file-browser-message-activation.c
A
plugins/filebrowser/messages/gedit-file-browser-message-activation.h
A
plugins/filebrowser/messages/gedit-file-browser-message-add-context-item.c
A
plugins/filebrowser/messages/gedit-file-browser-message-add-context-item.h
A
plugins/filebrowser/messages/gedit-file-browser-message-add-filter.c
A
plugins/filebrowser/messages/gedit-file-browser-message-add-filter.h
A	plugins/filebrowser/messages/gedit-file-browser-message-get-root.c
A	plugins/filebrowser/messages/gedit-file-browser-message-get-root.h
A	plugins/filebrowser/messages/gedit-file-browser-message-get-view.c
A	plugins/filebrowser/messages/gedit-file-browser-message-get-view.h
A
plugins/filebrowser/messages/gedit-file-browser-message-id-location.c
A
plugins/filebrowser/messages/gedit-file-browser-message-id-location.h
A	plugins/filebrowser/messages/gedit-file-browser-message-id.c
A	plugins/filebrowser/messages/gedit-file-browser-message-id.h
A
plugins/filebrowser/messages/gedit-file-browser-message-set-emblem.c
A
plugins/filebrowser/messages/gedit-file-browser-message-set-emblem.h
A	plugins/filebrowser/messages/gedit-file-browser-message-set-root.c
A	plugins/filebrowser/messages/gedit-file-browser-message-set-root.h
A	plugins/filebrowser/messages/messages.h
M	plugins/quickopen/quickopen/__init__.py
M	plugins/snippets/snippets/windowactivatable.py
A	tools/generate-message.py

commit 71feff66be64b319a99af739eadf118d874a7ada
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-24

    Ignore focus page from page switch update when removing a page

    https://bugzilla.gnome.org/show_bug.cgi?id=644826

M	gedit/gedit-notebook.c

commit a44ffcbc10cd646db6d0d710993bac29317bd719
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-24

    Updated Swedish translation

M	po/sv.po

commit 70a2378235a3356be30b4458bea1f2315d17a1fe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-24

    Fix mails.

M	gedit/gedit-commands-help.c

commit ccd39a71eab7fe04ea52cb10bd2282c95d8374c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-24

    [snippets] Finish the manager port to gtk3

M	plugins/snippets/snippets/manager.py
M	plugins/snippets/snippets/snippets.ui

commit 93f1c98a65566eeb2a7592fd9e2c5dfe104056d6
Author: Aron Xu <aronxu@gnome.org>
Date:	2011-03-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit e9b5c5a88e872723506e9f02628d70207f03c527
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-24

    corrected docs Makefile.am to use tabs instead of spaces.

M	help/Makefile.am

commit d98804d3c8ce1d082d8434124eb46c18e30e8f2f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-24

    updated docs Makefile.am to include present doc-set and fix image bug.

M	help/Makefile.am

commit 9dfca7980ff9238a670087ff4b9d9e7aaeb79630
Author: Yunqiang Su <wzssyqa@gmail.com>
Date:	2011-03-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 6f753bf43333bb8f276f5318c0a321d2fbd28001
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-24

    added myself and daniel neel to doc contributors list.

M	gedit/gedit-commands-help.c

commit 36cbbd9d8bf3b3b20fff168da1cfb77a29e66bba
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-03-24

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 8a8852d7f874030ee4542b41b0112400a2ed36ae
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-23

    Style correction on bracket-comp page. added page style to
    shortcut-keys page

M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-shortcut-keys.page

commit 381020803562b09f109d37bf493a676b12892f99
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-23

    Fix the build

M	help/Makefile.am

commit 913c0e25559b555b8d8c31ca6230455eace62209
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-23

    reworked file-browser plugin help. minor typo-related edits to
    other help.

M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-insert-date-time.page
M	help/C/gedit-plugins-sort.page

commit 1c89564b6b016069ef15d4ca55a58b80f6e5378f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-23

    Updated Polish translation

M	po/pl.po

commit ba74278347888e4a16f3a0fee2a359b7f2bcde8b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-23

    Fixed python console key press event

M	plugins/pythonconsole/pythonconsole/console.py

commit 4677502091cbf6b9f765e754e9a5bd26a64c7061
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-23

    Updated Spanish translation

M	help/es/es.po

commit 01fd41f1d4eb0f95d1bb44c21bb5d0466de576d9
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-03-23

    [l10n] Updated Italian translation

M	po/it.po

commit 4fce4588932c51cb6ccb499b3e1d4af6ebd9dd0f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-23

    updates to index formatting, typo on full-screen and color-scheme

M	help/C/gedit-change-color-scheme.page
M	help/C/gedit-full-screen.page
M	help/C/index.page

commit b0d1b83f243fde8882742c1d27dda1af7e64a345
Author: Krasimir Chonov <mk2616@abv.bg>
Date:	2011-03-23

    Updated Bulgarian translation

M	po/bg.po

commit 7bf29803e3e431f46f3f9fec7e0bdb5a41251a13
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-22

    Add a comment with the bug # for the text iter workaround.

M	gedit/gedit-utils.c

commit 47d40c7b19c7351a7fd2e44539498ad370c5b09c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-22

    revised spellcheck and external-tools plugin pages

M	help/C/gedit-plugins-external-tools.page
D	help/C/gedit-plugins-spell-checker.page
M	help/C/gedit-spellcheck.page

commit 4ee4fb903dfd485b5b80ce3ddb1e1f4a04cb1b99
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Fix quickopen pygi file enumeration

M	plugins/quickopen/quickopen/popup.py

commit b43ad938db966f83b36baf336789f6028552ec7f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Fix indentation code style in quickopen

M	plugins/quickopen/quickopen/__init__.py
M	plugins/quickopen/quickopen/popup.py
M	plugins/quickopen/quickopen/virtualdirs.py
M	plugins/snippets/snippets/manager.py

commit 5cf9ac442a025d42443cea9cf1451c0e6154dea1
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Fix pygi API bugs for query_info in quickopen

M	plugins/quickopen/quickopen/__init__.py
M	plugins/quickopen/quickopen/popup.py
M	plugins/quickopen/quickopen/virtualdirs.py

commit b8431c57d3963f97e4735294df2004a9bcd868bc
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-03-22

    Added gedit_utils_text_iter_assign

    We need this for bindings that need to assign text iters, because
    right now
    we can't (for example multiedit needs this). See bug #645258

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit 81f3f627484ff0dc0fb5677b1c7bc575bd1cf51b
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:	2011-03-22

    Updated Assamese translations

M	po/as.po

commit 7c75d7bb006487229bdfbcf6598e60a4fd58295b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-22

    2.91.10

M	NEWS
M	README
M	configure.ac

commit 82595ff63a42ad98aa43886de9bf6c517bc15820
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-22

    Fix distcheck

M	data/Makefile.am

commit 5699b7cdb14fc34f0be87917bed79503b4964d86
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-22

    Fix an exception, but the manager does not work yet.

M	plugins/snippets/snippets/__init__.py
M	plugins/snippets/snippets/windowactivatable.py

commit d03544711bad63e742121b4c5aa66ab461d3767c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-21

    Updated Spanish translation

M	help/es/es.po

commit bdcd0ca624dc2fd94fda80e0d95b07d0807e697c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-20

    Do not implement configurable for now.

    We need to split a manager widget from the current dialog to port this
    to Peas.Configurable.

M	plugins/externaltools/tools/windowactivatable.py

commit cc724b92bfa5f4b7169f90275f38443a7b0a0282
Author: Simos Xenitellis <simos@gnome.org>
Date:	2011-03-21

    l10n: Updated Greek translation

M	help/el/el.po

commit 1c20790ccc04a5f1b3f5827ec131cab5710571b9
Author: Simos Xenitellis <simos@gnome.org>
Date:	2011-03-20

    l10n: Updated Greek translation

M	po/el.po

commit 27d3bf25619cc7ea51443463a2116d90288c3591
Author: Vasilis Tsivikis <vasitsiv@hotmail.com>
Date:	2011-03-20

    l10n: Updated Greek translation for gedit docs

M	help/el/el.po

commit 030444beeefa75705dfbb188e4f4d12b037b7d91
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-20

    Fix dialog border and reformat .ui file

M	plugins/externaltools/tools/tools.ui

commit 9baa84207a44d6590ef2b69bf3af6a2e76208675
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-20

    Do not use Gedit.utils anymore.

M	plugins/externaltools/tools/functions.py

commit 8c902480ad091949a0d4ef5b4d4562c685f88057
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-20

    Updated Spanish translation

M	help/es/es.po

commit e2f792359a53db544824b4a113427374841f228a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-20

    Do not leak GFiles in the filebrowser plugin.

    Retrieving GFiles from the the treemodel returns a new ref that
    must be
    unreffed properly!

M	plugins/filebrowser/gedit-file-browser-messages.c
M	plugins/filebrowser/gedit-file-browser-plugin.c
M	plugins/filebrowser/gedit-file-browser-store.c
M	plugins/filebrowser/gedit-file-browser-view.c
M	plugins/filebrowser/gedit-file-browser-widget.c

commit 52b7d692fcf01c3fb7ebfea13a2f329a41bc7802
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-20

    Bump GtkSourceView dependency

M	configure.ac

commit 14d0907210ae2b84f973f094844a7979b43d550e
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-20

    Adjust to GtkSourceView API break

M	gedit/dialogs/gedit-style-scheme-generator.c
M	gedit/gedit-document.c
M	gedit/gedit-file-chooser-dialog.c
M	gedit/gedit-language-manager.c
M	gedit/gedit-print-job.c
M	gedit/gedit-settings.c
M	gedit/gedit-style-scheme-manager.c
M	gedit/gedit-view.c

commit 0685d85b40f83bcc969adece98cfa92510d07388
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-20

    Fix introspection for loading tab with NULL encoding

M	gedit/gedit-window.c

commit 4128e13a0e2fd24ab6a271ad7108f6571cdd3c54
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-20

    Updated Latvian translation.

M	po/lv.po

commit 76c9e90c7de3720f97ea235bbb39f25501f80bfb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-20

    Updated Spanish translation

M	help/es/es.po

commit 69359ee0e595eb04884968dfdd6bb543e4ade67f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-20

    Updated Spanish translation

M	help/es/es.po

commit 8bb1b9555f5682cc585f37c21ea032c0e57801f2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-20

    Unref the enumerator in the filebrowser plugin.

M	plugins/filebrowser/gedit-file-browser-store.c

commit 078cb4bf82f32393b65ea8f598300217e80a2b61
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-19

    Add a close buttons to GeditDocumentsPanel

M	gedit/Makefile.am
A	gedit/gedit-cell-renderer-button.c
A	gedit/gedit-cell-renderer-button.h
M	gedit/gedit-documents-panel.c

commit ef19d31b6291623ae2487c2134a15f0eea23a6b3
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-19

    Updated Portuguese translation

M	po/pt.po

commit 7a0fa8cbf26448fd3aed4dea7b173a720b2f6ec6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-19

    Updated Spanish translation

M	help/es/es.po

commit dc99b815a4fa72732051fc355ae4002e25a9270f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-19

    Updated Spanish translation

M	help/es/es.po

commit bf10ac170e89dd52e1efb43f0dbc608febb1c053
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-19

    Updated Spanish translation

M	po/es.po

commit 0be0f939268ffe50d80826b2d26894daf853914b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-18

    Small optimization

M	gedit/gedit-notebook.c

commit 666f674c413068035e739f6e20a7bd7e591d5daa
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-03-18

    [l10n] Updated German doc translation

M	help/de/de.po

commit 3356d2bce13b61dc022056b85f3277a514f838b7
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-16

    Revised the plugin-sort page.

M	help/C/gedit-plugins-sort.page

commit aea218755744723879e54e7e57d8c7a24170332f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-16

    Reworked the plugins-change-case page

M	help/C/gedit-plugins-change-case.page

commit 832646838e339ec3c971fb43f0d4919c4dfb6c63
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-16

    minor update to the plugins-doc-stats page

M	help/C/gedit-plugins-doc-stats.page

commit 5b3cee78a924b11209c4a2b2cb2a8ae9638ef37d
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-17

    Updated Romanian translation

M	po/ro.po

commit 7fef821bdd44214d9abe3ceccd3c439b613d241e
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-16

    Updated Romanian translation

M	po/ro.po

commit 6f96c8cdbe52a5bfed34152d14e7c5ad756e1970
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-16

    Updated Polish translation

M	po/pl.po

commit fb5dc303325c857f4a0a45ceda4e07d733eaea0a
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-15

    significant reworkings of the search and replace help topics ... all
    done to satisfy the needs of pbor and nacho.

M	help/C/gedit-replace.page
A	help/C/gedit-search.page

commit 4e2faf2dd8b067f08164625f45a005d8699522ec
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-03-15

    [l10n]Updated Catalan translation

M	po/ca.po

commit e1ead285164957bc64513ab5d214bbef2dc212fb
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2011-03-15

    [l10n] Updated Estonian translation

M	po/et.po

commit f57ef4101ba2f3f97969bbd31ed550b6d526ccbd
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-14

    changed 'see' to 'visit' to make language more appropriate for those
    with visual impairments.

M	help/C/index.page

commit c2f5ee356bb017faa7339a9d814b437972ce2c9b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-14

    Just some whitespace.

M	plugins/filebrowser/gedit-file-browser-store.c

commit fa5fa82ce0e093383437621a53df2605999da1d1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-14

    Do not leak file info for . and .. dirs

M	plugins/filebrowser/gedit-file-browser-store.c

commit 71fad198103cfb1cd3445dffacc63ce5cf3b92ee
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-14

    Updated Spanish translation

M	help/es/es.po

commit 4163e8f19c8c139646549cad6ab9fd1e4e11542c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-14

    added a page to describe fullscreen mode

A	help/C/gedit-full-screen.page

commit fa81fe44bfbb3210e217e906ec7e58a0190eea3e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-14

    Style-related edits to the change-color-scheme page.

M	help/C/gedit-change-color-scheme.page

commit 849ccf40eea9cce3d6bc469182c512a0ec8b6325
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-03-14

    Updated Slovenian translation

M	po/sl.po

commit 439198dcd081455d2eac1ba4c0297982ab0e3822
Author: Marek Černocký <marek@manet.cz>
Date:	2011-03-14

    Updated Czech translation

M	po/cs.po

commit abf5c98a79c9a1cdfc2bf87e3b00b3994441425d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-14

    [gedit-bugreport] update for gsettings and no need for pygtk checks.

M	configure.ac
A	data/gedit-bugreport.sh
D	data/gedit-bugreport.sh.in

commit 1e25e794f5be7b2a36224e5a8e93adcabbb8c6db
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-13

    Starting to place help documents in order within each section. Minor
    content updates and corrections to index.page and undo-recent-actions.

M	help/C/gedit-create-new-file.page
M	help/C/gedit-open-files.page
M	help/C/gedit-open-recent.page
M	help/C/gedit-quickstart.page
M	help/C/gedit-undo-recent-action.page
M	help/C/index.page

commit ff7121813aebf791dbdac434efb3a73489341e7a
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-13

    content updates and see-also linking between introductory topics

M	help/C/gedit-open-files.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-quickstart.page

commit 7790455b8328f1cd976d3e912d1c3ee30bcd9d51
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-12

    added a page with instructions on closing a file in gedit.

A	help/C/gedit-close-file.page

commit b71232e8e9197ed3e59c5b0c988621a023cbebb4
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-13

    Updated Spanish translation

M	help/es/es.po

commit 1ec5fb51f937e4d46bb00d9389fe6d50f8186c2f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-13

    Updated Spanish translation

M	help/es/es.po

commit 0a7394455c5824dcfebeed2994a8b4c1510e18c9
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2011-03-13

    l10n: Updated Greek translation

M	po/el.po

commit d2a5ce49dfdb195483db4c4852ea42cf336dbf71
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-13

    Updated Spanish translation

M	help/es/es.po

commit 6f0d07caa83d2cda7cba34f330e8c04fb2fdd6a3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    Fix indentation

M	gedit/gedit-plugins-engine.c

commit 543c69562a62bd307a416a1de09db4a61ef1fa49
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    Release 2.91.9

M	NEWS
M	README
M	configure.ac

commit 9970c6e340f43b751f4eeb99d411e8574d50129f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    Put the window settings on delay mode. Fixes bug #644630

    window settings are applied only once the window is closed. We do not
    want to keep writing to disk when the window is dragged around

M	gedit/gedit-window.c

commit 518eecc219803713576dd1acf2a1dafa2374d295
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-13

    Updated Spanish translation

M	help/es/es.po

commit ab80e7c243036c4dae9035b40f6edf30dc412b7d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    [externaltools] fix distcheck

M	plugins/externaltools/Makefile.am

commit 85cbbbdc372fbaca1653d22b1007af2920dbe782
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    [externaltools] fix problems when calling a tool

M	plugins/externaltools/tools/functions.py

commit 86609a41d4c420c4e687b3ec0cf6c3bc0b05f0f8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-13

    Remove wrong include (the header is included conditionally below).

M	gedit/gedit-document-loader.c

commit d7ac22d93970c85323f51f9536e13c22aac0d70a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-13

    Call gdk flush so that the watch cursor is actually shown.

M	plugins/quickopen/quickopen/popup.py

commit e7a78bba9b1db1f82b237af2cdfc42c93ba6281b
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-12

    even further clarification on how to open a file in gedit.

M	help/C/gedit-create-new-file.page

commit 5d3388011cfb29b1b274a673a5b58a37786dfba3
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-12

    further clarifying how to open a file in gedit. :)

M	help/C/gedit-create-new-file.page

commit ae7525d29c14a12d7324a18e4b3d90348ddfaca4
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-12

    minor revision to the create-new-file page

M	help/C/gedit-create-new-file.page

commit fdba4c8f4c6a10d69e1cd22f36c8764d67d7a667
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-12

    added two basic pages for opening existing files and creating
    new files

A	help/C/gedit-create-new-file.page
A	help/C/gedit-open-files.page

commit 05190ba3f8346b216f4c679f37f4fe3f7474bcfd
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-12

    Updated British English translation

M	po/en_GB.po

commit 38a602a60cf26e866c01633bc8d6858325ad3960
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-12

    Activate back the snippets and externaltools plugins.

M	plugins/Makefile.am

commit 4620f332e664d74dc10e0f7e7f8fcc5ca6d70e74
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-11

    starting work on the check-update page. minor edits to the gedit-tabs
    page

M	help/C/gedit-plugins-check-update.page
M	help/C/gedit-tabs.page

commit ee5678dfa4780d75cafc4f9ca00b356ebe995e03
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-11

    drafted the plugins-tag-list page and added the gedit-side-pane3
    image for use in that page.

A	help/C/figures/gedit-side-pane3.png
M	help/C/gedit-plugins-tag-list.page

commit 9952d642ed9b53ab6d89778f0189124f9d5188f3
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	2011-03-11

    Updated Oriya Translation

M	po/or.po

commit bfc7e198951838511e0aa41416aa399f5624a816
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-03-10

    Updated Russian translation

M	po/ru.po

commit 269d85a3b92f3f96278bdcae3e45482a8de34b2f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-09

    Updated Polish translation

M	po/pl.po

commit 490b6acea9e1eaf82800b2f750556c099deed9dd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-09

    [history-entry] do not load the history in the constructed override

    entry-has-column property is not param construct anymore so we must
    load the history after the object has been contructed.

M	gedit/gedit-history-entry.c

commit 5daaaf46c579ce4e9a82f8e695eaf7fbc8888bda
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-09

    Updated Hungarian translation

M	po/hu.po

commit 6100365fb23a7375d4af958fcca6f73660fc84fe
Author: Hajime Taira <htaira@redhat.com>
Date:	2011-03-09

    Updated Japanese translation.

M	po/ja.po

commit 88b5aa3977f5d48175b5a9d01ebfb1061a4ee5c0
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-07

    modified the plugins-guide page to use a note to describe the
    gedit-plugins package. more minor updates to syntax-highlighting.page

M	help/C/gedit-plugin-guide.page
M	help/C/gedit-syntax-highlighting.page

commit d759fade7d20484c699e9e1577705ca3f6157d92
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-07

    minor wording updates to syntax-highlighting page and to the
    view-open-files-in-sidepane page

M	help/C/gedit-syntax-highlighting.page
M	help/C/gedit-view-open-files-in-sidepane.page

commit 710dc4340b42c31a7bd69e2f62e80ffa2534288a
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-07

    updated side-pane section.

M	help/C/gedit-open-files-from-sidepane.page

commit 76a2c225c3e2667399c91032d5a70069922c218e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-07

    hid the gedit-snippets section on the index page for now. extensive
    gedit snippets docs will be prepared for a later release.updated
    side-pane section.

M	help/C/gedit-open-files-from-sidepane.page
M	help/C/index.page

commit e4b8f3df7e45d72e56b66a7cb8af7971c838287b
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-07

    updates to the plugins-terminal plugins-file-browser and spellcheck
    pages.

M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-spellcheck.page

commit 81bbe7ebe2a6a8dcc3035883171e5ac0988e2668
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-07

    Updated Swedish translation

M	po/sv.po

commit 8a9ef6eeb7ef992ace8f958bc3b052f352a971bf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-07

    Release 2.91.8

M	NEWS
M	README
M	configure.ac

commit 660050f13245ed44332908f1941f7923898f5e9d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-07

    [docs] fix distcheck

M	help/C/index.page

commit 7a0434a44aa75561d1bc1cc47044e1bbb25644d6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-06

    Remove file added in the wrong directory.

D	docs/es/es.po

commit 9ee627557cb9b7c4a0cf568feaf98fb279832127
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-06

    Updated Spanish translation

M	help/es/es.po

commit 425ceebd5701535139cfcb0d778d549c5973eb16
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-06

    [docs] remove system specific plugins installation and set the
    right dirs

M	help/C/gedit-plugins-install.page

commit 9fa4bceb79566b9ee78bd0ab0288631196130fcc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-03-06

    Updated Spanish translation

M	help/es/es.po

commit 3fd4f0216ca01ccbac6cd4eb3674f474997ea0e0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-05

    window: set the primary toolbar style class on the toolbar

M	gedit/gedit-window.c

commit cdb35c0b2929f5055a424ce880492fc106a5ae20
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-05

    [gedit-notebook] factor out a remove_right_padding

M	gedit/gedit-notebook.c

commit 5b53f571374d3c7bfd1768ade63f97f4713c9aa7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-04

    Fix collapsion when managing several notebooks.

    Update the collapse state when a notebook is added or removed.
    Also now is only removed the right border.

M	gedit/gedit-multi-notebook.c
M	gedit/gedit-notebook.c

commit cc167c9c0bdfb97a10abd07ca4134ac4ca558e53
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-05

    completed a draft of the plugins-terminal page. corrected how help
    is displayed in yelp by fixing info section in index page. moved
    plugins ahead of printing in the indes page.

M	help/C/gedit-plugins-terminal.page
M	help/C/index.page

commit f1178dcd5755a2c42500ec5d7625124254d27262
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-05

    removed pesky backup of plugins-sort.page

D	help/C/gedit-plugins-sort.page~

commit a3eb61e02e60cf033115bd60dd29d4e8b4784236
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-05

    completed solid draft of plugins-sort page

M	help/C/gedit-plugins-sort.page
C053	help/C/gedit-plugins-sort.page	help/C/gedit-plugins-sort.page~

commit 1d0eaa089bc2026f6922007b984c7688730bc02c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-03-05

    updated screenshot to one from gnome3. updates to other plugin help.

D	help/C/figures/gedit-screenshot.png
A	help/C/figures/gedit3-screenshot.png
M	help/C/gedit-plugins-file-browser.page
M	help/C/gedit-plugins-sort.page
M	help/C/gedit-quickstart.page

commit 88618cc8c3ad8c07043455d4ebb2a856b3df73a8
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-05

    Updated Latvian translation.

M	po/lv.po

commit 711a92f0a91c22784a926b70b726722abcbd2ea5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-05

    Modified DOC_LINGUAS

M	help/Makefile.am

commit 5a02007b6aaee48ea90cead33a6446e411bf663d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-05

    Added DOC_LINGUAS

M	help/Makefile.am

commit e34a966092d399879d84bf17c29cfe577f72b086
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-05

    Updated Spanish translation

M	help/es/es.po

commit 1e6f6dce26d4e8518fed90ed37a7ba25ba15175b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-05

    Updated Spanish translation

A	docs/es/es.po

commit e54dce2935b06e6900bd527826d50a19ef4893aa
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-02

    Updated Norwegian bokmål translation

M	po/nb.po

commit a2c9247c5fecea8d03917e7b0fa93447820439d2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-02

    [snippets] Fix the drawing problems.

    There were some bugs in pygobject that were preventing from fixing
    this
    now that they are fixed I can say that snippets finally works!! :)

M	plugins/snippets/snippets/document.py

commit 73ad3c481bcd2f712ad5ac2c5dbae4c852e8d7c5
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-02

    Uploaded Ukranian

M	po/uk.po

commit 642d737e0a0f0e70ff99ea86929747c0bb7f5c79
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-01

    [docs] Remove deprecated shortcuts.

M	help/C/gedit-shortcut-keys.page

commit 2c644c985159dce5a40a99b1c0c825cc0ecb5a54
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-28

    Use Gdk.ModifierType

M	plugins/quickopen/quickopen/popup.py

commit 4edc6fe30b18a395897de7fecaa833f6d47def24
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-28

    Deactivate all languages and make it build the new docs.

D	help/C/Makefile.am
D	help/C/legal.xml
M	help/Makefile.am
D	help/gedit.omf.in

commit 22cf0e3f98a223d22be9d71278fe97f309aa7d08
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-28

    added two side-pane images and completed an initial draft of the
    side-pane documentation

A	help/C/figures/gedit-side-pane1.png
A	help/C/figures/gedit-side-pane2.png
M	help/C/gedit-open-files-from-sidepane.page
M	help/C/gedit-quickstart.page
M	help/C/gedit-syntax-highlighting.page

commit 85e7ff87caf4cd4e3fde79502a0dece4c84351f5
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-27

    completed solid draft of the plugins-modelines page

M	help/C/gedit-plugins-modelines.page

commit 59abda6a99d4e9546498e7629f1f59ab912dedd8
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-27

    completed 75 percent of the plugins-modelines page

M	help/C/gedit-plugins-modelines.page

commit 035c72ba3050b65520c950e3d7d760a1a7ae74e5
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-26

    minor correction to plugins-bracket-compl page. changed wording on
    HTML and XML note.

M	help/C/gedit-plugins-bracket-comp.page

commit fe380f434beb9dbeb6756e8f42667b9f9c6bcc83
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-26

    completed draft of plugins-bracket-comp page.

M	help/C/gedit-plugins-bracket-comp.page

commit cc92326793c2b34ab8018b2061dad82b0089703e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-26

    corrected tag mismatch on plugin-insert-date-time page

M	help/C/gedit-plugins-insert-date-time.page

commit 422b59bdbe1a6cde6cbb2b5bef9abe1c977e8547
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-25

    minor updates to pyconsole and insert-date-time pages.

M	help/C/gedit-plugins-insert-date-time.page
M	help/C/gedit-plugins-pyconsole.page

commit 7efacf426c297f0953c330df716b293660f04b1a
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-13

    consolidated content from the search and replace pages into one page.

M	help/C/gedit-replace.page
D	help/C/gedit-search-find.page

commit 5d8e0a9e6a7cf9d09e982be2985daf586f48668e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-13

    Commented out a note in the gedit-tabs.page file

M	help/C/gedit-tabs.page

commit 5e50721cc81534619e0036d18b4a4b4f2f2e52ae
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-13

    Corrected typos in the shortcut keys page. Also commented out the
    list of links in the top of the shortcut keys page.

M	help/C/gedit-shortcut-keys.page

commit dec7e988c2645bb1be5bbc284d9d44a073583e6e
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-13

    added image used when adding a new external-tool script, and drafted
    initial parts of the plugins-external-tools page

A	help/C/figures/gedit-new-external-tool.png
M	help/C/gedit-plugins-external-tools.page

commit a96503a936a942235e55529a11ab01f11dccdebf
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-12

    Composed a draft of the gedit-plugins-doc-status.page file

M	help/C/gedit-plugins-doc-stats.page

commit 71dd25c66c3ee8d74b58231ac33aa71b9c6009d5
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-12

    Added draft content to the Change Case plugin page. Minor phrasing
    change to gedit-plugins-guide page.

M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-change-case.page

commit 7beb2b2549224ab35bb496bc8c6f7d331b3d17e4
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-12

    updated draft of open-on-server page and added an image relating to
    opening files on servers.

A	help/C/figures/gedit-open-location.png
M	help/C/gedit-open-on-server.page
M	help/C/gedit-shortcut-keys.page

commit 22f5ea13db2755d397c4322072f52770591e7c55
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2011-02-05

    merged plugin pages from dan neel.

M	help/C/gedit-plugin-guide.page
A	help/C/gedit-plugins-change-case.page
A	help/C/gedit-plugins-check-update.page
A	help/C/gedit-plugins-doc-stats.page
A	help/C/gedit-plugins-external-tools.page
A	help/C/gedit-plugins-file-browser.page
A	help/C/gedit-plugins-insert-date-time.page
A	help/C/gedit-plugins-modelines.page
M	help/C/gedit-plugins-pyconsole.page
A	help/C/gedit-plugins-quick-open
A	help/C/gedit-plugins-snippets.page
A	help/C/gedit-plugins-sort.page
A	help/C/gedit-plugins-spell-checker.page
A	help/C/gedit-plugins-tag-list.page
A	help/C/gedit-view-open-files-in-sidepane.page

commit bfc6df7c431c85c5236fb6307c2aca5aa5f6f706
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-12-19

    added a section to document how to create plugins.

M	help/C/gedit-plugin-guide.page

commit c285d71978146fdd5ee29e7de58c1e0c1a9c20de
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-12-19

    completed a draft of the 'edit-as-root' page.

M	help/C/gedit-edit-as-root.page

commit 4a957e5899ece39f82f406b9cd9f6426d35d7f72
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-17

    Standardized some formatting across all files

    Standardized all pages to use the following format:
    <page>

      <info>
      </info>

      ..content...

    </page>

    Also fixed cases of incorrect nesting, IE:
    <tag1>
    <tag2>
      <tag3>
      </tag3>
    </tag2>
    </tag1>

M	help/C/gedit-change-color-scheme.page
M	help/C/gedit-edit-as-root.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-open-recent.page
M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-plugins-pyconsole.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-printing.page
M	help/C/gedit-replace.page
M	help/C/gedit-search-find.page
M	help/C/gedit-shortcut-keys.page
M	help/C/gedit-spellcheck.page
M	help/C/gedit-tabs.page
M	help/C/gedit-undo-recent-action.page
M	help/C/index.page

commit 3c024b7cd0ad5b08f1d503d6fceb701dc4dd3bc8
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-16

    First draft of 'Find and Replace text' file

    Made a first draft of this file, with information about finding text
    and replacing text. Also described extra commands at the bottom of the
    document for people looking for more in-depth information. Might
    be best
    to split into a couple different files?

M	help/C/gedit-replace.page

commit f87836e0cce423cd66fbcb0a040c503a06d95fd8
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-12

    Various minor changes to the 'Re-open a recently-used file' page

    * Added <app> tags to an instance of 'gedit'
    * Changed a <list> into a set of <steps>
    * Standardized all cases of recently + used to 'recently-used'
    * Changed 'Max_Recents' to 'max_recents', based on what I saw when
    I repeated the step
    * Changed the <guiseq> in the note based on what I saw when I
    repeated it

M	help/C/gedit-open-recent.page

commit 56d64de790e60b205108b959751cd12a95f5473f
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-12

    Removed the 'Enable spell-check' page

    Unless differing content is to be added to this page, it
    appears to duplicate the content of the 'Use the spell-check
     feature' page.

D	help/C/gedit-enable-spellcheck.page

commit b626299293453561591fc3fb02a3c3c46f07770e
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-12

    Added information about installing third-party plugins

    Filled out most of what should likely be included in the
    gedit-plugins-install document. Included information on obtaining
    and installing third-party plugins, with some notes.

M	help/C/gedit-plugins-install.page

commit 70fda3905d779083b42276bd133d113e791f638c
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-12

    Removed gedit-set-programming-language page

    Removed this page, as it appears to be a duplicate of the
    gedit-syntax-highlighting page.

D	help/C/gedit-set-programming-language.page

commit 62efe5e1fe834579ffd2fd589d31d9b296d42e04
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-12-12

    Removed two unnecessary files

    As discussed in email, removed the file about customizing the gedit
    toolbar. Also removed the 'gedit-open-files-from-sidepane' page,
    as it seems to duplicate the 'gedit-view-open-files-in-sidepane'
    page.

D	help/C/gedit-customize-toolbar.page
D	help/C/gedit-view-open-files-in-sidepane.page

commit 725192834b4ada9ed21c355dbffa8ee113eb70f1
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-12-05

    Removed <menu> and <menuitem> tags from the
    gedit-undo-recent-actions.page file

M	help/C/gedit-undo-recent-action.page

commit 010a835d2504af4bdffa3546162eb2346a83fc1f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-11-28

    changed layout of the index to incorporate a separate section for
    printing. began draft of printing page, but i'm going to split
    printing out into several different pages.

M	help/C/gedit-printing.page
M	help/C/index.page

commit b81d37dcd315d602a5d5d5d000981a92d9208613
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-11-28

    Made a draft of the 'Undo a recent action' page

    Provided information on how to undo actions, should be all the
    information necessary for the page.

M	help/C/gedit-undo-recent-action.page

commit 755411307d188c2cfc900471019dae13ff31961b
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-11-23

    Filled out the information in the 'Add and remove tabs' section

    Added information to the 'Add and remove tabs' section. Added
    information about adding/removing tabs as well as general information
    about managing tabs.

M	help/C/gedit-tabs.page

commit bf012b9b639b59261994760362df946fb87e13cd
Author: Daniel Neel <dneelyep@gmail.com>
Date:	2010-11-23

    Fixed a few typos in the quickstart file

    Mainly just changed the usage of a couple of commas.

M	help/C/gedit-quickstart.page

commit 076d0bc7dabff17d21b31f4118fd441d51d847fd
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-30

    minor edits to the shortcuts page

M	help/C/gedit-shortcut-keys.page

commit 4774b5e48ea637734b3b51b9b568eef23527b4b3
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-30

    added navigational links at the top (though i may remove them),
    and re-ordered the columns so that the commands were before the
    shortcut keys.

M	help/C/gedit-shortcut-keys.page

commit 80ad4b53c0960cffe82d583afb9b276957a61f31
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-30

    completed initial draft of the shortcut keys page.

M	help/C/gedit-shortcut-keys.page

commit 7c8c4cc03b42dd6fd56c76fd6b08d313a99606be
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-30

    updated the shortcut keys page. minor edit to the gedit-replace page

M	help/C/gedit-replace.page
M	help/C/gedit-shortcut-keys.page

commit 95b5e581c81777b2792d3c7eceb8e43e33a817cb
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-23

    added page for shortcut keys, and added a bit of content to the index.

M	help/C/gedit-search-find.page
A	help/C/gedit-shortcut-keys.page
M	help/C/index.page

commit dabadbc7d3a1d4b723245b0239dc31fd6073a9a0
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-22

    corrected an error with the plugins page

M	help/C/gedit-plugin-guide.page

commit 07eb3d499e5d7bb9d77a8e1dcb4f6532627bc7e6
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-22

    minor updates to the gedit plugins page - take two.

M	help/C/gedit-plugin-guide.page

commit b6122bb2c113860de010e1be8cf0e4158e1bf356
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-22

    minor updates to gedit plugins page

M	help/C/gedit-plugin-guide.page

commit 9d5852456c1c191c4b40dd01ea06d50c66ffa92f
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-22

    updated several pages to indicate which are stubs. minor updates to
    the intro page, and the plugins intro page.

M	help/C/gedit-customize-toolbar.page
M	help/C/gedit-edit-as-root.page
M	help/C/gedit-enable-spellcheck.page
M	help/C/gedit-open-files-from-sidepane.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-printing.page
M	help/C/gedit-quickstart.page
M	help/C/gedit-replace.page
M	help/C/gedit-set-programming-language.page
M	help/C/gedit-tabs.page
M	help/C/gedit-undo-recent-action.page
M	help/C/gedit-view-open-files-in-sidepane.page

commit c2cba88e677c12c565cb696a4644cd19a978bf05
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-21

    updates to search-find page

M	help/C/gedit-search-find.page

commit a9ec3ce5f3d85c83b54e7215cda9a2d3c55dd345
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-21

    updated the open-recent page

M	help/C/gedit-open-recent.page

commit 91c5c48e8d3358d8d327896b8079f107951a5d9c
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-12

    updated the syntax highlighting page.

M	help/C/gedit-spellcheck.page
A	help/C/gedit-syntax-highlighting.page

commit c0615920adaf39f585a62d1fc20e2c131a632819
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-10

    added a screenshot, and fleshed-out the introduction section.

A	help/C/figures/gedit-screenshot.png
M	help/C/gedit-quickstart.page

commit f33db2f9557e1bf550538c449a5df742fade4d71
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-10

    revised remaining page stubs to be more completely formatted.

M	help/C/gedit-change-color-scheme.page
M	help/C/gedit-quickstart.page
M	help/C/gedit-set-programming-language.page
M	help/C/gedit-spellcheck.page
M	help/C/gedit-tabs.page
M	help/C/gedit-undo-recent-action.page
M	help/C/gedit-view-open-files-in-sidepane.page

commit 62159fa62071cf922d9f98c1da6f51e427e4bbc1
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-10

    updated several of the stub pages to make the initial structure
    more complete.

M	help/C/gedit-customize-toolbar.page
M	help/C/gedit-edit-as-root.page
M	help/C/gedit-enable-spellcheck.page
M	help/C/gedit-open-files-from-sidepane.page
M	help/C/gedit-open-on-server.page
M	help/C/gedit-open-recent.page
M	help/C/gedit-plugin-guide.page
M	help/C/gedit-plugins-bracket-comp.page
M	help/C/gedit-plugins-install.page
M	help/C/gedit-plugins-pyconsole.page
M	help/C/gedit-plugins-terminal.page
M	help/C/gedit-printing.page

commit c6508597045f3d6453ea3c7877265a32905b5958
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-10

    created a page for replacing text, and renamed the search-find-replace
    page. created see-also link between the two pages.

A	help/C/gedit-replace.page
R095	help/C/gedit-find-replace.page	help/C/gedit-search-find.page

commit b5670c2d8e1faa9a8aa5a9d7cc7c910ddcffa437
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-10-09

    updated the search page. i think i prefer using topic titles
    without descriptions, and will have a go at using topics without
    title descriptions

M	help/C/gedit-find-replace.page

commit bab9f0b4ca227afcd6cf76bad96d7c8a61e9da4b
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-09-20

    updated the change color scheme topic.

M	help/C/gedit-change-color-scheme.page

commit 013ca6fda91abfd491c1dc99dbb998ae9d772da1
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-08-15

    Added proper attribution to the index.page. Updated notes to reflect
    current progress.

M	help/C/index.page
M	help/C/notes/gedit-wiki-notes

commit 51e1a84f15878963949fe6962e1c542f9ff849be
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-07-19

    added page for the bracket-autocompletion plugin

A	help/C/gedit-plugins-bracket-comp.page
M	help/C/notes/gedit-wiki-notes

commit 4d52df2472ea7002c3c3511999190fcd17f5ce70
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-07-18

    added new section for snippets, added several plugin pages. still
    stubbing-out the content

M	help/C/gedit-plugin-guide.page
A	help/C/gedit-plugins-install.page
A	help/C/gedit-plugins-pyconsole.page
A	help/C/gedit-plugins-terminal.page
A	help/C/gedit-spellcheck.page
M	help/C/index.page
M	help/C/notes/gedit-wiki-notes

commit d3a5d39752360114b300fe72e1cd42982d29c3f6
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-06-26

    Added the gedit icon & made minor modifications to the index page
    layout

A	help/C/figures/gedit-icon.png
M	help/C/gedit-quickstart.page
M	help/C/index.page
M	help/C/notes/gedit-wiki-notes

commit e1490a8b48c5673b6d329230c147cd0491331c72
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-06-25

    added several more page stubs. tracking updates in the new notes
    folder, which will be removed once the pages are stubbed out.

M	help/C/gedit-change-color-scheme.page
A	help/C/gedit-edit-as-root.page
A	help/C/gedit-find-replace.page
A	help/C/gedit-open-recent.page
A	help/C/gedit-printing.page
A	help/C/gedit-tabs.page
A	help/C/gedit-undo-recent-action.page
M	help/C/index.page
A	help/C/notes/gedit-wiki-notes

commit 7d798cb0eae02fb30c5e9d580aeacb0f1db9b5a8
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-06-20

    removed gedit-view-file-list-in-sidepane.page

D	help/C/gedit-view-file-list-in-sidepane.page

commit 0a254916b19fe3319dbe1cf0aee130fcdb7b9201
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-06-20

    modified a few page stubs for topic clarity

M	help/C/gedit-customize-toolbar.page
C054	help/C/gedit-customize-toolbar.page
help/C/gedit-open-files-from-sidepane.page
C050	help/C/gedit-customize-toolbar.page
help/C/gedit-set-programming-language.page

commit a90709e34384e9bff56a2d49a9799406711d4a97
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-06-20

    stubbed out several topic pages

A	help/C/gedit-change-color-scheme.page
A	help/C/gedit-customize-toolbar.page
A	help/C/gedit-enable-spellcheck.page
A	help/C/gedit-open-on-server.page
A	help/C/gedit-plugin-guide.page
A	help/C/gedit-quickstart.page
A	help/C/gedit-view-file-list-in-sidepane.page
A	help/C/gedit-view-open-files-in-sidepane.page
M	help/C/index.page

commit 9a0dca2f126464545d330afe446c6592b050cf30
Author: Jim Campbell <jwcampbell@gmail.com>
Date:	2010-05-24

    First commit - laying out the general structure of the gedit docs.

A	help/C/index.page

commit 50708bc97b4367445a39281b480c992dce8a85cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-28

    Remove old help documents

D	help/C/figures/gedit_format_bold.png
D	help/C/figures/gedit_format_italic.png
D	help/C/figures/gedit_format_strikethrough.png
D	help/C/figures/gedit_format_underline.png
D	help/C/figures/gedit_recent_files_menu_icon.png
D	help/C/figures/gedit_window.png
D	help/C/gedit-C.omf
D	help/C/gedit.xml
D	help/C/images/browse.png
D	help/C/images/convert.png
D	help/C/images/diff.png
D	help/C/images/email.png
D	help/C/images/find.png
D	help/C/images/gedit.png
D	help/C/images/goto-line.png
D	help/C/images/lynx.png
D	help/C/images/manager.png
D	help/C/images/mta.png
D	help/C/images/prefs-documents.png
D	help/C/images/prefs-font.png
D	help/C/images/prefs-general.png
D	help/C/images/prefs-paper.png
D	help/C/images/prefs-printing.png
D	help/C/images/print-preview.png
D	help/C/images/print.png
D	help/C/images/replace.png
D	help/C/images/shell.png
D	help/C/images/toolbar.png
D	help/C/l10n.txt
D	help/C/topic.dat

commit 568b44966837094581b2335e2f9456362182f3f3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-27

    Change term clear_text to clear_search

M	gedit/gedit-commands-search.c
M	gedit/gedit-view-frame.c
M	gedit/gedit-view-frame.h

commit 6d27b3ffd664806243d213d6431165c639f78d48
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-02-27

    More expand/fill tweaks in the prefs dialog

M	gedit/dialogs/gedit-preferences-dialog.ui

commit 3caae05a66c282c2c37c582f299874d54b485dc5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-27

    Remove search bindings from the View and move the managing to
    GeditViewFrame.

M	gedit/gedit-commands-search.c
M	gedit/gedit-view-frame.c
M	gedit/gedit-view-frame.h
M	gedit/gedit-view.c
M	gedit/gedit-view.h

commit dd7734fde3f9c83be76d9a3df4ae1f3d7c897b36
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-02-27

    Fix spacing the "view" tab of the preferences.

    Gtk3 recursive way to calculate the "expand" behaviour was causing the
    first vbox to expand even if it should not.

M	gedit/dialogs/gedit-preferences-dialog.ui

commit ccfcc91726ba4e1af8440039c0dcc8395b498326
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-27

    Do not bother the user opening readonly files twice. Fixes bug
    #642872.

M	gedit/gedit-tab.c

commit 101469ebf8fed369fef99add769be5c950725264
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-02-27

    Updated Swedish translation

M	po/sv.po

commit f56c0e20a0407a8f7ea963c5c2b374bf9482242e
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-27

    Updated Arabic translation

M	po/ar.po

commit cdce13230dfc5b02b1bd069acc682707e93f672f
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-02-27

    Updated Korean translation

M	po/ko.po

commit a9a71d04da10d198718a214a480af4e542faf63e
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2011-02-26

    [l10n] Updated Estonian translation

M	po/et.po

commit bb8621982326b8489118db00efd1fa31032c8cfa
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-26

    Use g_param_spec_uint instead of enum.

    This make it easier for other projects to copy the code.

M	gedit/Makefile.am
M	gedit/gedit-overlay-child.c

commit 7e2d4d425d9f3e823501afb5c8e65b43a8373b45
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    overlay-child: always allocate to the real widget the full allocation

    I don't get why we cache allocation here, and we should always
    just proxy
    the real widget allocation/request.

    https://bugzilla.gnome.org/show_bug.cgi?id=643258

M	gedit/gedit-overlay-child.c

commit 682c0a33b46a56050ca18eaebd6bd80e1caac283
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    overlay: don't make 'relative-widget' construct only

    It can vary in time and it won't hurt.

    https://bugzilla.gnome.org/show_bug.cgi?id=643258

M	gedit/gedit-overlay.c

commit a5337af7ee9f1aeb57ea274e8bf0c2c77203312b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    overlay: make sure not to request negative allocations

    Or to allocate a child more than the available overall allocation.

    https://bugzilla.gnome.org/show_bug.cgi?id=643258

M	gedit/gedit-overlay.c

commit 607719022f86c4c9ebb85dc1531e5db29ad29de7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-24

    overlay: use the natural size request instead of the minimum

    So that we don't break e.g. ellipsizable labels.

    https://bugzilla.gnome.org/show_bug.cgi?id=643258

M	gedit/gedit-overlay.c

commit da49b588a394717b5ea0a3f9e6a823a86e62feae
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-24

    [pythonconsole] Access the union values directly.

M	plugins/pythonconsole/pythonconsole/console.py

commit 3abcbe83199083901f56ddcdaa5b1d0c51dd0861
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-24

    Do not override "show".

    If we try to override show, then the widget is not realized, either
    a bug
    in pygobject or in gtk+.

M	plugins/quickopen/quickopen/popup.py

commit e607be427ae2bdafcff16d07914560d36104dd09
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-24

    Unref extensions on dispose instead of destroy.

    The reason for this is that dispose has been already called one
    destroy
    happens, so we need to do it on dispose so the plugins can make their
    proper cleanup before being deactivated.

M	gedit/gedit-view.c

commit 3926999a30dc77471bd415c8a078d59e8a8b5afd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-23

    overlay-child: make sure to intialize required fields

M	gedit/gedit-overlay-child.c

commit 3a026e116ab7c7df7379789ecf5ad6b99dd9839a
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2011-02-22

    Updated Bengali India Translation

M	po/bn_IN.po

commit e28d01338d41dccae0fb1f4cfe99cb7420c6a450
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	2011-02-21

    gedit-close-button: relicense to LGPL

    As agreed by authors on
    https://bugzilla.gnome.org/show_bug.cgi?id=642865

M	gedit/gedit-close-button.c
M	gedit/gedit-close-button.h

commit 07e8759c541be9e38ced4a12aaef95b390298205
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-21

    Release 2.91.7

M	NEWS
M	README
M	configure.ac
M	gedit/Makefile.am

commit a4450213033a01ced2d8f5f16d156950cf577397
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-21

    Restaure old searched text if there was one. Fixes bug #642859.

M	gedit/gedit-view-frame.c

commit 1275e2a3929bf495ea8696e314248a7051f844fc
Author: Xan Lopez <xan@gnome.org>
Date:	2011-02-21

    gedit-overlay-child: sync visible property of container and child

    That way user can hide the inner widget and the overlay child
    container will be hidden automatically.

M	gedit/gedit-overlay-child.c

commit 4313393031aba2a7641e82beea478d6e7ecc54d6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-02-20

    Tiny leak in modeline plugin

M	plugins/modelines/modeline-parser.c

commit 89e850131130a0876c57864c1f597e76c2500ef0
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-20

    Updated Arabic translation

M	po/ar.po

commit 268530b00b7bbf22dcc164cac89af894a337e802
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-20

    [GeditStatusComboBox] Create the css provider per class

M	gedit/gedit-status-combo-box.c
M	gedit/gedit-status-combo-box.h

commit 9e2efbfdafce690c380dba87b11ed1b9f899f8bf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-20

    Create the css provider per class instead of instance.

M	gedit/gedit-close-button.c
M	gedit/gedit-close-button.h

commit f552c13b514dfd999ca61436f43337c7a9b2d49e
Author: Benjamín Valero Espinosa <benjavalero@gmail.com>
Date:	2011-02-20

    Updated Spanish translation

M	help/es/es.po

commit 58b652746e8b500a42ffa63182f94fee7a3b9bb3
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-20

    Updated Spanish translation

M	po/es.po

commit b68682fb9672d68438b44c2e4df777fe39c29d62
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-20

    Put the format after the key when getting the settings. Fixes bug
    #642711.

M	plugins/modelines/modeline-parser.c

commit 0988f15ceaef1e2e5e3f243659e23a1e2c6ff642
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-19

    Updated Spanish translation

M	po/es.po

commit 2d62539643d87c6ceef9c27295d14b069f03a1b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-18

    Fix tests to work with latest animated overlay api.

M	tests/test-overlay.c

commit 3e16eba56d29b4c81a333a104bf005d01783aa43
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    Add GEDIT_OVERLAY_CHILD_POSITION_SOUTH_EAST.

M	gedit/gedit-overlay.c

commit 2a19444a2cc503336e28f7756a990964762a6de0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-18

    Destroy the overlay-child is the widget inside is destroyed.

M	gedit/gedit-overlay.c

commit f87c6647790c451b42c1275b2e6c3d96e35ba1b7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-18

    Add a enable-completion property and move some code to constructed
    override.

M	gedit/gedit-history-entry.c

commit beeeef9dc4d3a4941ff233e467a76823fa79c07e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-17

    Add a GeditAnimatable and use it.

    Now the GeditTheatricsAnimatedWidget is named as GeditFloatingSlider
    and it implements the GeditAnimatable. This makes the code more
    understandable and easier to extend.

M	gedit/Makefile.am
A	gedit/gedit-animatable.c
A	gedit/gedit-animatable.h
M	gedit/gedit-animated-overlay.c
M	gedit/gedit-animated-overlay.h
A	gedit/gedit-floating-slider.c
A	gedit/gedit-floating-slider.h
M	gedit/gedit-view-frame.c
M	gedit/theatrics/Makefile.am
D	gedit/theatrics/gedit-theatrics-animated-widget.c
D	gedit/theatrics/gedit-theatrics-animated-widget.h

commit 73a15bff58116a2a22b4da666d69f656f0ef078e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-18

    Make the history-entry inherit from GtkComboBoxText.

M	gedit/gedit-history-entry.c
M	gedit/gedit-history-entry.h

commit 5bf66972a2c966613831352aa5fbd51a0eede277
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-18

    Remove leftover.

D	gedit/gedit-prefs-manager-private.h

commit 0a9d47eab1388d61cdb192f35e7addee896277b2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-17

    Bump gtk+ and gio to the stable versions

M	configure.ac

commit e1322a7005b6b9278c80242ceb3b178803807e65
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-02-17

    Updated Hindi Translations of gedit

M	po/hi.po

commit 478c06d9b4ef6b1f4c037c7c368c41c971b5a144
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-02-17

    Updated Hindi Translations of gedit

M	po/hi.po

commit 28f7ce734f6faf074c3fd2f9b6fb09025fbf1226
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-17

    [overlay] Fix test.

M	tests/test-overlay.c

commit 4410f705540901409b97bfb86f14550ee0b9e639
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-02-17

    Updated French Translation

    By Claude Paroz and Gérard Baylard

M	po/fr.po

commit f76ec588a1a90dfb608ad5520ab20a348a6b85f9
Author: Xan Lopez <xan@gnome.org>
Date:	2011-02-16

    gedit-overlay: always proxy main widget size request

    We don't want for the children to be able to overflow the main widget,
    it makes sense to keep them contained in the overlay.

    Bug #642451

M	gedit/gedit-overlay.c

commit 7c2d6f75a11004c44b55719b7ce2ce65e78c13d4
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-02-16

    Updated Romanian translation

    Signed-off-by: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>

M	po/ro.po

commit 72bc702dd1246ca493990c5e268c033ed9cb046c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-16

    Do not special case GtkScrolledWindow.

    Instead a relative-widget property is added. If this property is
    specified
    the floating widgets will be placed in relation to it.

M	gedit/gedit-animated-overlay.c
M	gedit/gedit-animated-overlay.h
M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c

commit 249dac22eccd7ab406860ba1c622237835e687fd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-15

    Do not implement the scrollable interface anymore.

    Now we just check that the main widget is a scrolled window
    and if so put the floating widgets relative to its child.

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c

commit 78287bd29c045d979e18531c9bd8f728a75cb876
Author: Julio Lajara <ju2wheels@gmail.com>
Date:	2011-02-12

    Fix string substitution error in error dislayed for unrecoverable
    saving error bar

    bgo#640319

M	gedit/gedit-io-error-info-bar.c

commit 39ef2fb0b76ed31848fc8cd6dfc6fe9524e8aa16
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-15

    Do not implement the realize method and properly chain up on
    get_prefered_width/height.

M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit 2b62c536c7cb6afbc6e8a72bc4873d924ce2c612
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-15

    Do not leak the objects.

M	gedit/gedit-animated-overlay.c
M	gedit/gedit-overlay.c

commit ad390236b6975d3b39d05faad5c91afe0d0d60ec
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-15

    Fix typo. It avoids infinite loop. Pointed by Cosimo Cecchi.

M	gedit/gedit-overlay.c

commit e5ca5e894ba3ea21a60d7b19ce33ed1a0ef246a5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-15

    Add GeditAnimatedOverlay.

    This is a class that inherits from GeditOverlay and provide
    slide/in/out
    animation for the widget added on the container.

M	gedit/Makefile.am
A	gedit/gedit-animated-overlay.c
A	gedit/gedit-animated-overlay.h
M	gedit/gedit-view-frame.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c
M	gedit/theatrics/gedit-theatrics-animated-widget.h
M	tests/test-overlay.c

commit 4fa9a14e2e04363492602f9eca4d3ba573092801
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-02-12

    Fix crash when overlay is destroyed.

    Also there is no need for finalize method as the list is already freed
    when the widget is destroyed.

M	gedit/gedit-overlay.c

commit fbff0062f3d9e0a93262334f0dfe2d838afd71ea
Author: Xan Lopez <xan@gnome.org>
Date:	2011-02-11

    Fix compilation.

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay-child.h
M	gedit/gedit-overlay.c

commit 3ee11208b74cce185407e9db3612d4912c58e4de
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Relicensing as lgpl just in case in the future we want to put this
    in gtk+.

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay-child.h
M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h

commit 280c59df172b0da655cc810b2eccba5ec44ce07b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Fix memory leak.

M	gedit/gedit-overlay.c

commit 09dd2e9dcb07d54ca22b94b8615883ec6407884d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Use the new OverlayChild api and make it easier to subclass.

M	gedit/gedit-overlay.c

commit 4b507446a156ba709c28988f8a9426d463d217bb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Do not make the properties contruct-only.

    Added setter for the positioning properties. This makes the class
    easier to subclass.

M	gedit/gedit-overlay-child.c
M	gedit/gedit-overlay-child.h

commit 58b225926b86d992e92fded5a1c3b8f0d2542c9f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Make the GeditOverlay use GeditOverlayChild.

M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h

commit 6864f9259cb22aef4be52515560b08204b7e0105
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-11

    Add GeditOverlayChild.

    This is the child that will be used in GeditOverlay

M	gedit/Makefile.am
A	gedit/gedit-overlay-child.c
A	gedit/gedit-overlay-child.h

commit 5e050b630e813e89fcaf37e63d0f672b0642ead0
Author: Xan Lopez <xan@gnome.org>
Date:	2011-02-11

    Make the GeditOverlay a base class withouth animations

M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h

commit 244a400336722a1877d3ae4a092880f86dbe6ef5
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-02-15

    Updated Asturian translation

M	po/ast.po

commit e8be7b984f2bb007fb7ef70fbe603e55da103bbc
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-02-15

    Updated Asturian translation

M	po/ast.po

commit 9201fe7bfe6ab36830cb0660be449b0a90d6c55e
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-02-14

    Update to latest libpeas API changes

M	configure.ac
M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/gedit-plugins-engine.c

commit 6ba1bc68334e9c57cd2a7fbc96a9e0f7d36c2303
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-14

    Updated Galician translations

M	po/gl.po

commit 0728d49b54832fb99437a5b8c2a711abc282afc5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-14

    Updated Hebrew translation.

M	po/he.po

commit b10d7f92a220aa44fcbda6cf9b42fb31d1bfaacb
Author: Michal Hruby <michal.mhr@gmail.com>
Date:	2011-02-10

    Added Zeitgeist dataprovider plugin

M	configure.ac
M	plugins/Makefile.am
A	plugins/zeitgeist/Makefile.am
A	plugins/zeitgeist/gedit-zeitgeist-plugin.c
A	plugins/zeitgeist/gedit-zeitgeist-plugin.h
A	plugins/zeitgeist/zeitgeist.plugin.desktop.in
M	po/POTFILES.in

commit ad40fb080ba3710c8973d1eae6a394addf4134f3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-13

    [l10n] Updated German translation

M	po/de.po

commit 8272e4d418f3481441deb15f754c3c6ef0efeb25
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-02-10

    Updated Basque language

M	po/eu.po

commit 9a547de13dce709c0643dc378b043cd405112096
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-09

    [docs] Add GeditAppActivatable

M	docs/reference/gedit-docs.sgml
M	docs/reference/gedit-sections.txt
M	docs/reference/gedit.types

commit c912d8dfb90f194fc31afa4cc3fa25da8cd5cf9f
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-02-08

    Updated Gujarati Translations

M	po/gu.po

commit d787c89e04c61db78fd94a1ec1e4e845b490d883
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-02-06

    Fix python console plugin

M	plugins/pythonconsole/pythonconsole/console.py

commit 7cfccabe0085fc56b6e6c7ca734e4c8e79b80fd4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-06

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 435da059fe684441efa3f0dba5c48a392712bf4c
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-06

    [l10n] Updated Estonian translation

M	po/et.po

commit 8a27a0280dfa5ddef12ef34923e3fdcc45890fa9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-06

    Updated Galician translations

M	po/gl.po

commit b460a79ae12ef645104a930c1c9b5df887791ed3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-05

    Updated Spanish translation

M	po/es.po

commit 5ffa85b556403765770cc72cb11a7fbeedfc61c0
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-05

    [l10n] Updated Estonian translation

M	po/et.po

commit 6257726488cb77dd65f7ba8fe3837e66b949920d
Author: Marek Černocký <marek@manet.cz>
Date:	2011-02-04

    Updated Czech translation

M	po/cs.po

commit 856e3ff44ba1d429bae2b36823252e6f0190f65b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-04

    Updated Hebrew translation.

M	po/he.po

commit 742e4a86d9781450596393f77280ccc7a03dc7ce
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-03

    [l10n] Updated Estonian translation

M	po/et.po

commit bb1b22e19c31898b81a98545b501e6d97a5bebe4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-03

    [python 3] fix some syntax errors

M	plugins/pythonconsole/pythonconsole/console.py

commit 95ad57b899abc42dbf24f351521a15d70b892b3a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-02-03

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit b6c4f38acfe5a0656db375f07a8bdd66926fa0ba
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-02

    Updated Arabic translation

M	po/ar.po

commit 117c070c54bcff4222831daab93e344bf3cd0be4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-02-02

    Fix the build with GCC 4.6

M	gedit/gedit-dbus.c
M	gedit/gedit-documents-panel.c
M	gedit/gedit-message-bus.c
M	gedit/gedit-progress-info-bar.c
M	gedit/gedit-tab.c
M	gedit/gedit-window.c

commit 4d15642589a92dc0ae97fe48cca800f5194a90af
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-01

    Release 2.91.6

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.in
M	po/POTFILES.skip

commit 95a0f669998e22640250ca45327fcbf274395839
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-31

    Manage incomplete data conversions.

M	gedit/gedit-document-output-stream.c
M	tests/document-output-stream.c

commit 89fe90084cfa3c727589fafa969a9678208a8652
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-30

    Fix encoding conversion.

M	gedit/gedit-document-output-stream.c
M	tests/document-output-stream.c

commit 9b07cf6a4e4fcdf35f9a3006f2b3dc553b7a6930
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-02-01

    Check if the error tag was created if not we will get false positives.

M	gedit/gedit-document.c

commit 3e21f63db81f56edb7e78511d6cc3ce2a1f2b6d8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-30

    [tests] Make small writes.

M	tests/document-output-stream.c

commit b050c4bb8c5bbb52b7f590f1ae7f0b88f4f84bb3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-30

    Fix leaks and add utf16 to utf8 unit test.

M	tests/document-output-stream.c

commit dc31390ad2d252082d555f57f65a80f3da7af027
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-12

    Add invalid char support.

    https://bugzilla.gnome.org/show_bug.cgi?id=502947

M	gedit/gedit-document-loader.c
M	gedit/gedit-document-output-stream.c
M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	gedit/gedit-io-error-info-bar.c
M	gedit/gedit-io-error-info-bar.h
M	gedit/gedit-tab.c
M	tests/document-output-stream.c

commit be7fe1a3631bbfa1d10a09639b10df9739b900ae
Author: Marek Černocký <marek@manet.cz>
Date:	2011-01-28

    Updated Czech translation

M	po/cs.po

commit 954ea26d5c83e65edc9509bcb7a10cd9371e248b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-01-27

    Updated Basque language

M	po/eu.po

commit 62eb06460e34bae73934447d6006b0c3d1c3ed28
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit f79d36337797b5836344b3cb74fdec7dca19ac2c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit e863e99fde28876e10b4436d84560f248ee0cc0a
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2011-01-23

    metadata-manager independent of gedit-dirs

    gedit_metadata_manager_init() is now public and is called in gedit.c.

    gtk-doc comments added.

M	gedit/gedit-metadata-manager.c
M	gedit/gedit-metadata-manager.h
M	gedit/gedit.c

commit b2154e1c8c27d38fcc07af601e94f0c31963d4ae
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-25

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 37baadcd4790eb588fdc77d626a192a037639cc2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-23

    Populate the encodings when the widget is constructed.

M	gedit/gedit-encodings-combo-box.c

commit b34b146db5f709fc71fa98f34b2fd70c25aad5e8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-23

    Do not leak the encoding settings.

M	gedit/gedit-encodings-combo-box.c

commit 3801b240f56f4dffc4d1a78e2b9b1a7c7c711285
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-23

    Use GTK_STATE_FLAG_NORMAL instead of 0

M	gedit/gedit-rounded-frame.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit 2adf10af73a878faa23b50e46946b1f4a3ffee43
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2011-01-23

    Bug fixes when gvfs_metadata is disabled

    https://bugzilla.gnome.org/show_bug.cgi?id=640329

M	gedit/gedit-document-loader.c
M	gedit/gedit-document.c

commit a05199486b8f7ecfba05b3624dd1d79c6fc9c901
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-01-23

    Force a higer min heigth of the style scheme list.

M	gedit/dialogs/gedit-preferences-dialog.ui

commit d3ad6a4130dc4627de6eff0f76c4603b168bb079
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-01-23

    Unref the gdbus node info.

M	gedit/gedit-dbus.c

commit 2cd4c274f8dccf6ec95d0145b15ffd2bca7fa644
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-23

    Get the prefered size for the widget.

    This avoid a heavy slow down when we needed to scroll the widget.
    Solution pointed by Paolo Borelli.

M	gedit/gedit-overlay.c

commit 50d3b6e0dcc926a5e6ebd851f193c7425f09f6e3
Author: Michael Biebl <biebl@debian.org>
Date:	2011-01-22

    Link against libICE

    eggsmclient-xsmp uses libICE so we explicitly need to link against
    it to not
    fail with stricter linkers like binutils-gold

M	configure.ac

commit fae1dd4d01ddc49014ef157c93c8d8a6e20bce44
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-22

    Fix critical warnings about having no GtkCellArea in encodings
    combo box

M	gedit/gedit-encodings-combo-box.c

commit 23c0404dbddfbeb37f7c90f522dc6b58e45a61e0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-22

    Remove has-separator property. It is deprecated.

M	plugins/docinfo/gedit-docinfo-plugin.ui

commit bd73d84a57acdb1500f9cc141e897605da4b6e1a
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-01-21

    Updated Esperanto translation

M	po/eo.po

commit 1eaa8c6016c105f010057827ab38510e090219a9
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-01-21

    Updated Esperanto translation

M	po/eo.po

commit e142c2608fba61439da1ac5987b475669a80c71c
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-01-21

    Updated Esperanto translation

M	po/eo.po

commit 4178b0efef121967c1aa47c254030a767342b95e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-21

    Fix the notebook style to remove border when the window is maximized.

M	gedit/gedit-notebook.c

commit c30ac60aa58191c8cbf7ea22c2f5adebfc7e1e81
Author: Steve Frécinaux <code@istique.net>
Date:	2011-01-20

    GeditWindow: Move remaining object unreffing from finalize()
    to dispose()

M	gedit/gedit-window.c

commit e273c13705be9b10a8d7a6793aec967a9ab33b07
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-20

    Import glib instead of GLib.

    Dinamic bindings for GLib are crashy so it is highly recommended
    to use
    the static ones. Also use GObject were possible as we were using some
    methods in GLib that were also in GObject.

M	plugins/externaltools/tools/capture.py
M	plugins/externaltools/tools/library.py
M	plugins/quickopen/quickopen/__init__.py
M	plugins/quickopen/quickopen/popup.py
M	plugins/snippets/snippets/__init__.py
M	plugins/snippets/snippets/document.py
M	plugins/snippets/snippets/placeholder.py

commit 315573368dfdf7565638a1f6745d576d576aa65a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the right type to get the property.

    We had to use always GObject.Object because there was a bug in
    pygobject
    that now is fixed. So we can check for the right type.

M	plugins/pythonconsole/pythonconsole/__init__.py
M	plugins/quickopen/quickopen/__init__.py
M	plugins/snippets/snippets/__init__.py
M	plugins/snippets/snippets/windowactivatable.py

commit ad0c2054a31da4aa59648587eb82de0963d2115a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Add AppActivatable to create the ToolLibrary just once.

M	plugins/externaltools/tools/__init__.py
M	plugins/externaltools/tools/windowactivatable.py

commit ad4ed9426567efbadf41f99c05f4dccf25f97f12
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Move __init__.py code to windowactivatable.py module

M	plugins/externaltools/tools/Makefile.am
M	plugins/externaltools/tools/__init__.py
C098	plugins/externaltools/tools/__init__.py
plugins/externaltools/tools/windowactivatable.py

commit a0398093e409fbf074a6b82e8712e3c169a3ca43
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the right config directory and avoid exception if icon doesn't
    exists.

M	plugins/snippets/snippets/__init__.py
M	plugins/snippets/snippets/completion.py

commit ab7f3788a18447b9a88f0d1dbda892e6c452c9af
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the FileEnumerator as an iterable data.

M	plugins/quickopen/quickopen/popup.py

commit 2aa6071912dac227f04f44c07e07f159b77be7ff
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-19

    Use the right dir for tools and fix some function calls.

M	plugins/externaltools/tools/__init__.py
M	plugins/externaltools/tools/capture.py
M	plugins/externaltools/tools/functions.py
M	plugins/externaltools/tools/library.py
M	plugins/externaltools/tools/outputpanel.py

commit 8b6d353e0ab94ad52ce6119759db5e14b281fbba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-18

    Port externaltools to libpeas/gsettings/pygi

M	configure.ac
M	plugins/externaltools/Makefile.am
A
plugins/externaltools/org.gnome.gedit.plugins.externaltools.gschema.xml.in.in
M	plugins/externaltools/tools/__init__.py
M	plugins/externaltools/tools/capture.py
M	plugins/externaltools/tools/filelookup.py
M	plugins/externaltools/tools/functions.py
M	plugins/externaltools/tools/library.py
M	plugins/externaltools/tools/manager.py
M	plugins/externaltools/tools/outputpanel.py
M	plugins/externaltools/tools/tools.ui

commit 33bc0189c65c64014b76c1bd4274dd4dbdb51398
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-18

    We must not install external settings.

    We moved the gnome terminal profile settings to our settings.
    For now we use always our settings because gnome terminal has not
    been ported to gsettings yet.

M
plugins/pythonconsole/org.gnome.gedit.plugins.pythonconsole.gschema.xml.in.in
M	plugins/pythonconsole/pythonconsole/console.py

commit 9051b9fbe172f291001a286ee0f10d0a209d3490
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-18

    Use the new override for insert_with_tags.

M	plugins/pythonconsole/pythonconsole/config.py
M	plugins/pythonconsole/pythonconsole/console.py

commit 74861a333ca3cc05de48d1241182135f1e7402a9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-18

    Fix annotation.

M	gedit/gedit-message-bus.c

commit 059f39e1b94ea5453087d33384fe2a563e6c00dc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-17

    Add the gtype to the popup.

    We must do this otherwise a bug is produced that the parent window
    is the one that gets the overriden methods. (thanks nud ;)

M	plugins/quickopen/quickopen/popup.py

commit 9de71917497716124486f9baade326d5ffb4bb8d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-06-30

    Port quickopen to libpeas and gi.

    This patch is unfinished as we still need some fixes in pygobject.

M	plugins/Makefile.am
M	plugins/quickopen/quickopen/Makefile.am
M	plugins/quickopen/quickopen/__init__.py
M	plugins/quickopen/quickopen/popup.py
M	plugins/quickopen/quickopen/virtualdirs.py
D	plugins/quickopen/quickopen/windowhelper.py

commit f197c1ff376b2c9d3adfa60a4156e356d1935f69
Author: George Stefanakis <george.stefanakis@gmail.com>
Date:	2011-01-13

    Updated Greek translation

M	po/el.po

commit 7f2cecff6de5d47ed48a5ec3018e9b1fa3b17351
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    More annotation fixes.

M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	gedit/gedit-utils.c

commit e4031f2872802db2d3ed761648ebc3d64c5673ed
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    Bump glib to 2.27.92 and chain up unconditionally in constructed
    override.

M	configure.ac
M	gedit/gedit-document-output-stream.c
M	gedit/gedit-fifo.c
M	gedit/gedit-tab-label.c
M	gedit/gedit-view.c
M	plugins/modelines/gedit-modeline-plugin.c

commit a9400dc2aff0accb56e9ad2282ca0008535f4dcf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    GeditStatusComboBox: make it sexy again.

M	gedit/gedit-status-combo-box.c

commit 0e5dedf5c4a44f9f7cc28952d76ad70f7c2d0552
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    Use a more polished way to remove the custom style from the notebook.

M	gedit/gedit-notebook.c

commit 71c882b78e315ecbe4e8b726fb26dd897113925e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    Fix memory leaks.

M	gedit/gedit-close-button.c
M	gedit/gedit-notebook.c

commit eeea0aa59f8487339fc01466cbe32de72c8ca462
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    Set the status combobox style in the init method instead of
    constructed.

M	gedit/gedit-status-combo-box.c

commit 88742256c202250c7dd27e07336b57b89faf1195
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-12

    Chain up on constructed.

M	gedit/gedit-document-output-stream.c
M	gedit/gedit-fifo.c
M	gedit/gedit-tab-label.c
M	gedit/gedit-view.c
M	plugins/modelines/gedit-modeline-plugin.c

commit e58d9dc8dfafbf213d46bb98803640880c15c60e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-01-11

    Properly detect text files on windows for file browser plugin

M	plugins/filebrowser/gedit-file-browser-store.c

commit ad60f03f29ba92165e42b3107c5ea498cafbdd3f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-10

    Release 2.91.5

M	NEWS
M	README
M	configure.ac

commit 2337868ed0cf5eda138b0e0d6279163d97151bb3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-10

    Bump gtk+ to 2.99.0

M	configure.ac

commit c9f1c080469c613e9fdac383b0be17d5fe969268
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-01-10

    Updated Indonesian translation

M	po/id.po

commit f0dda3ae7152d72dd6858077ae1e09f0537ccb7b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-01-09

    Use new gdk targets (multiple backends) in configure

M	configure.ac

commit 6415392ab13eb5d45a63161267df842cf2bb6a5d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-07

    Set default values in the constructed method.

M	gedit/gedit-view.c

commit 7e0693d9a092347db780b89d9b4fcc9ef6f1dbd3
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-06

    [l10n] Updated Estonian translation

M	po/et.po

commit 05d28ca1a0d9d4047b8bc0fb8bc9ba679811e2be
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-05

    [l10n] Updated Estonian translation

M	po/et.po

commit 92d7afb2584c80ee7f3e48b26723115086f7b3df
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-04

    Use id-column instead of deprecated text-column.

M	gedit/gedit-history-entry.c

commit be45609807548e4ec8b15acd28f8c3f717917523
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-04

    [l10n] Updated Estonian translation

M	po/et.po

commit d99bf29862a510ad5ddc4cf7d813b25eed4a200c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-01-03

    Use /org/gnome/ instead of /apps/ in the schemas paths.

M	data/org.gnome.gedit.gschema.xml.in.in
M
plugins/checkupdate/org.gnome.gedit.plugins.checkupdate.gschema.xml.in.in
M
plugins/filebrowser/org.gnome.gedit.plugins.filebrowser.gschema.xml.in.in
M
plugins/pythonconsole/org.gnome.gedit.plugins.pythonconsole.gschema.xml.in.in
M	plugins/time/org.gnome.gedit.plugins.time.gschema.xml.in.in

commit cf85f05495ae37e2bb7bd10feae5c7b66cb4f7dd
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-01-03

    Fix locale is not properly initialized

    Locale initialization needs gedit_dirs_get_gedit_locale_dir()
    but that function would return NULL until gedit_dirs_init()
    is called.

    Move gedit_dirs_init() a few lines up.

    Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>

M	gedit/gedit.c

commit 03cf63a76c6310c42211a8548733d2560d6d6f72
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-01-03

    po/vi.po: remove extra colon

M	po/vi.po

commit 38b80584a3ee1f49f1a3c95e84cfe9f2d9a2e9fd
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-03

    update Punjabi Translation

M	po/pa.po

commit eb86b3b888e19a190c76b7a75a94f92ab3ba936c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-02

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

M	po/nb.po

commit 832addd97579ad5cc6b853e349bb9f4ed1c31d25
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Fix double deactivate for AppActivatable and ViewActivatable plugins

M	gedit/gedit-app.c
M	gedit/gedit-view.c

commit c0fc6079a22952f855515d3afceee978b571f1cc
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Don't free the secondary text it is contant

M	gedit/gedit-io-error-info-bar.c

commit 32e13765c07a35dd99d9f2b96bb4b65f63f6a650
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Set the print wrap mode

M	gedit/gedit-print-job.c

commit 0a94fa69ba6eda16bf7f573599d662c18b224326
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Fix setting the current page when there are no notebooks

M	gedit/gedit-multi-notebook.c

commit 63fb0a077294f5a46878336ff432bcf63ff5e50f
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Fix closing tabs when tab is not in notebook

M	gedit/gedit-multi-notebook.c

commit 4981fb74dbf3992f59bde48b9aa0dbd6b841ee69
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Use the correct proxy flags

M	gedit/gedit-dbus.c

commit 2edcd16debc1ce0baeba6e82be51fde694bbc3ba
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Fix memory leak

M	gedit/gedit-io-error-info-bar.c

commit 3c7f45e1bcfe8020ecd7f145b127f8046c936cc3
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-01-01

    Remove unused variables

M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/gedit-document.c
M	gedit/gedit-tab.c
M	gedit/gedit-view.c
M	plugins/spell/gedit-spell-plugin.c
M	tests/document-loader.c
M	tests/document-saver.c

commit c634a4e7760e5975134f24e2c0363b13bb0e5c93
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-01-01

    Updated Swedish translation

M	po/sv.po

commit e19c842c7f8856db6aeb89f3d0c9ac6c5d753edf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-31

    Update git.mk from pango.

M	git.mk

commit 3dc252f32a02b3c8e884f839fe6f41af9af22620
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-30

    Work around to avoid high cpu use.

    Kudos to Jesse van den Kieboom for finding out the solution.

M	gedit/gedit-tab-label.c

commit df3ce63424dd2b1ef8dd9a8e4faa50ba948a03db
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-30

    Port GeditNotebook to GtkStyleContext

M	gedit/gedit-close-button.c
M	gedit/gedit-notebook.c

commit a25b3c7585b1961762249f737b4ce9034f348148
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-29

    Release 2.91.4

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.in

commit c48ab831c97ed732537206e27c142378056fed7a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-28

    Use gdk_device_get_position and bump gtk+ to 2.91.8

M	configure.ac
M	gedit/gedit-window.c

commit e450972ae014fe711d99947e7249d4699932995c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-27

    The dir now is gedit instead of gedit-2.

M	plugins/snippets/snippets/__init__.py

commit 3f5c69427579f80e8614f551aafa89baa9bfd0ca
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-12-19

    Port snippets to libpeas/gtk+-3

    This is not yet completely working. But most parts do.

M	plugins/snippets/snippets/Makefile.am
M	plugins/snippets/snippets/__init__.py
R077	plugins/snippets/snippets/Completion.py
plugins/snippets/snippets/completion.py
R087	plugins/snippets/snippets/Document.py
plugins/snippets/snippets/document.py
R092	plugins/snippets/snippets/Exporter.py
plugins/snippets/snippets/exporter.py
R095	plugins/snippets/snippets/Helper.py
plugins/snippets/snippets/helper.py
R092	plugins/snippets/snippets/Importer.py
plugins/snippets/snippets/importer.py
R089	plugins/snippets/snippets/LanguageManager.py
plugins/snippets/snippets/languagemanager.py
R090	plugins/snippets/snippets/Library.py
plugins/snippets/snippets/library.py
R075	plugins/snippets/snippets/Manager.py
plugins/snippets/snippets/manager.py
R090	plugins/snippets/snippets/Parser.py
plugins/snippets/snippets/parser.py
R090	plugins/snippets/snippets/Placeholder.py
plugins/snippets/snippets/placeholder.py
R090	plugins/snippets/snippets/Snippet.py
plugins/snippets/snippets/snippet.py
M	plugins/snippets/snippets/snippets.ui
R090	plugins/snippets/snippets/SubstitutionParser.py
plugins/snippets/snippets/substitutionparser.py
R074	plugins/snippets/snippets/WindowHelper.py
plugins/snippets/snippets/windowactivatable.py

commit 66ce4ca5ff4a2bea757a1194f7cd21ae649ee266
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-27

    Use gdk_display_get_device_state.

M	gedit/gedit-window.c

commit 6c40ec361507c55d7fd30cc897ed513f820c56f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-26

    Fix the close button style.

M	gedit/gedit-close-button.c

commit 6bb059367c04eb58c98c26e7411707b46204ab31
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit 5e8d3242051a4c80fe05cbfab96ab765f3c74b80
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-22

    Do not use gdk_cursor_unref

    Also remove busy cursor from the view, since it seems unused.

M	plugins/filebrowser/gedit-file-browser-view.c
M	plugins/filebrowser/gedit-file-browser-widget.c

commit 27a0c1cc3dfbc2d1368b644d37ad4107bf3b12ac
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-22

    Gtk3's AboutDialog choose to be ugly by default.

    Explicitely set the website label.

M	gedit/gedit-commands-help.c

commit 02afb7d26002356bbca025bef5277beb0d1dc73e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-22

    Use g_object_unref instead of gdk_cursor_unref.

M	gedit/gedit-tab.c

commit 43a67b730b2a717e2d6dabfcbce5ff0298e089cc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-22

    Update from libegg

M	gedit/smclient/eggsmclient-private.h
M	gedit/smclient/eggsmclient-xsmp.c

commit ffd5d282422657771a7e72a75e2eb340e4747756
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-21

    Updated Vietnamese translation

M	po/vi.po

commit faee3f264017b0ba36b7cb846281769eed1e5b96
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-21

    po/vi.po: import from Damned Lies

M	po/vi.po

commit b0d5db506b6074bcc58980151f752986b528425f
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit e63de5a2396a56eeba46479a54628843538da29e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2010-12-19

    Fix double deactivate for windowactivatable plugins

M	gedit/gedit-window.c

commit 38c847940cdde9fc1141c408882e602df0304d9d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-19

    po/vi.po: import some translations from Ubuntu/Maverick

M	po/vi.po

commit f4fc2c074876aef43056422c219497f471a33220
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-12-17

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3d7346d458ebe031745bf05ed4a005810d6dc4f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-13

    Factor out a validate_and_insert method.

M	gedit/gedit-document-output-stream.c

commit a3efddda3b22ef342331da0f3d90bcef2d48686d
Author: Wei-Lun Chao <chaoweilun@gmail.com>
Date:	2010-12-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ea5d218fd619975c5f19dff10d590124215a93a7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-12

    Revert "Add invalid char support."

    This reverts commit 33ff3bf2196729ba5e2601d08596595f281a1514.

M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	tests/document-output-stream.c

commit 336903b05c184aed22c0ef5a0ae6d745e2c2ddb8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-12

    Fix gedit_commands_load_location/s annotations.

M	gedit/gedit-commands-file.c

commit 33ff3bf2196729ba5e2601d08596595f281a1514
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-22

    Add invalid char support.

M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	tests/document-output-stream.c

commit 8aaf2665d32b1c8f6c1549c03808736b1020d8dc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-11

    Fix the search popup animation.

    Now we don't get an snapshot of the widget when it is destroyed,
    instead we make a slide out animation and after it we destroy the
    widget.

M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c
M	gedit/theatrics/gedit-theatrics-animated-widget.h
M	tests/test-overlay.c

commit 03135a25704f36e9c26f00b298ef7efa8554d043
Author: Kittiphong Meesawat <ktphong@yahoo.com>
Date:	2010-12-09

    Updated Thai help & program translations.

M	help/th/th.po
M	po/th.po

commit f9a4d3eb3aed819934d1ebd50e5031a287ed4158
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-08

    Do not eat the exception, if that fails something is wrong.

M	plugins/pythonconsole/pythonconsole/config.py

commit ed1ab941512ddb807f3a6ce3edd45c761b668aab
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-12-08

    The plugin must have a do_update_state implementation

M	plugins/pythonconsole/pythonconsole/__init__.py

commit 0b2b59f10c4e623fca16a3fcfb4a669990f90e86
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-07

    Port GeditCloseButton to the new GtkStyleContext

M	gedit/gedit-close-button.c
M	gedit/gedit-status-combo-box.c

commit 054bd4034911fadd9eceb64e1a12a2bb5b2e48d2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-07

    Port GeditStatusComboBox to the new GtkStyleContext.

M	gedit/gedit-status-combo-box.c

commit 81c8791e639198aea58e50dd925f9078966119e3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-12-06

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5762db80468aa49af918c694cc919f921691bfe3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-05

    Include also BUILT_SOURCES in the git generation.

M	gedit/Makefile.am

commit e5157f6097348ec68bf4730b51361fec276398c4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-04

    Initial port to GtkStyleContext.

M	gedit/gedit-overlay.c
M	gedit/gedit-rounded-frame.c
M	gedit/gedit-view.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit ae6b2c5c57b35597b592f6c033cba95a68a1d3d8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-04

    Use the new GtkStyleContext and GdkRGBA to set the search popup
    colors.

M	gedit/gedit-view-frame.c

commit 4e8bf71db0d4cfe5d36c3ca850db597572204eb8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-12-02

    Use utility method gdk_cairo_set_source_window.

M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit 59119f02119895413472f32051982b788ee64395
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-29

    Release 2.91.3

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.in

commit 4339d538912c821cc603ce2b20a13721f3e77b45
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-27

    Do not leak the list of children

M	gedit/gedit-multi-notebook.c

commit 92a594cf7b9a002e04a25e2d57795955890b8f25
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-22

    Factor out a sync_tag_style method.

    This is used right for the search match color and it was refactored
    for future use in other contexts.

M	gedit/gedit-document.c

commit 85279adad605df29244253227541d0db45b98308
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-21

    Merge smart converter in the document output stream.

    Using a converter we are not able to get enough information where
    the conversion error has been produced, due to this we are merging
    it in the document output stream so we can do some escaping in the
    future.

M	gedit/Makefile.am
M	gedit/gedit-document-loader.c
M	gedit/gedit-document-output-stream.c
M	gedit/gedit-document-output-stream.h
D	gedit/gedit-smart-charset-converter.c
D	gedit/gedit-smart-charset-converter.h
M	tests/Makefile.am
M	tests/document-output-stream.c
D	tests/smart-converter.c

commit 870293e168fb2a2125dd069dc1112a61688d64cc
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-21

    Remove trailing whitespace from utils.c

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit fdc12421fb64edd7d1392a263c7b4d0a77a48121
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-21

    Annotate gedit_utils_drop_get_uris

M	gedit/gedit-utils.c

commit 06c146b6286ce9749f11aca44d08b54f3385f258
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-21

    Tiny codestyle fix

M	gedit/gedit-window.c

commit e2514da31740c0fe6181694c6268ab2e4f0f3833
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-21

    Move utils.h back to public headers

    It contains api used by plugins

M	gedit/Makefile.am

commit 3d39092b71e1a4aec3dc29ad63d4ed357e5d913d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-21

    Move caseless_nmatch to a static function

    It is only used in one place and we should not stomp on the g_
    namespace

M	gedit/gedit-commands-search.c
M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit 00ff46227eae0e9ceb1c3eeac97046cd9ddd715e
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2010-11-21

    Updated Tamil translation

M	po/ta.po

commit cf52587774085a586db45a286bc8308f9873856a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-11-20

    Updated Norwegian bokmål translation

M	po/nb.po

commit 87ddbe34e991126ff70e67839a90ce226e0b06fb
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-20

    Added UG translation

M	po/ug.po

commit 16ab3496aa39f3adad76e9a427414f87a8797cbc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-16

    Manage the gravity as a position and manage RTL case.

M	gedit/gedit-overlay.c
M	gedit/gedit-view-frame.c

commit ebc114112551eb5e07d637ebf4268fd33da1cdba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-06

    Remove useless var.

M	gedit/Makefile.am

commit 63243d7bc03139a7f747c7c6ef28c17624674c2b
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-14

    Added UG translation

M	po/LINGUAS

commit dca517d73a39079d8c8c175632cd33423815fd6a
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-13

    Added UG translation

A	po/ug.po

commit 9dece4ae965164230b58e00967a333a0f784e25c
Author: Steve Frécinaux <code@istique.net>
Date:	2010-11-13

    Fix modelines in C files to avoid errors in Vim

    https://bugzilla.gnome.org/show_bug.cgi?id=634738

M	gedit/dialogs/gedit-close-confirmation-dialog.c
M	gedit/dialogs/gedit-close-confirmation-dialog.h
M	gedit/dialogs/gedit-encodings-dialog.c
M	gedit/dialogs/gedit-encodings-dialog.h
M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/dialogs/gedit-preferences-dialog.h
M	gedit/dialogs/gedit-replace-dialog.c
M	gedit/dialogs/gedit-replace-dialog.h
M	gedit/dialogs/gedit-style-scheme-dialog.c
M	gedit/dialogs/gedit-style-scheme-dialog.h
M	gedit/dialogs/gedit-style-scheme-generator.c
M	gedit/dialogs/gedit-style-scheme-generator.h
M	gedit/gedit-app-osx.c
M	gedit/gedit-app-osx.h
M	gedit/gedit-app-win32.c
M	gedit/gedit-app-win32.h
M	gedit/gedit-app-x11.c
M	gedit/gedit-app-x11.h
M	gedit/gedit-app.c
M	gedit/gedit-app.h
M	gedit/gedit-close-button.c
M	gedit/gedit-close-button.h
M	gedit/gedit-command-line.c
M	gedit/gedit-command-line.h
M	gedit/gedit-commands-documents.c
M	gedit/gedit-commands-edit.c
M	gedit/gedit-commands-file-print.c
M	gedit/gedit-commands-file.c
M	gedit/gedit-commands-help.c
M	gedit/gedit-commands-search.c
M	gedit/gedit-commands-view.c
M	gedit/gedit-commands.h
M	gedit/gedit-dbus.h
M	gedit/gedit-debug.c
M	gedit/gedit-debug.h
M	gedit/gedit-dirs.c
M	gedit/gedit-dirs.h
M	gedit/gedit-document-input-stream.c
M	gedit/gedit-document-input-stream.h
M	gedit/gedit-document-loader.c
M	gedit/gedit-document-loader.h
M	gedit/gedit-document-output-stream.c
M	gedit/gedit-document-output-stream.h
M	gedit/gedit-document-saver.c
M	gedit/gedit-document-saver.h
M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	gedit/gedit-documents-panel.c
M	gedit/gedit-documents-panel.h
M	gedit/gedit-encodings-combo-box.c
M	gedit/gedit-encodings-combo-box.h
M	gedit/gedit-encodings.c
M	gedit/gedit-encodings.h
M	gedit/gedit-fifo.c
M	gedit/gedit-fifo.h
M	gedit/gedit-file-chooser-dialog.c
M	gedit/gedit-file-chooser-dialog.h
M	gedit/gedit-history-entry.c
M	gedit/gedit-history-entry.h
M	gedit/gedit-io-error-info-bar.c
M	gedit/gedit-io-error-info-bar.h
M	gedit/gedit-language-manager.c
M	gedit/gedit-language-manager.h
M	gedit/gedit-message-bus.c
M	gedit/gedit-message-bus.h
M	gedit/gedit-message-type.c
M	gedit/gedit-message-type.h
M	gedit/gedit-message.c
M	gedit/gedit-message.h
M	gedit/gedit-metadata-manager.c
M	gedit/gedit-metadata-manager.h
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-osx-delegate.h
M	gedit/gedit-panel.c
M	gedit/gedit-panel.h
M	gedit/gedit-plugins-engine.h
M	gedit/gedit-prefs-manager-private.h
M	gedit/gedit-print-job.c
M	gedit/gedit-print-job.h
M	gedit/gedit-print-preview.c
M	gedit/gedit-print-preview.h
M	gedit/gedit-progress-info-bar.c
M	gedit/gedit-progress-info-bar.h
M	gedit/gedit-session.c
M	gedit/gedit-session.h
M	gedit/gedit-settings.c
M	gedit/gedit-settings.h
M	gedit/gedit-smart-charset-converter.c
M	gedit/gedit-smart-charset-converter.h
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-status-combo-box.h
M	gedit/gedit-statusbar.c
M	gedit/gedit-statusbar.h
M	gedit/gedit-style-scheme-manager.c
M	gedit/gedit-style-scheme-manager.h
M	gedit/gedit-tab-label.c
M	gedit/gedit-tab-label.h
M	gedit/gedit-tab.c
M	gedit/gedit-tab.h
M	gedit/gedit-ui.h
M	gedit/gedit-utils.c
M	gedit/gedit-utils.h
M	gedit/gedit-view.c
M	gedit/gedit-view.h
M	gedit/gedit-window-private.h
M	gedit/gedit-window.c
M	gedit/gedit-window.h
M	gedit/gedit.c
M	gedit/gedittextregion.c
M	gedit/gedittextregion.h
M	gedit/smclient/eggdesktopfile.c
M	gedit/smclient/eggdesktopfile.h
M	gedit/smclient/eggsmclient-osx.c
M	gedit/smclient/eggsmclient-private.h
M	gedit/smclient/eggsmclient-win32.c
M	gedit/smclient/eggsmclient-xsmp.c
M	gedit/smclient/eggsmclient.c
M	gedit/smclient/eggsmclient.h
M	gedit/theatrics/gedit-theatrics-actor.c
M	gedit/theatrics/gedit-theatrics-actor.h
M	gedit/theatrics/gedit-theatrics-animated-widget.c
M	gedit/theatrics/gedit-theatrics-choreographer.c
M	gedit/theatrics/gedit-theatrics-choreographer.h
M	gedit/theatrics/gedit-theatrics-stage.c
M	gedit/theatrics/gedit-theatrics-stage.h
M	gedit/theatrics/gedit-theatrics-utils.c
M	gedit/theatrics/gedit-theatrics-utils.h

commit f6a84b235cdff80f43211779bd8f904a891e402a
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-11-12

    Purge obsolete strings

M	po/ar.po

commit b6dcdb3d68faf362226abc7a974e71d3ab405617
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-11-12

    Updated Arabic translation

M	po/ar.po

commit e2bfab6b019114563e7ed88b55a3f5e4edadd6ef
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2010-11-11

    Updated Belarusian translation

M	po/be.po

commit ad07a02a15ba868bbd5654152f3946350db2dadf
Author: José Aliste <jaliste@src.gnome.org>
Date:	2010-11-09

    pythonconsole: fix Gdk.KEY codes.

M	plugins/pythonconsole/pythonconsole/console.py

commit a29799e7a563111011a8b8840ff44aa9ceb630f6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-08

    Release 2.91.2

M	NEWS
M	README
M	configure.ac

commit 4b0a7038dd7f2d23c7e0c98d0241d37c63ca70f3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-08

    Dist py plugins even if they are disabled for now

M	configure.ac
M	plugins/Makefile.am

commit ee697bfad740d814638fe705e82223b384347376
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-09

    Flush the doc stream to ensure proper line end detection.

M	gedit/gedit-document-loader.c

commit 4df7ec4456d44e5d0a8add3873fea2e306f961af
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-11-07

    Updated Slovenian translation

M	po/sl.po

commit c7cf365c268fc90b012fd1420bb1826402286d91
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-06

    Remove the taglist plugin. It is now in gedit-plugins.

    The taglist plugin is not so popular anymore (superceeded by snippets,
    completion, etc). Move it to gedit-plugins for those who still
    want it.

M	configure.ac
M	plugins/Makefile.am
D	plugins/taglist/HTML.tags.xml.in
D	plugins/taglist/Latex.tags.xml.in
D	plugins/taglist/Makefile.am
D	plugins/taglist/XSLT.tags.xml.in
D	plugins/taglist/XUL.tags.xml.in
D	plugins/taglist/gedit-taglist-plugin-panel.c
D	plugins/taglist/gedit-taglist-plugin-panel.h
D	plugins/taglist/gedit-taglist-plugin-parser.c
D	plugins/taglist/gedit-taglist-plugin-parser.h
D	plugins/taglist/gedit-taglist-plugin.c
D	plugins/taglist/gedit-taglist-plugin.h
D	plugins/taglist/taglist.plugin.desktop.in
M	po/POTFILES.in

commit 195db8bb27d44c65063605407b0401147b31bdcb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-11-05

    Fix unitialized variable

M	gedit/gedit-dbus.c

commit 23f0a5326c5ee49a79402fec5b149df069b78c1b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-11-05

    Fix a typo in the gsettings conversion file

    The key is called bottom-panel-visible, not bottom-pane-visible.
    This was causing gsettings-data-convert to abort.

M	data/gedit.convert

commit f6119ce619054a152dd55175299a7543c15708f5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-11-01

    Kill sourceiter for sure.

M	gedit/gedit-document.c

commit 74582d5a6fbe4dd9f2042ee5582cf36ffa0cae8c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-25

    Use the new search gtk+ api for case insensitive.

M	gedit/gedit-document.c

commit ef6eff308929d3248c0c28b1cb53984d8165cbad
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-31

    Adapt to bracket-matched signal changes in GtkSourceView

M	gedit/gedit-window.c

commit 4ccf119c296f239f2315b6734ac79caa06318edf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-30

    use g_(s)list_free_full where appropriate

M	gedit/gedit-command-line.c
M	gedit/gedit-commands-file.c
M	gedit/gedit-message-bus.c
M	gedit/gedit-osx-delegate.m
M	gedit/gedit-window.c
M	plugins/filebrowser/gedit-file-bookmarks-store.c
M	plugins/filebrowser/gedit-file-browser-store.c
M	plugins/filebrowser/gedit-file-browser-view.c
M	plugins/filebrowser/gedit-file-browser-widget.c
M	plugins/spell/gedit-spell-checker-dialog.c

commit 6996dea67a9ca786cd8411d50b914e359f5522c8
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2010-10-19

    Fix issue with windows line endings and chunk read

    The issue occurs when a \r\n is present exactly on the chunk size
    boundary. This
    means that first a \r will be inserted in the buffer, and with a
    separate insert
    a \n. GtkTextBuffer handles this as two separate lines, leaving us
    with an
    additional unwanted newline. Fixes #626739.

M	gedit/gedit-document-output-stream.c
M	tests/document-output-stream.c

commit 9f12c9cd7643fdf625fc19ad4b155b29cc1f57ee
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-30

    Use gtk_paned_new instead gtk_[h|v]paned_new

M	gedit/gedit-multi-notebook.c
M	gedit/gedit-window.c

commit b1668c0920f5f29b445530731ea3864148452955
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-29

    When dragging a tab, check if dest notebook is the same and skip the
    move

M	gedit/gedit-view.c

commit e7401cb9efb776cb18352b77256b7aa801ee72d0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-28

    Kill size-request of animated-widget.

M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit 4d9125ed9d0f9154cd0582d6ae066472b91d1423
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-28

    Kill size-request of rounded-frame.

M	gedit/gedit-rounded-frame.c

commit 52e06007a7342b365307b0e721d04e48609b4eb3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-27

    Proxy the GtkScrollablePolicy to the main widget.

M	gedit/gedit-overlay.c

commit c7ab5b923b21b6259736b954771f143bff67279e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-27

    Implement GtkScrollablePolicy property.

M	gedit/gedit-overlay.c

commit 2befedbd453d63b21bb32e729d70f75282f8c654
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-26

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 5e42cc80baea2d559733f5935af4f857bbff043d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-23

    Bump gtk requirement

M	configure.ac

commit 79c6b58508568d910b198fa92d38c7b98bc1ab9c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-23

    Use GtkScrollable methods

M	gedit/gedit-print-preview.c

commit b8ac58b2921a66801266b4e3aab2269b22155757
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-23

    Port to the new GtkScrollable interface

M	gedit/gedit-overlay.c

commit b167d95b7d3b1b9ac3a0f79ae1d2c85d6261cda1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-20

    Release 2.91.1

M	NEWS
M	README
M	configure.ac

commit 96c524456b06870132365c8a5a95726bdf8ce61f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-20

    Make file-chooser-dialog.h private to fix distcheck.

    If it is actually needed by plugins we will need a better fix

M	gedit/Makefile.am

commit 7e938726d3e3eef75cf2647958ee245e76c061f6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-20

    Use the map signal to fill the fields of the taglist plugin.

M	plugins/taglist/gedit-taglist-plugin-panel.c

commit 10d30bb05ee9674ca61ec4a168a71443d74d2c72
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-10-20

    Handle combo box text api going away. Fixes bug #632644.

M	plugins/taglist/gedit-taglist-plugin-panel.c

commit 748a53c1c8931c96f7ded7d3669619acac7458f3
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-10-20

    [help] Fix XML validity of French translation

M	help/fr/fr.po

commit f6d87fa626f9ada3c18e4d4bdb50131b2d637eae
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-10-20

    Fix xml error (reported by Ask Hjorth Larsen on gnome-i18n mailing
    list)

M	help/cs/cs.po

commit 1fc66e49587ea4da1804c392bf577396074c8d83
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Updated Slovenian translation

M	help/sl/sl.po

commit 4aec538dfa9ade2720c25dd6bcaa9d2307672ea5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Added sl for Slovenian translation

M	help/Makefile.am

commit 2a9406f4f6b20d47c5380cd243817f72856a7490
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Updated Slovenian translation

A	help/sl/sl.po

commit b9c7523ff644c18d18ded2660737a717e28cd80c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-16

    Drop ComboBoxEntry that's been removed from Gtk

    Gtk removed ComboBoxEntry in favour of a has-entry property on
    ComboBox.
    This commit quickly fixes the compilation, but the results are
    subotimal... I am
    not sure if it is our fault or gtk's.

M	gedit/gedit-history-entry.c
M	gedit/gedit-history-entry.h

commit 8881f66709075d9f8c471ddc0f0ea3f385cb2624
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-10-16

    Updated Norwegian bokmål translation

M	po/nb.po

commit 69475dabce155ec1231986a2055b25079aafc7d3
Author: Paul Lubetsky <vegeek@gmail.com>
Date:	2010-10-15

    Fixed encoding list for Belarusian localisations

M	po/be.po
M	po/be@latin.po

commit 0aaadf79ac13e8cc48865b7dc4c4e8d1bd08e2bd
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-10-14

    Use GSourceFunc() instead GtkFunction() in g_timeout_add()

M	gedit/gedit-statusbar.c

commit dada4388aa0c33486a6d48ee1c8f2adac67abb01
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-10

    Increase the size of the search popup to 25 chars.

M	gedit/gedit-view-frame.c

commit 65be74471b99ca194783b9bce56d80e523823843
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-10

    Add offset to popup search.

M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c
M	tests/test-overlay.c

commit 0ac5cafb369bf289ee93f64adefaeced70c5b73a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-10

    Remove key to set a specific toolbar style.

    This key was there from the times we had an ui for it.
    Now we just use the system setting to set the style for the toolbar.

M	configure.ac
M	data/org.gnome.gedit.gschema.xml.in.in
M	gedit/gedit-settings.h
M	gedit/gedit-window-private.h
M	gedit/gedit-window.c

commit 97ad874a79fd1e937a9f660e4c8fae9d1dcb37fb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-08

    Drop the special handling of has-resize-grip from GeditStatusbar

    The property is now handled automatically by GtkWindow. Note however
    that the new code still misses some proper padding in the corner when
    the window is maximized.

M	gedit/gedit-statusbar.c
M	gedit/gedit-statusbar.h
M	gedit/gedit-window.c

commit 73031db440529eb3ec5b80fb5ae17cd2d63002cb
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-10-08

    autogen.sh: remove unneded call to autopoint

    It's already called in gnome-autogen.sh

M	autogen.sh

commit 9599b3e448e87f74155976e6e69a658297eb8782
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-07

    Correctly disconnect signals attached to the print job operation.

M	gedit/gedit-print-job.c
M	gedit/gedit-tab.c

commit 97442bdc4bab8f264e24b8185ef42c44d4aed54a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-06

    Updated Hebrew translation.

M	po/he.po

commit 9453de86abac1cf1bf4702091944301ac800bdef
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-06

    Use the new "draw" signal to draw to preview

M	gedit/gedit-print-preview.c

commit 41d0da57808051f4d1eae2cc2b7ba83db6f95ec6
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2010-10-06

    Fixed 'Reload' terminology in Brazilian Portuguese translation

M	po/pt_BR.po

commit ebe555eed6112a7eef211184d2d2ea689d0c32a6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-06

    Update the tab visibility in the page-added handler.

M	gedit/gedit-notebook.c

commit bd52af2d696f1ca57e1ab594a831ae0a5fcad70c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-05

    Manage tabs dnd in the view.

M	gedit/gedit-view.c

commit f821f7f8c82e797853d5fa84678d7f01e9bc9443
Author: Xandru Armesto <xandru@softastur.org>
Date:	2010-10-06

    Updated asturian translation

M	po/ast.po

commit 17b9e50b4bdab38992a647fdd773705fdb2f72b8
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-10-05

    Make sure to check icon exists before unreffing it

M	plugins/filebrowser/gedit-file-browser-widget.c

commit 7d217810b48e476a26cb3bab1d27fceda979b24e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-05

    Make gedit-settings inherit from GObject.

    We are using direct settings creation so we don't need GeditSettings
    to inherit from GSettings anymore.

M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/gedit-app.c
M	gedit/gedit-app.h
M	gedit/gedit-settings.c
M	gedit/gedit-settings.h
M	gedit/gedit-view.c
M	gedit/gedit-window.c

commit 7518f4f41a32fe1f4f8b4292bf423bd9b0170c63
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-05

    Rename mnb tabs-reordered signal to page-reordered.

M	gedit/gedit-documents-panel.c
M	gedit/gedit-marshal.list
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-window.c

commit 75d88375d25b35d2519276a2d18215994bdf9719
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-28

    Use gtknotebook dnd instead of custom dnd code. Fixes bug #456959.

M	configure.ac
M	gedit/gedit-marshal.list
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-window.c

commit 7c22769d73f756b9d1388febd147c9d267ed54cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-04

    Release 2.91.0

M	NEWS
M	README
M	configure.ac
M	gedit/theatrics/Makefile.am
M	po/POTFILES.in
M	tests/Makefile.am

commit 1e87ea866c4f2c1c6453a22e18133e1940408516
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-04

    Bump gtk+ and libpeas versions.

M	configure.ac

commit ce42a999671a08d21f39640e3b84cb9124212160
Author: Steve Frécinaux <code@istique.net>
Date:	2010-10-04

    Update to latest libpeas-gtk API changes.

M	gedit/dialogs/gedit-preferences-dialog.c

commit 868792725fc6c5d843f039781e4f20f775c462d0
Author: Takayuki Kusano <AE5T-KSN@asahi-net.or.jp>
Date:	2010-10-04

    Updated Japanese translation.

M	po/ja.po

commit 8b1ea4cc2440aa47ffbf7d77affd3febda89ef7a
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2010-10-04

    Updated Telugu Translations

M	po/te.po

commit 1d56b827f14096891bb03dbd5e8211fdad1331ad
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-03

    Port to latest api changes in libpeas.

M	gedit/gedit-plugins-engine.c
M	plugins/changecase/Makefile.am
R093	plugins/changecase/changecase.gedit-plugin.desktop.in
plugins/changecase/changecase.plugin.desktop.in
M	plugins/checkupdate/Makefile.am
R093	plugins/checkupdate/checkupdate.gedit-plugin.desktop.in
plugins/checkupdate/checkupdate.plugin.desktop.in
M	plugins/docinfo/Makefile.am
R095	plugins/docinfo/docinfo.gedit-plugin.desktop.in
plugins/docinfo/docinfo.plugin.desktop.in
M	plugins/externaltools/Makefile.am
R094	plugins/externaltools/externaltools.gedit-plugin.desktop.in
plugins/externaltools/externaltools.plugin.desktop.in
M	plugins/filebrowser/Makefile.am
R094	plugins/filebrowser/filebrowser.gedit-plugin.desktop.in
plugins/filebrowser/filebrowser.plugin.desktop.in
M	plugins/modelines/Makefile.am
R093	plugins/modelines/modelines.gedit-plugin.desktop.in
plugins/modelines/modelines.plugin.desktop.in
M	plugins/pythonconsole/Makefile.am
R094	plugins/pythonconsole/pythonconsole.gedit-plugin.desktop.in
plugins/pythonconsole/pythonconsole.plugin.desktop.in
M	plugins/quickopen/Makefile.am
R093	plugins/quickopen/quickopen.gedit-plugin.desktop.in
plugins/quickopen/quickopen.plugin.desktop.in
M	plugins/snippets/Makefile.am
R094	plugins/snippets/snippets.gedit-plugin.desktop.in
plugins/snippets/snippets.plugin.desktop.in
M	plugins/sort/Makefile.am
R096	plugins/sort/sort.gedit-plugin.desktop.in
plugins/sort/sort.plugin.desktop.in
M	plugins/spell/Makefile.am
R093	plugins/spell/spell.gedit-plugin.desktop.in
plugins/spell/spell.plugin.desktop.in
M	plugins/taglist/Makefile.am
R094	plugins/taglist/taglist.gedit-plugin.desktop.in
plugins/taglist/taglist.plugin.desktop.in
M	plugins/time/Makefile.am
R094	plugins/time/time.gedit-plugin.desktop.in
plugins/time/time.plugin.desktop.in

commit a0a2ecd0b699e2222db0754cb9f569422118237c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-10-03

    Fix g-i annotation warning

M	gedit/gedit-message.c

commit 526913576a9e07beab4858ca39c58ea872eca8bf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-03

    Get the current tab label instead of creating a new one.

M	gedit/gedit-notebook.c

commit bb15d9f8710abf616de4887c91d73a3758890e94
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-02

    Fix crash in overlay.

M	gedit/gedit-overlay.c

commit d2f33e7ba8c46bd0b7355344459c65536c8a2c96
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-10-02

    Update Japanese help text

M	help/ja/ja.po

commit 44662672574afda66bf6003e4b8078dff86c260a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-10-01

    Fix remaining things due to gtk+ 3 deprecations.

M	gedit/gedit-app.c
M	gedit/gedit-documents-panel.c
M	gedit/gedit-overlay.c
M	gedit/gedit-panel.c
M	gedit/gedit-rounded-frame.c
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-utils.c
M	gedit/gedit-view.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c
M	plugins/spell/gedit-spell-checker-dialog.c
M	plugins/time/gedit-time-plugin.c

commit 2d1e134261b32887dda7e960d671bfac1efb8f37
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-09-29

    Adapt to GtkObject removal in GTK3

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=630972

M	gedit/gedit-commands-search.c
M	gedit/gedit-history-entry.c
M	gedit/gedit-overlay.c
M	gedit/gedit-view.c
M	plugins/spell/gedit-spell-checker-dialog.c
M	plugins/time/gedit-time-plugin.c

commit 9b6ed2cbeedbac80666f9a04e337539810462df4
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-30

    Updated Japanese translation

M	help/ja/ja.po

commit 41912265f5917bd1119ebb5419b97c1fc54fe249
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-09-29

    Remove acinclude.m4 file

    This is not needed anymore as we use upstream gettext now

D	acinclude.m4

commit 295fba62c41f638d05f7f4ec01ceb3374f715d1d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-28

    Fix crash bug removing internal widgets in the gedit overlay.

M	gedit/gedit-overlay.c

commit 556a3058d0f6a82beaa170169e7580bf41cf7925
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-26

    Manage the position of floating widgets with a gravity.

    Now the floating widgets are placed depending on the gravity they
    were added into the overlay so we don't add them in a specific
    position and the overlay is the one that takes care of placing them.

M	gedit/gedit-overlay.c
M	gedit/gedit-overlay.h
M	gedit/gedit-view-frame.c
M	tests/test-overlay.c

commit a95e9dd7e6c2a9c9886d5cd0170018ef863ed39f
Author: Paul Cutler <pcutler@gnome.org>
Date:	2010-09-26

    Fix typo in mallard snippets

M	plugins/snippets/data/mallard.xml

commit 5475c14fa61a42d620c2e1a4e1eeea218eae761a
Author: Marek Černocký <marek@manet.cz>
Date:	2010-09-25

    Updated Czech translation

M	help/cs/cs.po

commit 2ed422d8e51e343a259a9bf6e8e6cdb976ccfd8c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-24

    Remove gedit_utils_activate_url.

    This is now managed by gtk+ itself so we don't need to add the hook.

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h
M	gedit/gedit.c

commit 47e8ed51d5e28884a58b2ff96e4b18a7c2001548
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-09-23

    Updated Hungarian help translation

M	help/hu/hu.po

commit 630c84f207394bf492b18ddfdbb31194f6d65295
Author: Xandru Armesto <xandru@softastur.org>
Date:	2010-09-23

    Updated asturian translation

M	po/ast.po

commit e911d7229c810008f6db830ad5e6efefddd5b36b
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-09-22

    build: Remove some unneded code from autogen.sh

M	Makefile.am
M	autogen.sh

commit a922e0fa8c55f87e89e8ec9da9306ade5ae85563
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-09-22

    Use upstream gettext instead the glib one

M	autogen.sh
M	configure.ac

commit 4eef0a5c4a19acde1e9575d6d4db6cd184a8edb2
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-09-20

    Fix most introspection warnings

    The scanner became much more picky.

M	gedit/Makefile.am
M	gedit/gedit-app.c
M	gedit/gedit-commands-file.c
M	gedit/gedit-document.c
M	gedit/gedit-document.h
M	gedit/gedit-message-bus.c
M	gedit/gedit-message-type.c
M	gedit/gedit-message-type.h
M	gedit/gedit-message.c
M	gedit/gedit-message.h
M	gedit/gedit-tab.c
M	gedit/gedit-window.c

commit 082486e36eba305e34bb7372d486f83905528164
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-09-18

    Use PeasGtk instead of PeasUI

    PeasUI was renamed PeasGtk.

M	plugins/pythonconsole/pythonconsole/__init__.py

commit 1e80b183e595f9a537702bed1c871e970c40c271
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-20

    Updated Japanese translation

M	po/ja.po

commit 83e24f03182c73f67c9998952a91fbc717a1542f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-18

    Fix one more gtk_widget_size_request call.

M	gedit/gedit-utils.c

commit afb2840d3d45c80a8b9f8ce8e77e83c57edc935b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-18

    Use gtk_size_request_get_size instead of gtk_widget_size_request.

    With the last release of gtk+ gtk_widget_size_request has been
    deprencated
    so we bump the version and use the new function.

M	configure.ac
M	gedit/gedit-documents-panel.c
M	gedit/gedit-overlay.c
M	gedit/gedit-rounded-frame.c
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-utils.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c

commit 942f419730c0027a0f2c069eeee1c8e418918e97
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-09-17

    Updated Galician translations

M	po/gl.po

commit 69f0192f8bdf9e59da7e1dce2ccaa8446adabf1f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-09-16

    Updated Slovenian translation

M	po/sl.po

commit 46e5840a75aae34e0e2214ef741862dcca130177
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-09-16

    Initial translation to Kazakh

M	po/LINGUAS
A	po/kk.po

commit cc2a5a4fc1b07949a475460e87c84a75871b3ecc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-13

    Rename GDK_* to GDK_KEY_* and bump gtk+ to 2.90.7

M	configure.ac
M	gedit/gedit-commands-search.c
M	gedit/gedit-panel.c
M	gedit/gedit-print-preview.c
M	gedit/gedit-status-combo-box.c
M	gedit/gedit-view-frame.c
M	gedit/gedit-view.c
M	plugins/filebrowser/gedit-file-browser-view.c
M	plugins/filebrowser/gedit-file-browser-widget.c
M	plugins/taglist/gedit-taglist-plugin-panel.c

commit bdec3c6ddff54a6ff222ea2b366633b90babaf94
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-09

    Add go up/down buttons to incremental search dialog.

M	gedit/gedit-view-frame.c

commit d10e48268c8c5c48cf2971f960567c07d0e7ada5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-09

    Let the GtkBin manage the child.

M	gedit/gedit-overlay.c
M	gedit/theatrics/gedit-theatrics-animated-widget.c
M	gedit/theatrics/gedit-theatrics-animated-widget.h

commit 57bd76366ddbe080dab9f358a87aac8247f56a8c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-08

    Change var name from search to replace.

M	gedit/dialogs/gedit-replace-dialog.ui

commit bc6af98c8a83463ac5da69c06372f9333721f604
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-08

    Bind control+f instead of control+k for interactive search.

M	gedit/gedit-commands-search.c
M	gedit/gedit-view.c

commit b2ec0fab2976616698fff48a5ec04543353672ba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-08

    Rename Search dialog as Replace dialog.

M	gedit/dialogs/Makefile.am
R073	gedit/dialogs/gedit-search-dialog.c
gedit/dialogs/gedit-replace-dialog.c
A	gedit/dialogs/gedit-replace-dialog.h
R100	gedit/dialogs/gedit-search-dialog.ui
gedit/dialogs/gedit-replace-dialog.ui
D	gedit/dialogs/gedit-search-dialog.h
M	gedit/gedit-commands-search.c

commit 40077162bba47bf98f7d808e131ad241a2259e32
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-08

    Use the interactive search as main search.

    Now the interactive search is the main way to search in a document
    if you want the dialog you can always use the replace dialog that
    provides
    also a way to search.

M	gedit/dialogs/gedit-search-dialog.c
M	gedit/dialogs/gedit-search-dialog.h
M	gedit/gedit-commands-search.c
M	gedit/gedit-ui.h
M	gedit/gedit-ui.xml
M	gedit/gedit-window.c

commit 22f6a92aac09b0dca389a0e2efba1d4fac2a7a88
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-07

    Remove useless includes.

M	gedit/gedit-overlay.c
M	gedit/theatrics/gedit-theatrics-animated-widget.h

commit ab5081daa2547d7c52e6e2f0ecae1c9bf54993fa
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-05

    Use symbolic colors for the search widget.

M	gedit/gedit-view-frame.c

commit 8cf1f421491555457d8e5046f8fabc82c23f42ba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-15

    Add animation framework

    Now the interactive search uses the animation framework to provide
    a chrome like search dialog.

M	configure.ac
M	gedit/Makefile.am
M	gedit/gedit-commands-search.c
A	gedit/gedit-overlay.c
A	gedit/gedit-overlay.h
A	gedit/gedit-rounded-frame.c
A	gedit/gedit-rounded-frame.h
M	gedit/gedit-tab.c
M	gedit/gedit-tab.h
M	gedit/gedit-view-frame.c
M	gedit/gedit-view.c
A	gedit/theatrics/Makefile.am
A	gedit/theatrics/gedit-theatrics-actor.c
A	gedit/theatrics/gedit-theatrics-actor.h
A	gedit/theatrics/gedit-theatrics-animated-widget.c
A	gedit/theatrics/gedit-theatrics-animated-widget.h
A	gedit/theatrics/gedit-theatrics-choreographer.c
A	gedit/theatrics/gedit-theatrics-choreographer.h
A	gedit/theatrics/gedit-theatrics-enum-types.c.template
A	gedit/theatrics/gedit-theatrics-enum-types.h.template
A	gedit/theatrics/gedit-theatrics-marshal.list
A	gedit/theatrics/gedit-theatrics-stage.c
A	gedit/theatrics/gedit-theatrics-stage.h
A	gedit/theatrics/gedit-theatrics-utils.c
A	gedit/theatrics/gedit-theatrics-utils.h
M	tests/Makefile.am
A	tests/test-overlay.c
A	tests/test-rounded-frame.c

commit 1cd3ba081a1ffa563c645374f70eeafbf1600ca5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-05

    Correctly bind the setting.

M	gedit/gedit-view.c

commit d594b7b5d2b342d0487999ca34e83f28b2652e7b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-05

    Remove useless settings.

M	gedit/gedit-settings.c

commit f2eec51226eed44eb193e0130ef7e104324a74f9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-09-04

    Remove gtk_dialog_set_has_separator as it has been deprecated.

M	gedit/dialogs/gedit-close-confirmation-dialog.c
M	gedit/dialogs/gedit-encodings-dialog.c
M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/dialogs/gedit-search-dialog.c
M	plugins/spell/gedit-spell-language-dialog.c
M	plugins/time/gedit-time-plugin.c

commit 532a7f58e8121269b0c1bab02af50051eba7dbee
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-09-04

    Updated Spanish translation

M	po/es.po

commit 485c04ddb13cd028b44b20a205c1068066d05f56
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2010-09-01

    l10n: Updated Greek translation for gedit help

M	help/el/el.po

commit 4f5fb235d630295416134deadcb13c806aeb19b8
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2010-09-01

    Updated Indonesian translation

M	po/id.po

commit da46f5d6cd9b727e23ec0ae79bb0a78419bb1363
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-08-29

    Depend on peas-gtk instead of peasui in the pc file

M	data/gedit.pc.in

commit 56a790a6851ebc98766cc4aca27cb32dde1b41bf
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2010-08-22

    Added GeditAppActivatable interface

M	gedit/Makefile.am
A	gedit/gedit-app-activatable.c
A	gedit/gedit-app-activatable.h
M	gedit/gedit-app.c

commit b6f5a6aac9c203f3f04169802cd62a6fd3f31da2
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-08-27

    Updated Japanese translation.

M	po/ja.po

commit 9dc4ec2999d02d44fb50dd2f8b341711805f93d1
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-08-25

    Updated French doc translation

M	help/fr/fr.po

commit 4a80cc83559aebb5f9b9511f16b7ee9b06b78894
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-08-25

    Updated Slovenian translation

M	po/sl.po

commit c843586599cec84f872ca5c4056bd9b34e49662a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2010-08-18

    Show possible errors when preloading gedit/peas repositories

M	gedit/gedit-plugins-engine.c

commit 636519018196b5e82bcb59793fce27cdfb0326f7
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2010-08-18

    Fix pythonconsole/console.py to be non executable

M	plugins/pythonconsole/pythonconsole/console.py

commit afb3e10608fc329a0be2024b1eab88261cda6ae4
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2010-08-18

    Fix python console deactivate

M	plugins/pythonconsole/pythonconsole/__init__.py

commit 405c9671afa2018c5ff0e17d671a6d8877a4f813
Author: Paul Cutler <pcutler@gnome.org>
Date:	2010-08-19

    add mallard.xml to Makefile.am

M	plugins/snippets/data/Makefile.am

commit 42c46747eb6413dee8ab9e749a22156714aad967
Author: Paul Cutler <pcutler@gnome.org>
Date:	2010-08-19

    Add mallard snippets

A	plugins/snippets/data/mallard.xml

commit f80303e34297dacb71100509fdfcf7eefd503f31
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-18

    Bump glib requisite and use G_DEFINE_BOXED_TYPE.

M	configure.ac
M	gedit/gedit-encodings.c
M	gedit/gedit-message-type.c

commit 4524b12b182222ccb74d40b26096eb26cf8f56f7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-18

    Release 2.90.0

M	NEWS
M	README
M	configure.ac

commit 041399d3d09389f951af8db4f5b83d142a9ebe55
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-17

    Bump peas to 0.5.5 and fix gedit to use the new api.

M	configure.ac
M	gedit/dialogs/gedit-preferences-dialog.c
M	gedit/gedit-dirs.c
M	gedit/gedit-dirs.h
M	gedit/gedit-plugins-engine.c
M	plugins/time/gedit-time-plugin.c

commit b8b6fe708eddd6a9d471ecd04c38e790d8c0bc7c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-17

    Initialize and shutdown the modelines data dir once. Fixes bug
    #626343.

    For each view we initialize the modeline parser, but it is only needed
    to be done once. This patch fixes the problem. Thanks to Ralf Ebert
    for pointing this out.

M	plugins/modelines/gedit-modeline-plugin.c
M	plugins/modelines/modeline-parser.c

commit 611641569d381a558af95d032376220dfc8f79a9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-08-14

    Updated Slovenian translation

M	po/sl.po

commit 02677e302192f9cd37d593c00b4b2cb4bb35cd70
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-08-10

    Don't use GdkImage

    It was recently removed.

M	gedit/gedit-panel.c

commit dfb2469f01958592125156b8f9c084c4317175ed
Author: Steve Frécinaux <code@istique.net>
Date:	2010-07-30

    Use the new g_irepository_require_private API

    https://bugzilla.gnome.org/show_bug.cgi?id=625672

M	gedit/gedit-plugins-engine.c

commit 75d262483fc9874e60f74d474ea4bc0890da7dc4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-10

    Add license button.

M	gedit/gedit-commands-help.c

commit 252a0546cc630e10f633e787f5b439df7067acc2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-08-08

    [i18n] Updated German doc translation

M	help/de/de.po

commit 4bb2a66e9ed5a056d63be41e22969053ec33d06b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-08-05

    Correct key types in respect with expected values

M	data/org.gnome.gedit.gschema.xml.in.in
M	gedit/gedit-document.c
M	gedit/gedit-settings.c

commit a9312f3b60659b0a19271408fb5d487ee8d865e3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-08-05

    Add value aliases

    Useful for settings migration, a kind of value mapping.

M	data/org.gnome.gedit.gschema.xml.in.in

commit c8e857ed1f711aeba672ae3cdaca4b523325e68d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-08-05

    Add GSettings migration file

    See bug 619898 for details.

M	data/Makefile.am
A	data/gedit.convert

commit 74b11554b78367d5fe38ea50a71ebf335f1ded27
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-04

    Release 2.31.6

M	NEWS
M	README
M	configure.ac
M	plugins/pythonconsole/Makefile.am
R100
plugins/pythonconsole/pythonconsole/org.gnome.gedit.plugins.pythonconsole.gschema.xml.in.in
plugins/pythonconsole/org.gnome.gedit.plugins.pythonconsole.gschema.xml.in.in
M	plugins/pythonconsole/pythonconsole/Makefile.am

commit 0f7ba4c1c61644258314070589a68569d9bc9f19
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-04

    Updated POTFILES.

M	po/POTFILES.in
M	po/POTFILES.skip

commit 05ca83131a21c35e7b2792bbf76c4c6897d084e9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-04

    Port taglist plugin to use the window construct property.

M	plugins/taglist/gedit-taglist-plugin.c

commit a90edccfbc644ae58816c6113da0e128240edbea
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-04

    Bump peas version to 0.5.4.

M	configure.ac

commit aa3078046d4d6ab414d91fce890a08b2bfe049da
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-04

    Use the right schema file and use GObject.Object for the property.

M	plugins/pythonconsole/pythonconsole/__init__.py
M	plugins/pythonconsole/pythonconsole/console.py

commit e0eb9f9ab424fdcd6b005f67726ed049bf0c872a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-08-03

    Factor out a GeditViewFrame class.

    This class contains the sw, the view and the document.

M	gedit/Makefile.am
M	gedit/gedit-tab.c
A	gedit/gedit-view-frame.c
A	gedit/gedit-view-frame.h

commit 8bb0d026856a7681e50a3287c660bfcdbee11b19
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-08-02

    Updated Romanian translation

M	po/ro.po

commit f76d8600dd30a2beca2ddac18e0b73e57d24a206
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-30

    Factor out a settings_try_new.

M	plugins/filebrowser/gedit-file-browser-plugin.c

commit e8c7b0a44ea14a56c32056861b2d3e2c8bb402cf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Activate it before it is realized instead of after.

M	gedit/gedit-view.c

commit aed206a36a561a60fd06db66182f91ad8d666992
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-29

    Active the view extensions when the view is realized.

M	gedit/gedit-view.c

commit d5ae191600c4d100188a95dc7c789b06875542f8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-28

    Fix typo

M	plugins/pythonconsole/pythonconsole/__init__.py

commit dab0a24ccc78f2d9d98b4368d2c79c99e685bdec
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Use nautilus settings and fallback on a gedit nautilus schema if it
    doesn't exits.

M	plugins/filebrowser/gedit-file-browser-plugin.c
M
plugins/filebrowser/org.gnome.gedit.plugins.filebrowser.gschema.xml.in.in

commit c2ef43753eaf07d7ea9eecf9221daacff5f2a3b7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port pythonconsole plugin to use the window construct property.

M	plugins/pythonconsole/pythonconsole/__init__.py

commit 69a0f7450453b787c5b5fbcb59366493501797a9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port time plugin to use the window construct property.

M	plugins/time/gedit-time-plugin.c

commit 939dec5739bfd1f15895994ef133753a095aac4e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port spell plugin to use the window construct property.

M	plugins/spell/gedit-spell-plugin.c

commit fa9f78d749f42a1588d7c7d449d6866ba2247278
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port sort plugin to use the window construct property.

M	plugins/sort/gedit-sort-plugin.c

commit aac1cb378359a69bdb4ac7f08578989e4a3b52d1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port modelines plugin to use the view construct property.

M	plugins/modelines/gedit-modeline-plugin.c

commit 9103c5109d5f897c3cc0390fcf09c5a4713cf72f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port filebrowser plugin to use the window construct property.

M	plugins/filebrowser/gedit-file-browser-plugin.c

commit 8f6d93bc0730e0a5b6254a0458bf34168f6ee6a2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port docinfo plugin to use the window construct property.

M	plugins/docinfo/gedit-docinfo-plugin.c

commit 3388621b8e28a7036dec7f03055deb1b4d0ef888
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port checkupdate plugin to use the window construct property.

M	plugins/checkupdate/gedit-check-update-plugin.c

commit 111d6d0c3388849efe7f44580e713e034d554b81
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Port changecase plugin to use the window construct property.

M	plugins/changecase/gedit-changecase-plugin.c

commit afb8054224e954d7fc79e849fe29002eb6fd5474
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Bump libpeas version to 0.5.3

M	configure.ac

commit bed3d828da40292da1fe6a5ca13bf9aaf9dca7cf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Change the GeditViewActivatable to take the view as a construct
    property.

M	gedit/gedit-view-activatable.c
M	gedit/gedit-view-activatable.h
M	gedit/gedit-view.c

commit 4180a7bb2ccb0c7a480642ae3d111db08d600c7c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-28

    Change the GeditWindowActivatable to take the window as a construct
    property.

M	gedit/gedit-window-activatable.c
M	gedit/gedit-window-activatable.h
M	gedit/gedit-window.c

commit 3972b9d48c60c57bf36f5b1e93d00d8ae2271ad8
Author: Shankar Prasad <sprasad@git.gnome.org>
Date:	2010-07-28

    Updated the Kannada translations

M	po/kn.po

commit 303b2be89e0a8c14f06cf360ff2dcefb884d9da1
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-07-28

    Updated Swedish translation

M	po/sv.po

commit 46ff14d93c0b75dcd5deb08a302f24d681be800a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-25

    Add menu when clicking in the interactive search popup icon.

M	gedit/gedit-view.c

commit cca22bb94dc9649ef3aa5adb6b27c92c049e7272
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-25

    Use the desktop settings instead of adding them ourselves.

M	configure.ac
M	data/org.gnome.gedit.gschema.xml.in.in
M	gedit/gedit-settings.c
M	plugins/filebrowser/gedit-file-browser-plugin.c
M
plugins/filebrowser/org.gnome.gedit.plugins.filebrowser.gschema.xml.in.in

commit e597cd545db1320ed8ce5139f1412ea9735c270d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-25

    Fix crash in documents panel.

M	gedit/gedit-documents-panel.c

commit c2670d51a5e00b35697e5353738830790fcf18f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-23

    Do not show the notebook border when the window is maximized.

M	gedit/gedit-multi-notebook.c
M	gedit/gedit-multi-notebook.h
M	gedit/gedit-notebook.c
M	gedit/gedit-notebook.h
M	gedit/gedit-window.c

commit e4053c883770a92649a5855244e9f0b24d246a8a
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-07-24

    Complete Simplified Chinese translation.

M	po/zh_CN.po

commit 5be3bec3a1d2baecc9ef5d302e8837eb1d164fb0
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-07-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 6cd4936fb3aa6ca44a7c85888c6aad6c02b0f983
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-07-23

    Use PeasEngine:loaded-plugins for saving the loaded plugins

M	gedit/gedit-plugins-engine.c
M	gedit/gedit-plugins-engine.h
M	gedit/gedit-settings.c

commit 2ae732a53ef08145c06909dc675134573c8c2e6d
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-07-22

    Free plugin settings in GeditPluginsEngine

M	gedit/gedit-plugins-engine.c

commit 55c7ab502a4d18837a82a4eed4e8a7b63e169654
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-07-22

    Don't free typelib

M	gedit/gedit-plugins-engine.c

commit 37b156b51486bd2d4190c1c6cfcf47cd10f02355
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-06

    Kill another util that these days is just an alias for a gio function

M	gedit/gedit-document.c
M	gedit/gedit-io-error-info-bar.c
M	gedit/gedit-tab.c
M	gedit/gedit-utils.c
M	gedit/gedit-utils.h
M	gedit/gedit-window.c

commit 66a52328cc1057a9935f7f1e760a62038690e41d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-22

    Add missing annotation.

M	gedit/gedit-commands-file.c

commit 28186ab3108dfc718d6130b069054c745ca3a729
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-21

    Use notify::visible instead of connecting to show and hide.

M	gedit/gedit-window.c

commit 779c07435747389b34b19232d1f43f6244c61763
Author: Frédéric Péters <fpeters@0d.be>
Date:	2010-07-21

    Update for latest gdbus API changes

M	configure.ac
M	gedit/gedit-dbus.c

commit 52d8a6df9b79945992bf2a495f8ab27210e84520
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-07-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 738bdd2fcf1f6b0efd73b41e4c6a5565ed9b039b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-07-19

    Updated Norwegian bokmål translation

M	po/nb.po

commit a2cbdb578cdbebc70e006a7d15fdb42e7c3b2560
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-19

    Updated POTFILES.

M	po/POTFILES.in
M	po/POTFILES.skip

commit 4e47ebed7380c6778137a5e676b33ceb5190adf3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-19

    Do not show the notebook if there is only one notebook.

M	gedit/gedit-documents-panel.c

commit e598d652b0d524fd05800e85bcda9965c8a30691
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-19

    Fix memory leak.

M	gedit/gedit-plugins-engine.c

commit 5de1768ddc62963b90d322929ceb8d2454fda7a5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-18

    Fixed headers in galician translation file

M	po/gl.po

commit 80e60cfa6170222579a5053b022b27d1408315fa
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-18

    Fixed headers in galician translation file

M	po/gl.po

commit 074be8961ec983c317f3369a571a885e2e0b6b60
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-18

    Fixed headers in galician translation file

M	po/gl.po

commit 70180b01df3c7ccd2edc9daaf0165fdf94717b04
Author: du baodao <centerpoint@139.com>
Date:	2010-07-18

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 305d67de3d89d8db6bf6bb37c7d283ad5272c169
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-07-17

    Depend on latest gobject introspection (0.9.3)

M	configure.ac

commit 72cd9216e764a9cf7f98925414ce64f258360963
Author: Jesse van den Kieboom <jesse@icecrew.nl>
Date:	2010-07-17

    Updated to g_typelib_new_from_mapped_file API change

    It now requires a GError. The code also nicely fails with a warning
    if any problems occur while loading the typelib

M	gedit/gedit-plugins-engine.c

commit 1f583efd8f4885b8d848eeceab03749899c0e91b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-16

    [i18n] Updated German translation

M	po/de.po

commit 005ddc1ca7c87a38617b421db64635e5964e0d8c
Author: Ray Wang <raywang@gnome.org>
Date:	2010-07-15

    Update Chinese (Simplified) help figure

M	help/zh_CN/figures/gedit_window.png

commit b9becd55cbf9577831b8df9953dd85994e04b948
Author: Ray Wang <raywang@gnome.org>
Date:	2010-07-15

    Update Chinese (Simplified) help translation

M	help/zh_CN/zh_CN.po

commit 0e00bbb12c6a3414e4df90ab30f0d704ad0f7d33
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-14

    Forgot the pythonconsole rename in the previous commit.

M	configure.ac
M	plugins/pythonconsole/pythonconsole/Makefile.am
R100
plugins/pythonconsole/pythonconsole/org.gnome.gedit.pythonconsole.gschema.xml.in.in
plugins/pythonconsole/pythonconsole/org.gnome.gedit.plugins.pythonconsole.gschema.xml.in.in

commit a8a950f369d42af8adbff73076d79eca69f59a15
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-14

    Use org.gnome.gedit.plugins as prefix for schema files in plugins.

M	configure.ac
M	plugins/checkupdate/Makefile.am
R100	plugins/checkupdate/org.gnome.gedit.checkupdate.gschema.xml.in.in
plugins/checkupdate/org.gnome.gedit.plugins.checkupdate.gschema.xml.in.in
M	plugins/time/Makefile.am
R100	plugins/time/org.gnome.gedit.time.gschema.xml.in.in
plugins/time/org.gnome.gedit.plugins.time.gschema.xml.in.in

commit 83fc3428fb3edc825c25788afbc995d57edac8ad
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-13

    Bump gtk+ version and use GtkWidget instead of deprecated
    GtkNotebookPage.

M	configure.ac
M	gedit/gedit-multi-notebook.c
M	gedit/gedit-notebook.c
M	gedit/gedit-panel.c

commit 2f6d3fa8fa36c19badceb107ac45ee5941527d77
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-07-13

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3728758934318bbff17546043d27763465e7e634
Author: Eleanor Chen <chenyueg@gmail.com>
Date:	2010-07-13

    Update Simplified Chinese translations.

M	po/zh_CN.po

commit 48ed1ebfb78a55401c596c4bdb872418c47476b5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-12

    Release 2.31.5

M	NEWS
M	README
M	configure.ac
M	plugins/filebrowser/Makefile.am
M	plugins/pythonconsole/pythonconsole/Makefile.am
M	plugins/time/Makefile.am

commit 38cc6986865ef249f4fc20620789460adad3348e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-08

    Update the list when a tab is reordered and some code cleanup.

M	gedit/gedit-documents-panel.c

commit 413add95afb73eeee6b5e919d18e3f48ab3f3073
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-07

    Updated Galician translations

M	po/gl.po

commit 6d2f35ddcfcdce34638e0a47bd473e26b9c62bd6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-06

    Update to latest changes.

M	docs/class-diagram.dia

commit db9b16f0e035ec47490203816fd8d4543844803e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-06

    Another useless util

M	gedit/gedit-document.c
M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit 1e2d5433c507acc0410a16d5372881fd34416b7c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-06

    Remove another obsolete util

M	gedit/dialogs/gedit-style-scheme-generator.c
M	gedit/gedit-utils.c
M	gedit/gedit-utils.h

commit 4a6738846d069420c934caf5f09d248a4567fb0b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-06

    Remove util function now available in gio

M	gedit/gedit-utils.c
M	gedit/gedit-utils.h
M	plugins/filebrowser/gedit-file-browser-widget.c

commit 5debd84f925513504de50830056b9fa18e09267a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-05

    Factor out the connection/desconnection of signals of the statusbar.

M	gedit/gedit-window.c

commit a7ce12aa42e62461de65baec030053818e3e33c9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-05

    Do not unref tab if it is NULL.

M	gedit/gedit-documents-panel.c

commit 4abfc89497b1910c04f0f04077d6eb05cd9f5b50
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-05

    Proxy drop-uris from view to tab.

M	gedit/gedit-tab.c
M	gedit/gedit-tab.h
M	gedit/gedit-window.c

commit b803f47965fe963228676058ae5ea58e6b672821
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-05

    Do not set the location property if NULL.

M	gedit/gedit-document.c

commit 4272af146ba997b75377588df6cb2044648d068d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-05

    Protect view's extension set from destroy running many times

M	gedit/gedit-view.c

commit 6259847e811c4dac2fd9d534d987cc6de9df2e4e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2010-07-05

    Unref objects retrieved from the tree store

M	gedit/gedit-documents-panel.c

commit 93db94d2ef2382727570056ef2b3481bb69ef9cf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-04

    The filter-pattern property must return always a string.

M	plugins/filebrowser/gedit-file-browser-plugin.c
M	plugins/filebrowser/gedit-file-browser-widget.c

commit 39a00b1d34dc236b780ddbc142040c662f42420d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-07-04

    Updated Spanish translation

M	po/es.po

commit 972dfaec36e029248137735fe6d2850c9087cc22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-04

    Update POTFILES.

M	po/POTFILES.in
M	po/POTFILES.skip

commit a9d2ea047401124537e49ef6a2bf9c0f6c4a4f22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-03

    Fix some warning in the pythonconsole plugin.

M	plugins/pythonconsole/pythonconsole/console.py

commit 3b26258325b69c034b486fbdd12aa7d60b379cf6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Build fails without X

    Thanks to Matthias Clasen for pointing out how to fix it.

M	gedit/gedit-command-line.c

commit a84d70c37e5e5f2064c65c14dc9bbc0808f8cf91
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Bind the filter-pattern property with the settings equivalent.

M	plugins/filebrowser/gedit-file-browser-plugin.c

commit 8a0edc90b03c8709d9bb2e9c45dbb4ad2e6d8c02
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Autogenerate settings flags and use them.

    Now that gsettings allow to autogenate flags and provides methods
    to use them. Let's not do the flags conversion and use them directly.
    See that the settings compiler compiles the settings by alphabetic
    order
    so we need to change the settings file in order to get the flags built
    first.

M	configure.ac
M	plugins/filebrowser/Makefile.am
M	plugins/filebrowser/gedit-file-browser-plugin.c
R091	plugins/filebrowser/org.gnome.gedit.file-browser.gschema.xml.in.in
plugins/filebrowser/org.gnome.gedit.plugins.filebrowser.gschema.xml.in.in

commit 1103e435034d4be26545fb73706d3d185ef32b1a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Use the right include dir.

M	gedit/Makefile.am

commit 70539309afca20efd55787741b0ef3c5c7186706
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-02

    Define GEDIT_LOCKDOWN_ALL outside the enum

M	gedit/gedit-app.h

commit 6cc3b4074bad0a775532216c82fa6ce6599bde2c
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-07-02

    Renamed filetree to gedit_file_browser

M	plugins/filebrowser/gedit-file-browser-plugin.c
M	plugins/filebrowser/gedit-file-browser-plugin.h

commit 66f87a8c5d0c984acb25b426639758a0679ed1f8
Author: Garrett Regier <alias301@gmail.com>
Date:	2010-07-01

    Add two checks to GeditTab

M	gedit/gedit-tab.c

commit 20011152c7a6b372dec92120439faad7a730d35b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2010-07-01

    Adapt to latest libpeas api change.

    Now we have to return the main widget of the configure dialog instead
    of a dialog. This means that we have to manage all the config at
    selection
    time. This patch makes that.

M	plugins/time/gedit-time-plugin.c
M	plugins/time/gedit-time-setup-dialog.ui
M	plugins/time/org.gnome.gedit.time.gschema.xml.in.in

